--
-- Copyright (C) 2011 - 2012 XEROX CORPORATION  All rights reserved
--

IF NOT EXISTS
(
    SELECT * FROM sys.objects
    WHERE object_id = OBJECT_ID(N'[dbo].[Xerox_MFP_Log]')
    AND type in (N'U')
)
BEGIN
    CREATE TABLE [dbo].[Xerox_MFP_Log]
    (
        [AutoID]                         [int] NOT NULL IDENTITY (1,1),
        [Severity]                       [int] NOT NULL,
        [Timestamp]                      [datetime] NOT NULL, 
        [ErrorCode]                      [int] NOT NULL,
        [ErrorDescription]               [nvarchar](200) NOT NULL

	CONSTRAINT [PK_Xerox_MFP_Log] PRIMARY KEY
	(
	    [AutoID] ASC
	) ON [PRIMARY]

    ) ON [PRIMARY]
END

GO


IF EXISTS
(
    SELECT * FROM sys.objects
    WHERE object_id = OBJECT_ID(N'[dbo].[Xerox_MFP_Log')
    AND type in (N'U')
)
BEGIN
    CREATE CLUSTERED INDEX [Index_Xerox_MFP_Log_Severity_Timstamp]
        ON [dbo].[Xerox_MFP_Log]
        (
            [Severity] ASC,
            [Timestamp] ASC
        )
END

GO

        
IF NOT EXISTS
(
    SELECT * FROM sys.objects
    WHERE object_id = OBJECT_ID(N'[dbo].[Xerox_MFP_AllProperties]')
    AND type in (N'U')
)
BEGIN
    CREATE TABLE [dbo].[Xerox_MFP_AllProperties]
    (
        [AutoID]                         [int] NOT NULL IDENTITY (1,1),
        [ParentID]                       [int] NOT NULL ,   -- Required for custom properties
        [DeviceHostname]                 [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [HostnameRequested]              [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [HostnameVerified]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [IPAddress]                      [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [MACAddress]                     [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [SerialNumber]                   [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [DeviceModel]                    [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [DomainNameRequested]            [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [DomainNameVerified]             [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [SoftwareVersion]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [PropsLastRetrieved]             [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [TCPIPv4]                        [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [TCPIPv6]                        [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [HTTP]                           [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [SNMPv3]                         [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [LPRLPD]                         [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [RawIPPrinting]                  [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [LDAPPrimaryAddress]             [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [LDAPAlternateAddress]           [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [SMTPServer]                     [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [POP3Server]                     [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [ReceivePOP3Email]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [NTP]                            [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [SLP]                            [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [FTPMode]                        [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [WebServiceDiscovery]            [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [WebServiceMulticast]            [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [WebServicePrint]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [WebServiceScan]                 [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [IPAddressing]                   [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [PowerCycleResetsToDefault]      [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [Enabled802_1X]                  [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [CertificateKeyLength]           [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [RSACertificateKeyLength]        [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [ECDSACertificateKeyLength]      [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [DiskEncryptionOfUserData]       [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [FIPSModeEnabled]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [ImmediateImageOverwrite]        [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [IPFilteringRules]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [IPSecEnabled]                   [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [SAAdminCredentials]             [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [SMTPConnectionEncryption]       [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [SNMPCommunityStrings]           [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [ForceTrafficOverSSL]            [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [SSLCertificateExpirationDate]   [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [EMailDomainRestricted]          [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [EMailSendOnlyToSelf]            [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [NetworkAuthenticationEnabled]   [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [PostScriptPasswords]            [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [ScheduledOverwrite]             [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [ScheduledJobDataRemoval]        [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [USBPortsFront]                  [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [USBPortsRear]                   [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [XeroxAuditlog]                  [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [UserPermissions]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [XeroxTouchUIServices]           [nvarchar](128) NOT NULL DEFAULT 'N/A' ,
        [ListeningPort01]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort02]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort03]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort04]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort05]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort06]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort07]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort08]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort09]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort10]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort11]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort12]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort13]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort14]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort15]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort16]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort17]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort18]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort19]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort20]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort21]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort22]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort23]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort24]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort25]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort26]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort27]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort28]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort29]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort30]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort31]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort32]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort33]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort34]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort35]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort36]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort37]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort38]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort39]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort40]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort41]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort42]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort43]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort44]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort45]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort46]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort47]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort48]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort49]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort50]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort51]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort52]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort53]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort54]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort55]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort56]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort57]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort58]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort59]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [ListeningPort60]                [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort01]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort02]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort03]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort04]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort05]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort06]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort07]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort08]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort09]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort10]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort11]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort12]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort13]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort14]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort15]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort16]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort17]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort18]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           
        [DisallowedPort19]               [nvarchar](128) NOT NULL DEFAULT 'N/A' ,           

	CONSTRAINT [PK_Xerox_MFP_AllProperties] PRIMARY KEY CLUSTERED
	(
	    [AutoID] ASC
	) ON [PRIMARY]

    ) ON [PRIMARY]
END

GO


ALTER TABLE [dbo].[Xerox_MFP_AllProperties]
    WITH CHECK ADD CONSTRAINT [FK_Xerox_MFP_AllProperties_EPOProductProperties] FOREIGN KEY([ParentID])
    REFERENCES [dbo].[EPOProductProperties] ([AutoID])
    ON UPDATE CASCADE
    ON DELETE CASCADE

GO


--
-- Create indexes to speed up queries
--
IF EXISTS
(
    SELECT * FROM sys.objects
    WHERE object_id = OBJECT_ID(N'[dbo].[Xerox_MFP_AllProperties]')
    AND type in (N'U')
)
BEGIN
    CREATE NONCLUSTERED INDEX [Index_Xerox_MFP_AllProperties_SerialNumber]
        ON [dbo].[Xerox_MFP_AllProperties]
        (
            [SerialNumber] ASC
        )
END

GO


IF EXISTS
(
    SELECT * FROM sys.objects
    WHERE object_id = OBJECT_ID(N'[dbo].[Xerox_MFP_AllProperties]')
    AND type in (N'U')
)
BEGIN
    CREATE NONCLUSTERED INDEX [Index_Xerox_MFP_AllProperties_IPAddress]
        ON [dbo].[Xerox_MFP_AllProperties]
        (
            [IPAddress] ASC
        )
END

GO


IF EXISTS
(
    SELECT * FROM sys.objects
    WHERE object_id = OBJECT_ID(N'[dbo].[Xerox_MFP_AllProperties]')
    AND type in (N'U')
)
BEGIN
    CREATE NONCLUSTERED INDEX [Index_Xerox_MFP_AllProperties_HostnameRequested]
        ON [dbo].[Xerox_MFP_AllProperties]
        (
            [HostnameRequested] ASC
        )
END

GO


CREATE VIEW [dbo].[Xerox_MFP_AllProperties_View] (AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, SectionName, SettingName, Value, PropertyRank, HostPropRank)
AS
    SELECT TOP (100) PERCENT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, SectionName, SettingName, Value, PropertyRank, HostPropRank
    FROM
    (
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Device Model' AS SettingName, DeviceModel AS Value, 100 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0100') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'IP Address' AS SettingName, IPAddress AS Value, 110 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0110') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Device Name' AS SettingName, DeviceHostname AS Value, 120 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0120') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Hostname (Requested)' AS SettingName, HostnameRequested AS Value, 124 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0124') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Hostname (Verified)' AS SettingName, HostnameVerified AS Value, 126 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0126') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Serial Number' AS SettingName, SerialNumber AS Value, 130 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0130') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'MAC Address' AS SettingName, MACAddress AS Value, 140 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0140') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Domain Name (Requested)' AS SettingName, DomainNameRequested AS Value, 144 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0144') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Domain Name (Verified)' AS SettingName, DomainNameVerified AS Value, 146 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0146') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Software Version' AS SettingName, SoftwareVersion AS Value, 150 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0150') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'FTP Mode' AS SettingName, FTPMode AS Value, 170 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0170') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'HTTP' AS SettingName, HTTP AS Value, 180 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0180') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'LDAP Primary Address' AS SettingName, LDAPPrimaryAddress AS Value, 190 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0190') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'LDAP Alternate Address' AS SettingName, LDAPAlternateAddress AS Value, 200 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0200') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'LPR/LPD' AS SettingName, LPRLPD AS Value, 210 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0210') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'NTP' AS SettingName, NTP AS Value, 240 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0240') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'POP3 Server' AS SettingName, POP3Server AS Value, 250 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0250') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Power Cycle Resets To Default' AS SettingName, PowerCycleResetsToDefault AS Value, 260 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0260') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Raw IP Printing' AS SettingName, RawIPPrinting AS Value, 270 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0270') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Receive POP3 Email' AS SettingName, ReceivePOP3Email AS Value, 280 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0280') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'SLP' AS SettingName, SLP AS Value, 300 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0300') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'SMTP Server' AS SettingName, SMTPServer AS Value, 310 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0310') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'SNMP v3' AS SettingName, SNMPv3 AS Value, 320 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0320') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'TCP/IPv4' AS SettingName, TCPIPv4 AS Value, 330 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0330') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'TCP/IPv6' AS SettingName, TCPIPv6 AS Value, 340 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0340') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Web Service Discovery' AS SettingName, WebServiceDiscovery AS Value, 350 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0350') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Web Service Multicast' AS SettingName, WebServiceMulticast AS Value, 360 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0360') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Web Service Print' AS SettingName, WebServicePrint AS Value, 370 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0370') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Fundamental Configuration' AS SectionName, 'Web Service Scan' AS SettingName, WebServiceScan AS Value, 380 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0380') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'Enabled 802.X' AS SettingName, Enabled802_1X AS Value, 400 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0400') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'Certificate Key Length' AS SettingName, CertificateKeyLength AS Value, 410 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0410') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'Minimum RSA Certificate Key Length' AS SettingName, RSACertificateKeyLength AS Value, 411 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0411') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'Minimum ECDSA Certificate Key Length' AS SettingName, ECDSACertificateKeyLength AS Value, 412 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0412') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'Disk Encryption Of User Data' AS SettingName, DiskEncryptionOfUserData AS Value, 420 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0420') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'FIPS Mode Enabled' AS SettingName, FIPSModeEnabled AS Value, 430 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0430') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'IP Addressing' AS SettingName, IPAddressing AS Value, 440 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0440') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'IP Filtering Rules' AS SettingName, IPFilteringRules AS Value, 450 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0450') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'IPSec Enabled' AS SettingName, IPSecEnabled AS Value, 460 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0460') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'SA Admin Credentials' AS SettingName, SAAdminCredentials AS Value, 470 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0470') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'Scheduled Overwrite' AS SettingName, ScheduledOverwrite AS Value, 480 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0480') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'Scheduled Job Data Removal' AS SettingName, ScheduledJobDataRemoval AS Value, 485 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0485') as HostPropRank
FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'SMTP Connection Encryption' AS SettingName, SMTPConnectionEncryption AS Value, 490 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0490') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'SNMP Community Strings' AS SettingName, SNMPCommunityStrings AS Value, 500 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0500') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'Force traffic over SSL' AS SettingName, ForceTrafficOverSSL AS Value, 510 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0510') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Standard Security Settings' AS SectionName, 'SSL Certificate Expiration Date' AS SettingName, SSLCertificateExpirationDate AS Value, 520 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0520') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Settings' AS SectionName, 'E-Mail Domain Restricted' AS SettingName, EMailDomainRestricted AS Value, 530 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0530') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Settings' AS SectionName, 'E-Mail Send Only To Self' AS SettingName, EMailSendOnlyToSelf AS Value, 540 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0540') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Settings' AS SectionName, 'Immediate Image Overwrite' AS SettingName, ImmediateImageOverwrite AS Value, 550 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0550') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Settings' AS SectionName, 'Network Authentication Enabled' AS SettingName, NetworkAuthenticationEnabled AS Value, 560 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0560') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Settings' AS SectionName, 'PostScript Passwords' AS SettingName, PostScriptPasswords AS Value, 570 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0570') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Settings' AS SectionName, 'USB Ports Front' AS SettingName, USBPortsFront AS Value, 580 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0580') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Settings' AS SectionName, 'USB Ports Rear' AS SettingName, USBPortsRear AS Value, 590 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0590') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Settings' AS SectionName, 'Xerox Audit Log' AS SettingName, XeroxAuditlog AS Value, 600 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0600') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Settings' AS SectionName, 'User Permissions' AS SettingName, UserPermissions AS Value, 610 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0610') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Settings' AS SectionName, 'Xerox Touch UI Services' AS SettingName, XeroxTouchUIServices AS Value, 620 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0620') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Settings' AS SectionName, 'Properties Last Retrieved ' AS SettingName, PropsLastRetrieved AS Value, 630 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0630') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 01' AS SettingName, ListeningPort01 AS Value, 640 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0640') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort01 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 02' AS SettingName, ListeningPort02 AS Value, 645 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0645') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort02 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 03' AS SettingName, ListeningPort03 AS Value, 650 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0650') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort03 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 04' AS SettingName, ListeningPort04 AS Value, 655 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0655') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort04 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 05' AS SettingName, ListeningPort05 AS Value, 660 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0660') as HostPropRank 
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort05 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 06' AS SettingName, ListeningPort06 AS Value, 665 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0665') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort06 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 07' AS SettingName, ListeningPort07 AS Value, 670 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0670') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort07 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 08' AS SettingName, ListeningPort08 AS Value, 675 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0675') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort08 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 09' AS SettingName, ListeningPort09 AS Value, 680 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0680') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort09 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 10' AS SettingName, ListeningPort10 AS Value, 685 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0685') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort10 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 11' AS SettingName, ListeningPort11 AS Value, 690 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0690') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort11 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 12' AS SettingName, ListeningPort12 AS Value, 695 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0695') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort12 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 13' AS SettingName, ListeningPort13 AS Value, 700 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0700') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort13 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 14' AS SettingName, ListeningPort14 AS Value, 705 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0705') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort14 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 15' AS SettingName, ListeningPort15 AS Value, 710 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0710') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort15 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 16' AS SettingName, ListeningPort16 AS Value, 715 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0715') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort16 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 17' AS SettingName, ListeningPort17 AS Value, 720 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0720') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort17 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 18' AS SettingName, ListeningPort18 AS Value, 725 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0725') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort18 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 19' AS SettingName, ListeningPort19 AS Value, 730 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0730') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort19 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 20' AS SettingName, ListeningPort20 AS Value, 735 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0735') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort20 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 21' AS SettingName, ListeningPort21 AS Value, 740 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0740') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort21 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 22' AS SettingName, ListeningPort22 AS Value, 745 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0745') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort22 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 23' AS SettingName, ListeningPort23 AS Value, 750 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0750') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort23 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 24' AS SettingName, ListeningPort24 AS Value, 755 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0755') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort24 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 25' AS SettingName, ListeningPort25 AS Value, 760 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0760') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort25 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 26' AS SettingName, ListeningPort26 AS Value, 765 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0765') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort26 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 27' AS SettingName, ListeningPort27 AS Value, 770 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0770') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort27 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 28' AS SettingName, ListeningPort28 AS Value, 775 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0775') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort28 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 29' AS SettingName, ListeningPort29 AS Value, 780 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0780') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort29 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 30' AS SettingName, ListeningPort30 AS Value, 785 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0785') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort30 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 31' AS SettingName, ListeningPort31 AS Value, 790 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0790') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort31 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 32' AS SettingName, ListeningPort32 AS Value, 795 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0795') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort32 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 33' AS SettingName, ListeningPort33 AS Value, 800 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0800') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort33 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 34' AS SettingName, ListeningPort34 AS Value, 805 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0805') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort34 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 35' AS SettingName, ListeningPort35 AS Value, 810 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0810') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort35 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 36' AS SettingName, ListeningPort36 AS Value, 815 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0815') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort36 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 37' AS SettingName, ListeningPort37 AS Value, 820 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0820') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort37 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 38' AS SettingName, ListeningPort38 AS Value, 825 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0825') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort38 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 39' AS SettingName, ListeningPort39 AS Value, 830 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0830') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort39 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 40' AS SettingName, ListeningPort40 AS Value, 835 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0835') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort40 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 41' AS SettingName, ListeningPort41 AS Value, 840 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0840') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort41 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 42' AS SettingName, ListeningPort42 AS Value, 845 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0845') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort42 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 43' AS SettingName, ListeningPort43 AS Value, 850 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0850') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort43 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 44' AS SettingName, ListeningPort44 AS Value, 855 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0855') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort44 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 45' AS SettingName, ListeningPort45 AS Value, 860 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0860') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort45 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 46' AS SettingName, ListeningPort46 AS Value, 865 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0865') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort46 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 47' AS SettingName, ListeningPort47 AS Value, 870 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0870') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort47 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 48' AS SettingName, ListeningPort48 AS Value, 875 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0875') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort48 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 49' AS SettingName, ListeningPort49 AS Value, 880 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0880') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort49 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 50' AS SettingName, ListeningPort50 AS Value, 885 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0885') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort50 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 51' AS SettingName, ListeningPort51 AS Value, 890 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0890') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort51 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 52' AS SettingName, ListeningPort52 AS Value, 895 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0895') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort52 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 53' AS SettingName, ListeningPort53 AS Value, 900 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0900') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort53 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 54' AS SettingName, ListeningPort54 AS Value, 905 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0905') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort54 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 55' AS SettingName, ListeningPort55 AS Value, 910 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0910') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort55 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 56' AS SettingName, ListeningPort56 AS Value, 915 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0915') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort56 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 57' AS SettingName, ListeningPort57 AS Value, 920 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0920') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort57 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 58' AS SettingName, ListeningPort58 AS Value, 925 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0925') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort58 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 59' AS SettingName, ListeningPort59 AS Value, 930 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0930') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort59 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox TCP/UDP Listening Ports' AS SectionName, 'Listening Port 60' AS SettingName, ListeningPort60 AS Value, 935 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0935') as HostPropRank
         FROM Xerox_MFP_AllProperties
         WHERE ListeningPort60 != 'N/A'
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 01' AS SettingName, DisallowedPort01 AS Value, 940 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0940') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 02' AS SettingName, DisallowedPort02 AS Value, 950 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0950') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 03' AS SettingName, DisallowedPort03 AS Value, 960 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0960') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 04' AS SettingName, DisallowedPort04 AS Value, 970 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0970') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 05' AS SettingName, DisallowedPort05 AS Value, 980 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0980') as HostPropRank 
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 06' AS SettingName, DisallowedPort06 AS Value, 990 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_0990') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 07' AS SettingName, DisallowedPort07 AS Value, 1000 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_1000') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 08' AS SettingName, DisallowedPort08 AS Value, 1010 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_1010') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 09' AS SettingName, DisallowedPort09 AS Value, 1020 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_1020') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 10' AS SettingName, DisallowedPort10 AS Value, 1030 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_1030') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 11' AS SettingName, DisallowedPort11 AS Value, 1040 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_1040') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 12' AS SettingName, DisallowedPort12 AS Value, 1050 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_1050') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 13' AS SettingName, DisallowedPort13 AS Value, 1060 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_1060') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 14' AS SettingName, DisallowedPort14 AS Value, 1070 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_1070') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 15' AS SettingName, DisallowedPort15 AS Value, 1080 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_1080') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 16' AS SettingName, DisallowedPort16 AS Value, 1090 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_1090') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 17' AS SettingName, DisallowedPort17 AS Value, 1100 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_1100') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 18' AS SettingName, DisallowedPort18 AS Value, 1110 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_1110') as HostPropRank
         FROM Xerox_MFP_AllProperties
         UNION ALL
         SELECT AutoID, ParentID, HostnameRequested, IPAddress, MACAddress, SerialNumber, 'Xerox Disallowed Network Ports' AS SectionName, 'Disallowed Port 19' AS SettingName, DisallowedPort19 AS Value, 1120 as PropertyRank, (HostnameRequested + '_' + SerialNumber + '_1120') as HostPropRank
         FROM Xerox_MFP_AllProperties
     ) AS derivedtable1
     ORDER BY HostPropRank
GO


IF EXISTS
(
    SELECT * FROM sys.objects
    WHERE object_id = OBJECT_ID(N'[dbo].[Xerox_MFP_AllProperties_View]')
    AND type in (N'U')
)
BEGIN
    CREATE NONCLUSTERED INDEX [Index_Xerox_MFP_AllProperties_View_HostPropRank]
        ON [dbo].[Xerox_MFP_AllProperties_View]
        (
            [HostPropRank] ASC
        )
END

GO


