<!-- Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved. -->
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>


<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>
<orion:message var="changeTsPassword" key="scor.regServer.is.tsChangePassword" escape="none"/>
<orion:message var="testConnectionButton" key="scor.regServer.is.testConnectionButton" escape="none"/>
<orion:message var="passwordShouldMatch" key="scor.regServer.is.validation.passwordValuesMustMatch" escape="none"/>

<c:set var="tempPassword" value="__fake_password_value__"/>

<script type="text/javascript">
	OrionHelp.setHelpId("<%=HelpConstants.RECON_REG_SERVER_PAGE%>");
    function validatePasswords(){
        return $("ticketingSystemPassword").value == $("ticketingSystemConfirmPassword").value;
    }

    function changeTsPassword() {
        if (document.getElementById("changeTsPassword").checked) {
            OrionCore.setEnabledById("ticketingSystemPassword", true);
            OrionCore.setEnabledById("ticketingSystemConfirmPassword", true);
            $("ticketingSystemPassword").value = "";
            $("ticketingSystemConfirmPassword").value = "";
            OrionCore.focusOn("ticketingSystemPassword");
        }
        else {
            $("ticketingSystemPassword").value = '${tempPassword}';
            $("ticketingSystemConfirmPassword").value = '${tempPassword}';
            OrionCore.setEnabledById("ticketingSystemPassword", false);
            OrionCore.setEnabledById("ticketingSystemConfirmPassword", false);
        }
    }
    function scorTestIsConfig(){
        $('scorTestConnection').disabled = true;
        $('scorTestConResult').innerHTML = "";
        OrionCore.showPleaseWait(true);
        var changePassword = 'no';
        if($('changeTsPassword') == null){
            changePassword = 'yes';
        }else{
            if($('changeTsPassword').checked){
                changePassword = 'yes';
            }
        }
           OrionCore.doAsyncFormAction("<%=URLConstants.VALIDATE_IS_PARAMS%>",
                ['integrationServerHostName',$('integrationServerHostName').value
                ,'integrationServerPort',$('integrationServerPort').value
                ,'ticketingSystemHostName',$('ticketingSystemHostName').value
                ,'ticketingSystemUserName',$('ticketingSystemUserName').value
                ,'changeTsPassword',changePassword
                ,'ticketingSystemPassword',$('ticketingSystemPassword').value],
                scorIsParamsValidationCompleate,scorIsParamsValidationFailure);
    }
    function scorIsParamsValidationCompleate(result){
        OrionCore.showPleaseWait(false);
        $('scorTestConResult').innerHTML = "";
        $('scorTestConnection').disabled = false;
        var resultObj = JSON.parse(result);
        var resultVO = scor.vos.Result(resultObj);
        if (resultVO.isFailure()) {
            $('scorTestConResult').innerHTML = '<orion:message key="scor.regServer.is.validation.failure" escape="javascript"/>';
            $('scorTestConResult').className = 'orionInputErrorText';
        }else{
            $('scorTestConResult').innerHTML = '<orion:message key="scor.regServer.is.validation.success" escape="javascript"/>';
            $('scorTestConResult').className = '';
        }
    }
    function scorIsParamsValidationFailure(){
        OrionCore.showPleaseWait(false);
        $('scorTestConnection').disabled = false;
        $('scorTestConResult').innerHTML = '<orion:message key="scor.regServer.is.validation.failure" escape="javascript"/>';
        $('scorTestConResult').className = 'orionInputErrorText';
    }

</script>

<table cellspacing="0" width="100%">
    <tr>
        <td class="orionSummaryHeader">
            <orion:message key="scor.regServer.is.integrationServerHostName" escape="none"/>
        </td>
        <td class="orionSummaryColumn">
            <orion:textbox id="integrationServerHostName"
                           name="integrationServerHostName"
                           value="${integrationServerHostName}"
                           required="true"/>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader">
            <orion:message key="scor.regServer.is.integrationServerPort" escape="none"/>
        </td>
        <td class="orionSummaryColumn">
            <orion:textbox id="integrationServerPort"
                           name="integrationServerPort"
                           value="${integrationServerPort}"
                           required="true"/>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader">
            <orion:message key="scor.regServer.is.tsHostName" escape="none"/>
        </td>
        <td class="orionSummaryColumn">
            <orion:textbox id="ticketingSystemHostName"
                           name="ticketingSystemHostName"
                           value="${ticketingSystemHostName}"
                           required="true"/>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader">
            <orion:message key="scor.regServer.is.tsUserName" escape="none"/>
        </td>
        <td class="orionSummaryColumn">
            <orion:textbox id="ticketingSystemUserName"
                           name="ticketingSystemUserName"
                           value="${ticketingSystemUserName}"
                           required="true"/>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader">
            <orion:message key="scor.regServer.is.tsPassword" escape="none"/>
        </td>
        <td class="orionSummaryColumn">
            <table>
                <c:choose>
                    <c:when test="${isPasswordSetPreviously == 'true'}">
                        <tr>
                            <td>
                                <input type="hidden" name="isPasswordSetPreviously" value="yes"/>
                                <orion:checkbox id="changeTsPassword" name="changeTsPassword"
                                                text="${changeTsPassword}" value="yes"/>
                                <script type="text/javascript">
                                    $('changeTsPassword').onclick = changeTsPassword;
                                </script>
                            </td>
                        </tr>

                        <tr>
                            <td>
                                &nbsp;&nbsp;
                                <orion:message key="scor.regServer.is.tsPassword.password.new" escape="none"/>
                                <orion:password id="ticketingSystemPassword"
                                                name="ticketingSystemPassword"
                                                value="${tempPassword}" disabled="true" onvalidate="validatePasswords" errorText="${passwordShouldMatch}"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                &nbsp;&nbsp;
                                <orion:message key="scor.regServer.is.tsPassword.confPassword.new" escape="none"/>
                                <orion:password id="ticketingSystemConfirmPassword"
                                                name="ticketingSystemConfirmPassword"
                                                value="${tempPassword}" disabled="true" onvalidate="validatePasswords" errorText="${passwordShouldMatch}"/>

                            </td>
                        </tr>
                    </c:when>
                    <c:otherwise>
                        <tr>
                            <td>
                                <input type="hidden" name="isPasswordSetPreviously" value="no"/>
                                <orion:message key="scor.regServer.is.tsPassword.password" escape="none"/>
                                <orion:password id="ticketingSystemPassword"
                                                name="ticketingSystemPassword"
                                                value="" onvalidate="validatePasswords" errorText="${passwordShouldMatch}"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <orion:message key="scor.regServer.is.tsPassword.confPassword" escape="none"/>
                                <orion:password id="ticketingSystemConfirmPassword"
                                                name="ticketingSystemConfirmPassword"
                                                value="" onvalidate="validatePasswords" errorText="${passwordShouldMatch}"/>
                            </td>
                        </tr>
                    </c:otherwise>
                </c:choose>
            </table>
        </td>
    </tr>

    <tr>
        <td class="orionSummaryHeader">
            <orion:message key="scor.regServer.is.testConnection" escape="none"/>
        </td>
        <td class="orionSummaryColumn">
            <orion:button id="scorTestConnection" text="${testConnectionButton}" onclick="scorTestIsConfig();"/>
            <span id="scorTestConResult" />
        </td>
    </tr>
</table>
