<!-- COPYRIGHT:		Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved-->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.installer.InstallerConstants" %>

<orion:script context="/core" src="/majic.js"/>

<orion:style context="/SOLIDCORE_META" url="/css/override.css" />

<orion:message key="scor.policy.awl.validation.selectApp" var="selectApp" escape="javascript"/>

<orion:message key="scor.policy.awl.app.prodName" var="appProdName" />
<orion:message key="scor.policy.awl.app.prodName" var="appProdName2"  escape="none"/>
<orion:message key="scor.policy.awl.app.Type" var="appType" />
<orion:message key="scor.policy.awl.app.By" var="appBy" />
<orion:message key="scor.policy.awl.app.version" var="appVersion" />
<orion:message key="scor.policy.awl.app.vendor" var="appVendor" />
<orion:message key="scor.policy.awl.app.tag" var="appTag" />
<orion:message key="scor.policy.awl.app.findBy.name" var="appFindByName" />
<orion:message key="scor.policy.awl.app.findBy.vendor" var="appFindByVendor"  escape="none"/>
<orion:message key="scor.policy.awl.app.searchFor" var="appSearchFor" />
<orion:message key="scor.policy.awl.app.button.find" var="appButtonFind"  escape="none"/>
<orion:message key="scor.policy.awl.app.findBy" var="appFindBy" />
<orion:message key="scor.policy.awl.app.findBy" var="appFindBy" />
<orion:message key="scor.policy.awl.app.Sha1" var="Sha1" escape="javascript"/>
<orion:message key="scor.policy.awl.app.Sha256" var="Sha256" escape="javascript"/>
<orion:message key="scor.policy.awl.app.select" var="appSelect" />
<orion:message key="scor.policy.awl.button.add" var="awlButtonAdd" escape="javascript"/>
<orion:message key="scor.policy.awl.button.edit" var="awlButtonEdit" escape="javascript"/>
<orion:message key="scor.policy.awl.button.remove" var="awlButtonRemove" escape="javascript"/>
<orion:message key="scor.apps.add.title" var="appsAddTitle" escape="javascript"/>
<orion:message key="scor.apps.edit.title" var="appsEditTitle" escape="javascript"/>
<orion:message key="scor.policy.awl.app.helpText" var="appHelpText"/>
<orion:message key="scor.apps.emptyAppSelection" var="empSel" escape="javascript"/>
<orion:message key="scor.awl.app.no.editPermission.msg" var="noEditPermissionMsg" escape="HTML"/>

<c:set var="checksumType" scope="request" value="<%=InstallerConstants.MAKE_BY_VALUE%>"/>

<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupInstallerRules" authToken = "isAuthorizedToViewInstallerRules"/>

<orion:box id="applicationsTabId">
	<div id="appsErrorDivId" class="errorRuleTab">${noEditPermissionMsg}</div>
    <table id="applicationsTableId" cellspacing="0" cellpadding="0" width="98%">
        <%@ include file="../AdjustOtherTabs.jsp"%>
        <tr>
            <td class="orionSummaryColumn">
                <!-- width is 98% of the width of the list widget so its 882px 1078-->
                <table cellspacing='3' cellpadding='0' width='1078px'>
                    <tr>
                        <td width="15%"><b>${appProdName}</b></td>
                        <td width="8%"><b>${appType}</b></td>
                        <td width="30%"><b>${appBy}</b></td>
                        <td width="10%"><b>${appVersion}</b></td>
                        <td width="15%"><b>${appVendor}</b></td>
                        <td width="20%"><b>${appTag}</b></td>
                    </tr>
                </table>
                <orion:box id="applicationsListContainerId" height="auto" />
            </td>
        </tr>
    </table>

    <div id="applicationsListRowTemplateId" style="display:none;">
        <table cellspacing='0' cellpadding='0' width='98%' style="table-layout: fixed" >
            <tr>
                <td width='15%' class="scorWordWrap" >
                    @appNameHiddenId
                </td>
                <td width='8%' class="scorWordWrap">
				 @makeByHiddenId 	   
                </td>
                <td width='30%' class="scorWordWrap">
                <div id="checksum" style="word-wrap:break-word; width:255px">
                @checksumHiddenId
				</div>    
                </td>
                <td width='10%' class="scorWordWrap">
                    @versionHiddenId
                </td>
                <td width='15%' class="scorWordWrap">
                    @vendorHiddenId
                </td>
                <td width='20%' class="scorWordWrap">
                    @tagHiddenId
                </td>
            </tr>
        </table>
    </div>
    
    <div id="updater_label_input_template" style="display:none;">
    <table>
    <tr>
    	<td>
    		${appTag}
    	</td>
    	<td>
    		<orion:textbox id="app.edit.updaterLabel" value="" />
    	</td>
    	</tr>
    </table>
    </div>
	 
	 <div id="scorAppsHiddenFieldsDiv">
        <input type="hidden" id="appNameHiddenId" />
        <input type="hidden" id="makeByHiddenId" />
        <input type="hidden" id="versionHiddenId" />
        <input type="hidden" id="vendorHiddenId" />
        <input type="hidden" id="checksumHiddenId" />
        <input type="hidden" id="tagHiddenId"/>
 	</div>
 	
        
</orion:box>

<script type="text/javascript">
<c:if test = "${isAuthorizedToViewInstallerRules == false}">
	$j('#applicationsTabId').hide();
</c:if>
//JSON array representing current publisher data with FIND criteria.
var currentAppsSet=null;

var scorAppSelected = false;
function scorAddAppCallback(){
    OrionCore.setDialogBoxTitle('${appsAddTitle}');
    myEpoEnableApplyButton();
};

var applicationsList = new majic.ListWidget({
    container: "applicationsListContainerId",
    width: "1100px",
    height: "320px",
    removeCallback: myEpoEnableApplyButton,
    addCallback: scorAddAppCallback,
    buttons: {
        'insert': '${awlButtonAdd}',
        'edit': '${awlButtonEdit}',
        'remove': '${awlButtonRemove}'
    },
    displayText: $('applicationsListRowTemplateId').innerHTML,
    formatCallback: listWidgetformatCallback
});

var addAppButton = applicationsList.buttonElements[0];
addAppButton.onclick = handleMultiAppsAdd1;

var scor = scor || {};
scor.app = scor.app || {};

scor.app.onEditOk = function() {
    var updaterLabelElement = scor.utils.GetElementFromDialogBox("app.edit.updaterLabel","input");
    var appObject = applicationsList.list[applicationsList.selrow.id];
    appObject.tagHiddenId = updaterLabelElement.value;
    applicationsList.insert(appObject, true) ;
}

scor.app.onEdit = function() {
	if (applicationsList.selrow) {
	    OrionCore.showDialogBox(true, $('updater_label_input_template').innerHTML, OrionCore.DIALOG_OK_CANCEL);
	    OrionCore.dialogBoxOkHandler = scor.app.onEditOk;
	    OrionCore.setDialogBoxTitle('${appsEditTitle}');
	    var selectedRow = applicationsList.list[applicationsList.selrow.id];
	    var tagVal = selectedRow.tagHiddenId;
	    var updaterLabelElement = scor.utils.GetElementFromDialogBox("app.edit.updaterLabel","input");
	    updaterLabelElement.value = tagVal; 
}
	}

applicationsList.buttonElements[1].onclick = scor.app.onEdit;

function setDialogSize(){
    scorSetDialogSize(400,800);
}

function handleMultiAppsAdd1(){
	OrionCore.setDialogBoxTitle('${appsAddTitle}');
    OrionCore.showAsyncDialogBox( true, "<%=URLConstants.APPS_DIALOG_URL%>",null,setDialogSize );
	OrionCore.dialogBoxOkHandler = scorFindAppDialogHandler;
	epoEnableApplyButton();
}

 function scorFindAppDialogHandler(){
    var selectedIds=ScorDialogTable.getSelectedUIDs('appsTableD');
     if(selectedIds.length === 0){
		alert('${empSel}');
		return false;
    }
    var selectedIdString = selectedIds.join(",");
    var appTag = document.getElementById('app_tag_box').value;
    scor.actions.doAsyncAction("<%=URLConstants.APPS_SEARCH_RESULTS%>",
             ['<%=InstallerConstants.APP_ID_CRIT%>',selectedIdString,'<%=InstallerConstants.APP_TAG%>',appTag],
              scorLoadAppsSuccess);
}

//Take care of duplicates
 function scorLoadAppsSuccess(awlAppVO){
	var appList = awlAppVO ? awlAppVO.installerUnits : [];
	for(var i=0; i < appList.length; i++)
	{
		insertAppRow(appList[i]);
	}
 }

// variable to hold the <div> where publisher table needs to be placed.
var scorAppsHolder=null;

function clearAppsLimitLabel(){
    var labelElem = scor.utils.GetElementFromDialogBox("searchAppsLimit","label");
    labelElem.innerHTML = '';
}

function insertAppRow(appObj){
     var newObj ={"appNameHiddenId" : appObj.appName,
	         "versionHiddenId" : appObj.version,
	         "vendorHiddenId" : appObj.vendor,
	         "tagHiddenId": appObj.tag,
	         "checksumHiddenId" : appObj.checksum,
	         "makeByHiddenId" : appObj.makeBy
	     }
     applicationsList.insert(newObj) ;
}

function populateApplications(appsList){
    scor.utils.clearMagicListWidget(applicationsList);
    appsList = appsList ? appsList : {};
    
    for(var i=0; i < appsList.length; i++)
    {
    	insertAppRow(appsList[i]);
    }
}
function getApplications(){
    var vo = [];

    var rows = applicationsList.getRows();
    for (var rowKey in rows)
    {
        var row = rows[rowKey];
        if (row != null && row != undefined)
        {          		
	            vo.push( {"appName": scor.utils.trim(row['appNameHiddenId']),
	                "version":scor.utils.trim(row['versionHiddenId']),
	                "vendor": scor.utils.trim(row['vendorHiddenId']),
	                "tag":scor.utils.trim(row['tagHiddenId']),
	                "checksum": scor.utils.trim(row['checksumHiddenId']),
	                "makeBy": scor.utils.trim(row['makeByHiddenId'])
	            });
        }
    }
    return vo;
}
function enableApplicationsList(enable){
    applicationsList.setEnabled(enable);
}

</script>

