<!-- Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved.  -->
<%@page import="com.mcafee.scor.policy.PolicyConstants"%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page import="com.mcafee.scor.common.Constants"%>



<orion:message key="scor.policy.filter.section.observationAndEvents" var="msgObservationAndEvents" escape="html"/>
<orion:message key="scor.policy.filter.section.Events" var="msgEvents" escape="html"/>
<orion:message key="scor.policy.filter.section.inventory" var="msgInventory" escape="html"/>

<script src="/core/treelib.js" type="txt/javascript" ></script>
<jsp:include page="/common/includejQuery.jsp" />
<c:set var="WIN_OS" scope="request" value="<%=PolicyConstants.POLICY_OS.WIN.getValue()%>"/>
<c:set var="UNIX_OS" scope="request" value="<%=PolicyConstants.POLICY_OS.UNIX.getValue()%>"/>

<style type="text/css">
.filtersDescriptionArea {
	background-color:#EDEDED;
	border-color:#E0E0E0;
	border-style:none none solid;
	border-width:1px;
	color:#4A4A4A;
	font-size:10px;
	font-weight:normal;
	overflow:hidden;
	width:99%;
	margin-bottom: 10px;
	padding:5px;
}
</style>

<script type="text/javascript">

var scor = scor || {};
scor.awl = scor.awl || {};
scor.awl.filter = scor.awl.filter ||{};

scor.awl.filter.toggleEventFilter = function() {
	if ($j("#eventFilterBoxId").is(":hidden")) {
		$j("#eventFilterBoxId").show();
		$j("#hiddenTwistyEvent").hide();
		$j('#shownTwistyEvent').show();
	} else {
		$j("#eventFilterBoxId").hide();
		$j("#hiddenTwistyEvent").show();
		$j('#shownTwistyEvent').hide();
	}
}

scor.awl.filter.toggleInventoryFilter = function() {
	var displayStatusInventoryFilter = $j("#invFilterBoxId").css('display');
	if ($j("#invFilterBoxId").is(":hidden")) {
		$j("#invFilterBoxId").show();
		$j("#hiddenTwistyInventory").hide();
		$j('#shownTwistyInventory').show();
	} else {
		$j("#invFilterBoxId").hide();
		$j("#hiddenTwistyInventory").show();
		$j('#shownTwistyInventory').hide();
	}
}

</script>

<orion:box>

<orion:vbox width="auto">
<br/>
<div id="advancedErrorDivId" class="errorRuleTab"></div>
<br/>
<div>
<table style="width:100%">
	<tr>
		<td id="eventFilterTreeId" class="filtersDescriptionArea" style="height:25px;">
			<div>
				<span id="hiddenTwistyEvent" onclick="scor.awl.filter.toggleEventFilter();" style="cursor:pointer">&#x25ba;</span>
				<span id="shownTwistyEvent" onclick="scor.awl.filter.toggleEventFilter();" style="cursor:pointer;display:none">&#x25bc;</span>
				<c:choose>
					<c:when test="${param.osType == WIN_OS}">
						<span style="font-weight:bold">${msgObservationAndEvents}</span>
					</c:when>
					<c:when test="${param.osType == UNIX_OS}">
						<span style="font-weight:bold">${msgEvents}</span>
					</c:when>
				</c:choose>
			</div>
		</td>
	</tr>
</table>
</div>

<div id="eventFilterBoxId" style="display:none;width:80%;">
			<div style="padding-left:8px">
				<%@include file="../monpolicy/AdvancedMonRule.jsp" %>
			</div>
</div>

<c:if test="${param.osType == WIN_OS}">
<div>
<br/>
<table style="width:100%">
	<tr>
		<td id="inventoryFilterTreeId" class="filtersDescriptionArea" style="height:25px;">
			<div>
				<span id="hiddenTwistyInventory" onclick="scor.awl.filter.toggleInventoryFilter();" style="cursor:pointer">&#x25ba;</span>
				<span id="shownTwistyInventory" onclick="scor.awl.filter.toggleInventoryFilter();" style="cursor:pointer;display:none">&#x25bc;</span>
				<span style="font-weight:bold;">${msgInventory}</span>
			</div>
		</td>
	</tr>
</table>
</div>

<div id="invFilterBoxId" style="display:none;width:80%;">
			<div style="padding-left:8px">
				<%@include file="InventoryAEF.jsp" %>
			</div>
</div>
</c:if>
</orion:vbox>


</orion:box>