<!-- COPYRIGHT:		Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved-->
<%@ page import="com.mcafee.scor.awl.AWLConstants" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.common.Constants" %>
<%@ page import="com.mcafee.scor.rulegroup.RuleGroupConstants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>

<orion:script context="/core" src="/majic.js"/>

<jsp:include page="/common/includejQuery.jsp" />

<orion:style context="<%=URLConstants.SLASH_WEB_APP_NAME%>" url="/css/override.css" />

<orion:message key="scor.policy.awl.updater.updaterByChecksum" var="msgUpdaterByChecksum" escape="none"/>
<orion:message key="scor.policy.awl.updater.updaterByChecksum256" var="msgUpdaterByChecksum256" escape="none"/>
<orion:message key="scor.policy.awl.updater.updaterByFilename" var="msgUpdaterByFilename" escape="none"/>
<orion:message key="scor.policy.awl.updater.checksum" var="msgChecksum"/>
<orion:message key="scor.policy.awl.updater.checksum256" var="msgChecksum256"/>
<orion:message key="scor.policy.awl.updater.binaryFile" var="updaterBinaryFile"/>
<orion:message key="scor.policy.awl.updater.binary" var="updaterBinary"/>
<orion:message key="scor.policy.awl.updater.tag" var="updaterTag"/>
<orion:message key="scor.policy.awl.updater.updaterBy" var="updaterBy" />
<orion:message key="scor.policy.awl.updater.parentLib" var="updaterParentLib"/>
<orion:message key="scor.policy.awl.updater.parent" var="updaterParent"/>
<orion:message key="scor.policy.awl.updater.type" var="updaterType"/>
<orion:message key="scor.policy.awl.updater.inherit" var="updaterInherit"/>
<orion:message key="scor.policy.awl.updater.log" var="updaterLog"/>
<orion:message key="scor.policy.awl.updater.caseSensitive" var="caseSensitive"/>

<orion:message key="scor.policy.awl.updater.binaryPath" var="updaterBinaryPath"/>
<orion:message key="scor.policy.awl.updater.type.none" var="updaterTypeNone" escape="none"/>
<orion:message key="scor.policy.awl.updater.type.library" var="updaterTypeLibrary" escape="none"/>
<orion:message key="scor.policy.awl.updater.type.library" var="updaterTypeLibraryJs" escape="javascript"/>
<orion:message key="scor.policy.awl.updater.type.parent" var="updaterTypeParent" escape="none"/>
<orion:message key="scor.policy.awl.updater.type.parent" var="updaterTypeParentJs" escape="javascript"/>
<orion:message key="scor.policy.awl.updater.dialog.addTitle" var="updaterDialogAddTitle" escape="javascript"/>
<orion:message key="scor.policy.awl.updater.dialog.editTitle" var="updaterDialogEditTitle" escape="javascript"/>
<orion:message key="scor.policy.awl.updater.helpText" var="updaterHelpText"/>
<orion:message key="scor.policy.awl.updater.byChecksum.helpText" var="updaterByChecksumHelpText"/>
<orion:message key="scor.policy.awl.updater.byChecksum256.helpText" var="updaterByChecksum256HelpText"/>
<orion:message key="scor.policy.awl.updater.noteText" var="updaterNoteText"/>

<orion:message key="scor.policy.awl.button.add" var="awlButtonAdd" escape="javascript"/>
<orion:message key="scor.policy.awl.button.edit" var="awlButtonEdit" escape="javascript"/>
<orion:message key="scor.policy.awl.button.remove" var="awlButtonRemove" escape="javascript"/>
<orion:message key="scor.policy.awl.button.diagSuggest" var="awlButtonDiagSuggest" escape="javascript"/>

<orion:message key="scor.policy.awl.updater.diag.findLabel" var="findLbl"/>
<orion:message key="scor.policy.awl.updater.diag.findBtnTxt" var="findBtnTxt"/>
<orion:message key="scor.policy.awl.updater.diag.System" var="diagSystem" escape="javascript"/>
<orion:message key="scor.policy.awl.updater.diag.Binary" var="diagBinary" escape="javascript"/>
<orion:message key="scor.policy.awl.updater.diag.Parent" var="diagParent" escape="javascript"/>
<orion:message key="scor.updaters.duplicate.label" var="duplicateLabel" escape="HTML"/>
<orion:message key="scor.awl.updaters.no.editPermission.msg" var="noEditPermissionMsg" escape="HTML"/>

<c:set var="WIN_OS" scope="request" value="<%=RuleGroupConstants.RULE_GROUP_OS.WIN.getValue()%>"/>
<c:set var="UNIX_OS" scope="request" value="<%=RuleGroupConstants.RULE_GROUP_OS.UNIX.getValue()%>"/>

<scor:auth authClassName = "com.mcafee.scor.common.ScorPermissionValidationHelper" authMethodName = "isUserAllowedToViewRuleGroupUpdaterRules" authToken = "isAuthorizedToViewUpdaterRules"/>

<orion:box id="updaterTabId">
	<div id="updaterErrorDivId" class="errorRuleTab"> ${noEditPermissionMsg}</div>
    <table id="updaterTableId" cellspacing="0" cellpadding="0" width="98%">
         <%@ include file="../AdjustOtherTabs.jsp" %>
        <tr>
            <td class="orionSummaryColumn">
                <!-- width is 98% of the width of the list widget so its 882px-->
                <table cellspacing='3' cellpadding='0' width='1078px'>
                    <tr>
                    	<td width="15%"><b>${updaterTag}</b></td>
                    	<td width="8%"><b>${updaterBy}</b></td>

						<c:if test="${param.osType == UNIX_OS}">
							<td width="27%"><b>${updaterBinaryFile}</b></td>
						</c:if>
						<c:if test="${param.osType == WIN_OS}">
							<td width="27%"><b>${updaterBinary}</b></td>
						</c:if>

						<td width="8%"><b>${updaterType}</b></td>
						
						<c:if test="${param.osType == UNIX_OS}">
							<td width="20%"><b>${updaterParent}</b></td>
						</c:if>
						<c:if test="${param.osType == WIN_OS}">
							<td width="20%"><b>${updaterParentLib}</b></td>
						</c:if>
						
						<td width="13%"><b>${updaterInherit}</b></td>
						<td width="7%"><b>${updaterLog}</b></td>
                        <c:if test="${param.osType == WIN_OS}" >
                            <td width="15%" style="display: none"><b>${caseSensitive}</b></td>
                        </c:if>
                    </tr>
                </table>
                <orion:box id="updaterList" height="auto" />
            </td>
        </tr>
    </table>
    
    <div id="updater_list_row_template" style="display:none;">
        <table cellspacing='0' cellpadding='0' width='99%' style="table-layout: fixed">
            <tr>
                <td width='15%' class="scorWordWrap">
                    @tag
                </td>
                <td width="8%">
                	@updaterBy
                </td>
                <td width='27%' class="scorWordWrap">
                    @updaterValue
                </td>
                <td width='8%'>
                    @typeValue
                </td>
                <td width='20%' class="scorWordWrap">
                    @libraryParent
                </td>
                <td width='13%'>
                    @inherit
                </td>
                <td width='7%'>
                    @log
                </td>
                <c:if test="${param.osType == WIN_OS}">
                    <td width="15%" style="display: none">
                        @caseSensitive
                    </td>
                </c:if>
            </tr>
        </table>
    </div>

    <div id="updater_filter_editor_template" style="display:none;">
            <label id="updaterByNameHelpLabelId">${updaterHelpText}</label>
            <label id="updaterByChecksumHelpLabelId">${updaterByChecksumHelpText}</label>
            <label id="updaterByChecksum256HelpLabelId" style="display:none;">${updaterByChecksum256HelpText}</label>
            <br>
            ${updaterNoteText}
        <br>
        <br>
        <div id = "divUpdaterbyId">
        	<table width="100%">
        		<tr>
        			<td width="30%"><orion:radiobutton id="updaterByName" name="updaterType" text="${msgUpdaterByFilename}" value="Name" onclick="scor.rg.awl.updaters.showUpdaterByFilename()" checked="true"/></td>
     				<td width="35%"><orion:radiobutton id="updaterByChecksum" name="updaterType" text="${msgUpdaterByChecksum}" value="Checksum" onclick="scor.rg.awl.updaters.showUpdaterByChecksum();"/></td>
        			<td width="35%"><orion:radiobutton id="updaterByChecksum256" name="updaterType" text="${msgUpdaterByChecksum256}" value="Checksum256" onclick="scor.rg.awl.updaters.showUpdaterByChecksum256();"/></td>
        	</tr>
        	</table>
        </div>
        
        <div id = "divUpdaterValueAndTagId">
        	<table width="100%">        	
            	<tr id="updaterValueRow">
                	<td width="25%">
                		<label id="binaryPathLabelId" >${updaterBinaryPath}:</label>
                		<label id="checksumLabelId" style="display:none;">${msgChecksum}:</label>
                		<label id="checksum256LabelId" style="display:none;">${msgChecksum256}:</label>
                   	</td>
                	<td width="75%">
                    	<orion:textbox id="updaterValue" required="true" maxlength="255"/>
                	</td>
            	</tr>
            	<tr id="updaterTagRow">
                	<td width="25%">${updaterTag}:</td>
                	<td width="75%">
                    	<orion:textbox id="tag" required="true" maxlength="255"/>
               		</td>
            	</tr>
            </table>
        </div>        
         
        
        <div id = "divUpdaterConditionId">
        	<table width="100%">  
            <tr id="updaterTypeRow">
                <td width="25%">${updaterType}:</td>
                <td width="75%">
                    <orion:radiobutton name="typeValue" id="typeValueNone" text="${updaterTypeNone}" value="none" checked="true" onclick="scor.rg.awl.updaters.showHideLibraryParentField()"/>
                   
                    <c:if test="${param.osType == WIN_OS}">
                        <orion:radiobutton name="typeValue" id="typeValueLibrary" text="${updaterTypeLibrary}" value="library" onclick="scor.rg.awl.updaters.showHideLibraryParentField()"/>
                        
                    </c:if>
                    <orion:radiobutton name="typeValue" id="typeValueParent" text="${updaterTypeParent}" value="parent" onclick="scor.rg.awl.updaters.showHideLibraryParentField()"/>
                    
                </td>
            </tr>
            <tr id="libraryParentRow" style="display:none;">
                <td width="25%" id="libraryParentLabel"></td>
                <td width="75%">
                    <orion:textbox id="libraryParent" maxlength="255" required="true" onblur="scor.rg.awl.updaters.preserveCurLibParentVal()"/>
                </td>
            </tr>
            </table>
        </div>
        
        <div id = "divUpdaterConfigureInheritanceAndLoggingId">
        	<table width="100%">  
            <tr id="inheritRow">
                <td width="25%"></td>
                <td width="75%">
                    <input type="checkbox" id="inheritChkBox" name="inheritChkBox" onclick="updaterChkBoxClkHandler(this,$('inherit'));">
                    <label for="inheritChkBox" id="inheritChkBox_label">${updaterInherit}</label>        
                    <input type="hidden" id="inherit" name="inherit" value="no"/>
                </td>
            </tr>
            <tr id="suppressEventsRow">
                <td width="25%"></td>
                <td width="75%">
                    <input type="checkbox" id="logChkBox" name="logChkBox" onclick="updaterChkBoxClkHandler(this,$('log'));"/>
                    <label for="logChkBox" id="logChkBox_label" >${updaterLog}</label>                      
                    <input type="hidden" id="log" name="log" value="no"/>
                </td>
            </tr>

            <c:if test="${param.osType == WIN_OS}">
            <tr id="caseSensitiveRow" style="display: none">
                <td width="25%"></td>
                <td width="75%">
                    <input type="checkbox" id="caseChkBox" name="caseChkBox" onclick="updaterChkBoxClkHandler(this,$('caseSensitive'));"/>
                    <label for="caseChkBox" id="caseChkBox_label" >${caseSensitive}</label>
                    <input type="hidden" id="caseSensitive" name="caseSensitive" value="no"/>
                </td>
            </tr>
            </c:if>

            <!-- more attributes add here -->
        </table>
        </div>
    <div id="scor_warningDiv" class="scorWarning" style="display:none;"></div>

    <div id="error_include" style="display:none;color:red;">
            *&nbsp;${duplicateLabel}
     </div>
    </div>   

    <div id="diagnostic_editor_template" style="display:none;">
        <div id="diagnosticListDB">
        </div>
        <div id="error_include" style="display:none;color:red;">
            *&nbsp;${duplicateLabel}
        </div>
    </div>

</orion:box>

<script type="text/javascript">
<c:if test = "${isAuthorizedToViewUpdaterRules == false}">
	$j('#updaterTabId').hide();
</c:if>

var scor = scor || {};
scor.rg = scor.rg || {};
scor.rg.awl = scor.rg.awl || {};
scor.rg.awl.updaters = scor.rg.awl.updaters || {};
scor.rg.awl.updaters.parentOrLibraryValue = scor.rg.awl.updaters.parentOrLibraryValue || '';
var editButtonClicked = false;

scor.rg.awl.updaters.hideButton = function(buttonName) {
	var btnNameList = ['add', 'edit', 'remove', 'suggest'];
	var i;
	var found = -1;//false
	var button;
	for (i=0;i<btnNameList.length;i++){
		if (buttonName === btnNameList[i]) {
			found = i;
			break;
		}
	}
	if (found !== -1) {
		button = updaterList.buttonElements[found];
		button.style.display = 'none';
	}
};

var setUpdatervalueField = function(){
	if(editButtonClicked === true){
		var checkBoxValue = scor.utils.getValuesOfSelectedRadioFromDialogBox('updaterType');
		var originalUpdaterByValue = updaterList.getRows()[updaterList.selrow.id].updaterBy;
		//	if 'updater type' is same as the checkbox selected, then populate updaterValue field with
		//	the value that exists in the updaterList table.
		if(originalUpdaterByValue === checkBoxValue){   
			var selectedUpdaterValue = updaterList.getRows()[updaterList.selrow.id].updaterValue;
			var typeValue = updaterList.getRows()[updaterList.selrow.id].typeValue;
			
			if(typeValue === 'library') {
				//check the library
				$('typeValueLibrary').checked = true;
			}
			if(typeValue === 'parent') {
				//check the parent
				$('typeValueParent').checked = true;
			}
			
			$('updaterValue').value = selectedUpdaterValue;


	    }
		// if 'updater type' is not same as that of orignal value for the rule being edited,
		// then clear the value of field 'updaterValue'.
		else{  
			$('updaterValue').value = "";
	    }
	}
}

scor.rg.awl.updaters.showUpdaterByChecksum = function(){
	$j('#updaterByNameHelpLabelId').hide();
	$j('#binaryPathLabelId').hide();
	$j('#divUpdaterConditionId').hide();
	$j('#divUpdaterConfigureInheritanceAndLoggingId').hide();	
	$j('#scor_warningDiv').hide();
	$j('#error_include').hide();
	$j('#updaterByChecksumHelpLabelId').show();
	$j('#updaterByChecksum256HelpLabelId').hide();
	$j('#checksumLabelId').show();
	$j('#checksum256LabelId').hide();	
	$j('#updaterTagRow').show();	
	$j('#updaterValue').attr('maxlength', 40);	
	setUpdatervalueField();
	updaterFileNameAndChkSumValidator();
}

scor.rg.awl.updaters.showUpdaterByChecksum256 = function(){
	$j('#updaterByNameHelpLabelId').hide();
	$j('#binaryPathLabelId').hide();
	$j('#divUpdaterConditionId').hide();
	$j('#divUpdaterConfigureInheritanceAndLoggingId').hide();	
	$j('#scor_warningDiv').hide();
	$j('#error_include').hide();
	$j('#updaterByChecksumHelpLabelId').hide();
	$j('#updaterByChecksum256HelpLabelId').show();
	$j('#checksumLabelId').hide();	
	$j('#checksum256LabelId').show();
	$j('#updaterTagRow').show();	
	$j('#updaterValue').attr('maxlength', 64);	
	setUpdatervalueField();
	updaterFileNameAndChkSumValidator();
}

scor.rg.awl.updaters.showUpdaterByFilename = function() {
	scor.rg.awl.updaters.hideShowWarningMsg();
	$j('#updaterByChecksumHelpLabelId').hide();
	$j('#updaterByChecksum256HelpLabelId').hide();
	$j('#checksumLabelId').hide();
	$j('#checksum256LabelId').hide();
	$j('#updaterByNameHelpLabelId').show();
	$j('#binaryPathLabelId').show();
	$j('#updaterTagRow').show();	
	$j('#divUpdaterConditionId').show();
	$j('#divUpdaterConfigureInheritanceAndLoggingId').show();	
	$j('#updaterValue').attr('maxlength', 255);
	if(!($('inherit').value)){
		$('inherit').value = 'no';		
	}
	if(!($('log').value)){
		$('log').value = 'no';		
	}
    if(scor.rg.awl.updaters.type.isWinOS()){
        if(!($('caseSensitive').value)){
            $('caseSensitive').value = 'no';
        }
    }

	setUpdatervalueField();
	updaterFileNameAndChkSumValidator();
}
scor.rg.awl.updaters.hideShowWarningMsg=function(){
	if($j('#error_include').text()){
		$j('#error_include').show();
	}else{
		$j('#error_include').hide();

	}
	if($j('#scor_warningDiv').text()){
		$j('#scor_warningDiv').show();
	}else{
		$j('#scor_warningDiv').hide();
	}
}
scor.rg.awl.updaters.preserveCurLibParentVal = function(){
    var makeBy = scor.utils.getValuesOfSelectedRadioFromDialogBox('typeValue');
	if(makeBy === 'library' || makeBy === 'parent'){
		scor.rg.awl.updaters.parentOrLibraryValue = scor.utils.GetElementFromDialogBox('libraryParent','input').value;
    }    
}

scor.rg.awl.updaters.showHideLibraryParentField = function(){
    var makeBy = scor.utils.getValuesOfSelectedRadioFromDialogBox('typeValue');
    var row = scor.utils.GetElementFromDialogBox('libraryParentRow','tr');
    var col = scor.utils.GetElementFromDialogBox('libraryParentLabel','td');

    row.style.display = "";

    if(makeBy === 'none'){
        row.style.display = "none";
    }else if(makeBy === 'library'){
        col.innerHTML = '${updaterTypeLibraryJs}';        
    }else if(makeBy === 'parent'){
        col.innerHTML = '${updaterTypeParentJs}';        
    }
    scor.utils.GetElementFromDialogBox('libraryParent','input').value = scor.rg.awl.updaters.parentOrLibraryValue || '';
};

function updaterAddCallback(){
    editButtonClicked = false;
    OrionCore.setDialogBoxTitle('${updaterDialogAddTitle}');
    updaterCommonCallback(editButtonClicked);
}

function selectUpdaterBy(){    
    if(isUpdaterByChecksumSelected()){
        scor.rg.awl.updaters.showUpdaterByChecksum();
	}else if(isUpdaterByChecksum256Selected()){
	    scor.rg.awl.updaters.showUpdaterByChecksum256(); 
	}else {
		scor.rg.awl.updaters.showUpdaterByFilename();
		scor.rg.awl.updaters.setValueOfInheritAndLog();
        scor.rg.awl.updaters.setValueOfCaseSensitive();
		scor.rg.awl.updaters.preserveCurLibParentVal();
	    scor.rg.awl.updaters.showHideLibraryParentField();
	}   
}

scor.rg.awl.updaters.setValueOfCaseSensitive = function() {
    if(scor.rg.awl.updaters.type.isWinOS()){
        var isCaseSensitive = $("caseSensitive").value;
        if(isCaseSensitive == "yes"){
            check("caseChkBox");
        } else{
            uncheck("caseChkBox");
        }
    }
}

scor.rg.awl.updaters.setValueOfInheritAndLog = function() {
	var inheritVar = $("inherit").value;
    if(inheritVar == "yes"){
        check("inheritChkBox");
    } else{
        uncheck("inheritChkBox");
    }
    var logVar =  $("log").value;
    if(logVar == "yes"){
        check("logChkBox");
    } else{
        uncheck("logChkBox");
    }
}

function updaterEditCallback() {
	var selectedRow = updaterList.selrow;
    if(typeof selectedRow === 'undefined' || selectedRow === null){
		return;
    }
	editButtonClicked = true;
    OrionCore.setDialogBoxTitle('${updaterDialogEditTitle}');
    selectUpdaterBy();
    updaterCommonCallback(editButtonClicked);
}



function updaterCommonCallback(edit) {
	scorSetDialogSize(351,701);
	scor.rg.awl.updaters.parentOrLibraryValue = "";
    var updaterValueElement = scor.utils.GetElementFromDialogBox('updaterValue','input');
    var tagElement = scor.utils.GetElementFromDialogBox('tag','input');
    var libraryParentElement = scor.utils.GetElementFromDialogBox('libraryParent','input');
    var propertyObject = {"updaterValueElement" : updaterValueElement, "libraryParentElement" : libraryParentElement, "tagElement" : tagElement};
    OrionForm.revalidate();
    scor.rg.awl.updaters.registerHandlers(propertyObject);    

    var existingOkHanlder = OrionCore.dialogBoxOkHandler;
    
    OrionCore.dialogBoxOkHandler = function () {    	
      var validationObj = updaterFileNameAndChkSumValidator();
        if(validationObj.isInvalid()){
            return false;
        }
        validationObj = tagValidater();
        if(validationObj.isInvalid()){
            return false;
        }     
	    validationObj = libraryParentValidater();
	    if(validationObj.isInvalid()){
	        return false;
	    }
    <%--we are not doing duplicate check for now
                validationObj = scor.validation.duplicateValidater(updaterList,[updaterValueElement],'duplicate');
                if(validationObj.isInvalid()){
                    return false;
                }
    --%>        

    	scor.rg.awl.updaters.unRegisterHandlers(propertyObject);
    	OrionCore.dialogBoxOkHandler = existingOkHanlder;	    
		scor.rg.awl.updaters.insertInMajicList(edit, updaterList);
    	myEpoEnableApplyButton();    	
    };
    
};

scor.rg.awl.updaters.insertInMajicList = function(edit, updaterList){
	var selectedCondition = $j('input[name=typeValue]:checked').val();
	var selectedUpdaterBy = $j('input[name=updaterType]:checked').val();
	var rowObject = {"tag" : $('tag').value,
            "updaterBy" : selectedUpdaterBy,
            "updaterValue" : $('updaterValue').value,
            "typeValue" : isUpdaterByNameSelected() ? selectedCondition : '',          
            "libraryParent" : (isUpdaterByNameSelected() && selectedCondition !== 'none')? $('libraryParent').value : '',
            "inherit" : isUpdaterByNameSelected() ? $('inherit').value : '', 
            "log" : isUpdaterByNameSelected() ? $('log').value : '',
            "caseSensitive" : (isUpdaterByNameSelected() && scor.rg.awl.updaters.type.isWinOS()) ? $('caseSensitive').value : ''
     }
	 if(edit === true){
		 updaterList.insert(rowObject, true);
	 }else{
		 updaterList.insert(rowObject);
	 }
}

scor.rg.awl.updaters.registerHandlers = function(propertyObj){	
	OrionEvent.registerHandler(propertyObj.updaterValueElement,updaterFileNameAndChkSumValidator , null, "keyup", false);
    OrionEvent.registerHandler(propertyObj.libraryParentElement,libraryParentValidater , null, "keyup", false);
    OrionEvent.registerHandler(propertyObj.tagElement,tagValidater,null, "keyup", false);
}

scor.rg.awl.updaters.unRegisterHandlers = function(propertyObj){
	OrionEvent.unregisterHandler(propertyObj.updaterValueElement, updaterFileNameAndChkSumValidator , "keyup", false );
    OrionEvent.unregisterHandler(propertyObj.tagElement, tagValidater,  "keyup", false );
    OrionEvent.unregisterHandler(propertyObj.libraryParentElement, libraryParentValidater,  "keyup", false );
}


function isUpdaterByChecksumSelected() {
	return $("updaterByChecksum").checked;
}

function isUpdaterByChecksum256Selected() {
	return $("updaterByChecksum256").checked;
}

function isUpdaterByNameSelected() {
	return $("updaterByName").checked;
}

function isLibrarySelectedForUpdater(){
	return $("typeValueLibrary").checked;
}
function isParentSelectedForUpdater(){
	return $("typeValueParent").checked;
	
}

function updaterNameValidator(){
		var validationObj = null;
	    if(isUpdaterByNameSelected()){
	        var updaterValueElement = scor.utils.GetElementFromDialogBox('updaterValue','input');
	        var validationObj = scor.validation.emptyValidater( updaterValueElement);
	        if(scor.rg.awl.updaters.type.isWinOS()){
	        	if(validationObj.getIsValid()){
	    	    	validationObj = wildCardValidationOnUpdaterByName('updaterValue');
	        	}
	        }
	   	    scor.validation.processValidationResult(validationObj,updaterValueElement);	
	     	OrionCore.enableDialogBoxOkButton(validationObj.isValid);
		    return validationObj;
	    }else{
	        return scor.validation.getSuccessValidationResult();
	    }
		
 };
function wildCardValidationOnUpdaterByName(fieldElement){
	var isValid = true;
    var validationObj;
    var os='${orion:escapeJavaScriptString(param.osType)}';
	var updaterValueElement = scor.utils.GetElementFromDialogBox(fieldElement,'input');
	var fieldValue = $j.trim(updaterValueElement.value);  
	validationObj = scor.validation.UpdaterWildCardValidation(fieldValue, os);
	scor.common.validation.showWarningOnStarCharactor(validationObj, fieldValue, os); // show warning on entering star characters
    return validationObj;	
} 
function tagValidater(){
	var tagElement = scor.utils.GetElementFromDialogBox('tag','input');
	var validationObj = scor.validation.emptyValidater( tagElement);
	OrionCore.enableDialogBoxOkButton(validationObj.isValid);
    return validationObj;
};

function libraryParentValidater(){
	if (isUpdaterByChecksumSelected()){
		return new scor.validation.constructors.ValidationResult(true, "");
	}
    var type = scor.utils.getValuesOfSelectedRadioFromDialogBox('typeValue');
    if(type !== 'none'){
    	 var libraryParentElement = scor.utils.GetElementFromDialogBox('libraryParent','input');
    	 var validationObj = scor.validation.emptyValidater(libraryParentElement);
    	 if(scor.rg.awl.updaters.type.isWinOS()){
    		 if(validationObj.getIsValid()){
     	    	   validationObj = wildCardValidationOnUpdaterByName('libraryParent');
	        	}
    	 }
	   	 scor.validation.processValidationResult(validationObj,libraryParentElement);	
     	OrionCore.enableDialogBoxOkButton(validationObj.isValid);
    	return validationObj;
    }else{
        return scor.validation.getSuccessValidationResult();
         }
  
};

function updaterFileNameAndChkSumValidator(){
	var validationObj = null;
    var fieldElement = scor.utils.GetElementFromDialogBox('updaterValue','input');

    if(isUpdaterByChecksumSelected()){
        validationObj = scor.validation.sha1Validater(fieldElement);
    }else if(isUpdaterByChecksum256Selected()){
        validationObj = scor.validation.sha256Validater(fieldElement);
    }else {
    	validationObj=updaterNameValidator();
        }
	OrionCore.enableDialogBoxOkButton(validationObj.isValid);
    return validationObj;

}

var updaterList = new majic.ListWidget({
    container: "updaterList",
    width: "1100px",
    height: "320px",
    addCallback: updaterAddCallback,
    editCallback: updaterEditCallback,
    removeCallback: myEpoEnableApplyButton,
    buttons: {
        'add': '${awlButtonAdd}',
        'edit': '${awlButtonEdit}',
        'remove': '${awlButtonRemove}',
        'suggest': '${awlButtonDiagSuggest}'
    },
    content: $('updater_filter_editor_template').innerHTML,
    displayText: $('updater_list_row_template').innerHTML,
    formatCallback: listWidgetformatCallback
});

scor.rg.awl.updaters.getUpdaterListVoFromUpdaterVo = function(updater) {
    var inheritToShow = scor.rg.awl.updaters.getInheritValueToShowOnUI(updater.inherit);
    var logToShow = scor.rg.awl.updaters.getLogValueToShowOnUI(updater.log);
    var caseSensitiveToShow = scor.rg.awl.updaters.getCaseSensitiveValueToShowOnUI(updater.caseSensitive);
    var tagToShow = updater.tag ? updater.tag : '';
    var calculatedUpdaterValue = null;
    if (updater.updaterValue) {
    	calculatedUpdaterValue = updater.updaterValue;
    } else {
    	calculatedUpdaterValue = updater.binaryPath;
    }
    var calculatedUpdaterBy = null;
    if (updater.updaterBy) {
    	calculatedUpdaterBy = updater.updaterBy;
    } else {
    	calculatedUpdaterBy = "Name";
    }
    
    var newObj = {updaterValue : calculatedUpdaterValue,
        tag : tagToShow,
        libraryParent : updater.libraryParent,
        typeValue : updater.typeValue,
        inherit : inheritToShow,
        log : logToShow,
        updaterBy : calculatedUpdaterBy,
        caseSensitive : caseSensitiveToShow
    }
    return newObj;
}


scor.rg.awl.updaters.populateUpdaters = function(updaters, ruleGroupType){
    scor.utils.clearMagicListWidget(updaterList);
    scor.rg.awl.updaters.type.setRuleType(ruleGroupType);
    scor.rg.awl.updaters.type.setOsType('${orion:escapeJavaScriptString(param.osType)}');
    updaters = updaters ? updaters : [];
    for(i=0; i<updaters.length; i++){
    	var newObj = scor.rg.awl.updaters.getUpdaterListVoFromUpdaterVo(updaters[i]);
        updaterList.insert(newObj);
    }
}

scor.rg.awl.updaters.type = function() {
		var isAppControl = false;
		var isWinOs = false;
		return {
			isAWL : function() {
				return isAppControl;
			},
			isWinOS : function() {
				return isWinOs;
			},
			setRuleType : function(ruleGroupType) {
				isAppControl = (ruleGroupType == 'application_control');
			},
			setOsType : function(osType){
				isWinOs = (osType == 'WIN');
			}			
		}
	}();


scor.rg.awl.updaters.getUpdaters = function(){
    var updaters = [];
    var rows = updaterList.getRows();
    for (var rowKey in rows)
    {
        var row = rows[rowKey];
        if (row !== null && row !== undefined)
        {
            var inheritToSend = scor.rg.awl.updaters.getInheritValueToSendToServer(row);;
            var logToSend = scor.rg.awl.updaters.getLogValueToSendToServer(row);
            var caseSensitiveToSend = scor.rg.awl.updaters.getCaseSensitiveValueToSendToServer(row);
	        var updater = {
                updaterValue: scor.utils.trim(row['updaterValue']),
                tag: scor.utils.trim(row['tag']),
                typeValue: scor.utils.trim(row['typeValue']),
                libraryParent: scor.utils.trim(row['libraryParent']),
                inherit: inheritToSend,
                log: logToSend,
                updaterBy: scor.utils.trim(row['updaterBy']),
                caseSensitive : caseSensitiveToSend
            };
            updaters.push(updater);
        }
    }
    return updaters;
}

scor.rg.awl.updaters.getInheritValueToSendToServer = function(row){
	var trimedInherit = scor.utils.trim(row['inherit']);   
    if(trimedInherit === 'yes'){
        return 'false';
    }else if(trimedInherit === 'no'){
    	return 'true';
    }    
}

scor.rg.awl.updaters.getInheritValueToShowOnUI = function(inheritValueFromDB){
	 var inheritToShow;
	 if(inheritValueFromDB === 'true'){
	        inheritToShow = 'no';
	 }else if(inheritValueFromDB === 'false'){
	        inheritToShow = 'yes';
	 } else {
	    	inheritToShow = '';
	 }
	 return inheritToShow;
}


scor.rg.awl.updaters.getLogValueToSendToServer = function(row){
	var trimedLog = scor.utils.trim(row['log']);
	if(trimedLog === 'yes'){
        return 'false';
    }else if(trimedLog === 'no'){
    	return 'true';
    }
}

scor.rg.awl.updaters.getCaseSensitiveValueToSendToServer = function(row){
    var isCaseSensitive = scor.utils.trim(row['caseSensitive']);
    if(isCaseSensitive === 'yes'){
        return 'true';
    }else {
        return 'false';
    }
}

scor.rg.awl.updaters.getLogValueToShowOnUI = function(logValueFromDB){
	var logToShow;
    if(logValueFromDB === 'true'){
        logToShow = 'no';
    }else if(logValueFromDB === 'false'){
        logToShow = 'yes';
    } else {
    	logToShow = '';
    }
    return logToShow;
}

scor.rg.awl.updaters.getCaseSensitiveValueToShowOnUI = function(caseSensitiveValueFromDB){
    var isCaseSensitive;
    if(caseSensitiveValueFromDB === 'true'){
        isCaseSensitive = 'yes';
    }else if(caseSensitiveValueFromDB === 'false'){
        isCaseSensitive = 'no';
    }
    else{
        isCaseSensitive = '';
    }
    return isCaseSensitive;
}

function enableUpdaterList(enable){
    updaterList.setEnabled(enable);
}

scor.rg.awl.updaters.showDiagnosticList = function(diagResultSet) {
    OrionCore.setDialogBoxTitle('${updaterDialogAddTitle}');

    var diagnosticHolder = scor.utils.GetElementFromDialogBox('diagnosticListDB',"div");

    diagnosticHolder.innerHTML="";

    var diagnostics = diagResultSet['diagnostics'] ;
    if(diagnostics.length == 0){
        scor.utils.appendNoResultFound(diagnosticHolder);
        return;
    }

    var tableStr ="<table cellspacing='3' cellpadding='0' width='95%'>";
    tableStr+= "<tr>";
    tableStr+="<td width='10%'> </td>";
    tableStr+="<td width='30%'><b>${diagSystem}</b></td>";
    tableStr+="<td width='30%'><b>${diagBinary}</b></td>";
    tableStr+= "<td width='30%'><b>${diagParent}</b></td>";
    tableStr+= "</tr>";

    for(var i=0; i < diagnostics.length; i++)
    {
        var rowStr = getDiagUpdaterTableRowStr(diagnostics[i]);
        tableStr+= rowStr;
    }
    diagnosticHolder.innerHTML = tableStr;
}

scor.rg.awl.updaters.loadDiagnosticSuccess = function (result){
	scor.rg.awl.updaters.diags.set(result);
	scor.rg.awl.updaters.showDiagnosticList(result);
}

scor.rg.awl.updaters.handleUpdaterMultiAdd = function(){
    OrionCore.showDialogBox(true, $('diagnostic_editor_template').innerHTML, OrionCore.DIALOG_OK_CANCEL);
    scor.actions.doAsyncAction ("<%=URLConstants.LOAD_DIAGNOSTIC_URL%>",null, scor.rg.awl.updaters.loadDiagnosticSuccess);

    OrionCore.dialogBoxOkHandler = function(){
        var chkBoxes = scor.utils.scorFindElementsByNames($('<%=Constants.dialogBoxId%>'), 'input', 'diagnosticChkBox');
        var idList = scor.utils.getValuesOfSelectedChkBoxes(chkBoxes);
        scor.rg.awl.updaters.processDiagFormData(idList);
    };
}

scor.updaterSuggestButton = updaterList.buttonElements[3];
scor.updaterSuggestButton.onclick = scor.rg.awl.updaters.handleUpdaterMultiAdd;
scor.updaterSuggestButton.style.display = 'none';


scor.rg.awl.updaters.diags = function() {
	var updaterDiags = {};
	return {
		get: function() {
			return updaterDiags;
		},
		set: function(diagSet) {
			updaterDiags = diagSet;
		}
	}
}();

// Get the selected checkbox array and add those rows.
scor.rg.awl.updaters.processDiagFormData = function(selectedIDs){

    // DATA SET
    var diagUpdatersSet = scor.rg.awl.updaters.diags.get();
    var obj = diagUpdatersSet['diagnostics'] ;
    for(var i=0; i < obj.length; i++){
        var diagObj=obj[i];

        // insert row in the list.
        for(var j=0; j < selectedIDs.length; j++){
            if(String(diagObj.id) === selectedIDs[j]){
            	scor.rg.awl.updaters.insertDiagRow(diagObj);
            }
        }
    }
    epoEnableApplyButton();
}

function getDiagUpdaterTableRowStr(obj){
    var rowStr = "<tr>";
    rowStr+= "<td width='10%'><INPUT TYPE='CHECKBOX' NAME='diagnosticChkBox' VALUE='"+ obj.id + "'/></td>";
    rowStr+= "<td width='30%'>"+obj.systemName+"</td>";
    rowStr+= "<td width='30%'>"+obj.binaryName+"</td>";
    rowStr+= "<td width='30%'>"+obj.parent+"</td>";
    rowStr+= "</tr>";
    return rowStr;
}

scor.rg.awl.updaters.insertDiagRow = function(diagnostic){
    var tVal = '';
    if (diagnostic.parent) {
        tVal = 'parent';
    }
    var newObj = {
        "inherit" : 'no',
        "log" : 'no',
        "updaterValue":diagnostic.binaryName,
        "libraryParent" : diagnostic.parent,
        "tag" : diagnostic.tag,
        "typeValue": tVal,
        "id":diagnostic.id,
        "updaterBy":"Name",
        "caseSensitive" : 'no'
    }

    updaterList.insert(newObj) ;
}


</script>
<script type="text/javascript">
    function updaterChkBoxClkHandler(box,hiddenField){
        if($(box.id).checked){
            hiddenField.value = 'yes';
        }else{
            hiddenField.value = 'no';
        }
    }
</script>
