<%-- COPYRIGHT:		Copyright (C) 2015-2018 McAfee, Inc.  All rights reserved--%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<orion:message key="scor.error.dialogBox.title" var="scorErrorDialogBoxTitle" escape="javascript"/>
<orion:message key="scor.apps.table.title" var="appTableTtl"  escape="none"/>
<orion:message key="scor.apps.add.btnTxt" var="addBtnTxt"  escape="none"/>
<orion:message key="scor.apps.add.title" var="addTitle" escape="none"/>
<orion:message key="scor.policy.awl.app.prodName" var="appProdName" escape="HTML"/>
<orion:message key="scor.policy.awl.app.installerPath" var="appPath" escape="HTML"/>
<orion:message key="scor.policy.awl.app.version" var="appVersion"  escape="HTML"/>
<orion:message key="scor.policy.awl.app.vendor" var="appVendor"  escape="HTML"/>
<orion:message key="scor.policy.awl.app.cksumSha1" var="appCksumSha1"  escape="HTML"/>
<orion:message key="scor.policy.awl.app.cksumSha256" var="appCksumSha256"  escape="HTML"/>
<orion:message key="scor.publisher.cancel.btn" var="cancelBtn" escape="none" />
<orion:message key="scor.app.validation.errName" var="errName" escape="none"/>
<orion:message key="scor.app.validation.errPath" var="errBinPath" escape="none"/>
<orion:message key="scor.app.validation.errVendor" var="errVendor" escape="none"/>
<orion:message key="scor.app.validation.errSha1" var="errSha1" escape="none"/> 
<orion:message key="scor.app.validation.errSha256" var="errSha256" escape="none"/> 
<orion:message key="scor.addapp.failureMsg" var="addAppFailureMsg" escape="javascript"/>

<orion:core>
    <orion:corehead>
    	<orion:script context="/SOLIDCORE_META" src="/jsFiles/vos/awlvos.js"/>
		<jsp:include page="/common/commonUtils.jsp"/>
		
    	
        <script type="text/javascript">
        
        function initialize()
        {       	  
        	
   			OrionForm.setValidateWhenEmpty( "appNameTBId", true );
    		OrionForm.setValidateWhenEmpty( "vendorTBId", true );
    		  
            OrionForm.setOnSubmitHandler(onClickAdd);
            OrionForm.setOnCancelHandler( onCancel );
            OrionForm.setStateChangeHandler( onFormStateChange);
            OrionForm.revalidate();
            OrionHelp.setHelpId('${scorAddInstallerHelpURLAttr}');
        }

        function validateNonEmpty(value)
        {            
            return OrionValidate.isNotEmpty(value) ;
        }

        function onCancel()
        {
        	OrionNavigation.back();            
        }

        function onFormStateChange( isDirty, isValid )
        {
            OrionCore.setEnabledById("saveButton", isValid && isDirty );
        }

        function onClickAdd(){
                var form =OrionForm.getForm();
                var flds = {};
                flds = scor.utils.getFormVals(form);
                scorSaveApp(flds);
        }

        function scorSaveApp(flds){
            var appName = flds["appNameTBId"];
            var binPath = flds["binPathTBId"];
            var version = flds["versionTBId"];
            var vendor = flds["vendorTBId"];
            var checksum = flds["checksumTBId"];
            var checksum256 = flds["checksum256TBId"];
            var appJSON = scor.vos.awl.ApplicationUnitVO(appName,binPath,version,vendor,checksum+":"+checksum256).common.getJSONString();
            scor.actions.doAsyncAction ("/SOLIDCORE_META/addApplication.do",
                    ["app", appJSON], _addAppsSuccess, _addAppsFailure, "POST");
        }

        function _addAppsSuccess(result){
        	OrionForm.markInputExempt("appNameTBId");
        	OrionForm.markInputExempt("binPathTBId");
        	OrionForm.markInputExempt("versionTBId");
        	OrionForm.markInputExempt("vendorTBId");
        	OrionForm.markInputExempt("checksumTBId");
        	OrionForm.markInputExempt("checksum256TBId");
        	OrionNavigation.back();
        }
        function _addAppsFailure(){
            alert('${addAppFailureMsg}');
        }
        
        
        function resetValue(elmId){
     		var element =  $(elmId);
     		if(element){
     			element.value="";
     		}
     	}   

        function checksumValidater(value){
            var re = new RegExp("^([0-9a-fA-F])+$", "");
            var isValid = re.test(value);
            if(isValid){
                isValid = value.length === 40;
            }
            if(isValid && !validateNonEmpty($j('#checksumTBId').val()))
            	 OrionForm.setFieldRequired( "checksumTBId", false );
            return isValid;
        };
        
        function checksum256Validater(value){
            var re = new RegExp("^([0-9a-fA-F])+$", "");
            var isValid = re.test(value);
            if(isValid){
                isValid = value.length === 64;
            }
            if(isValid && !validateNonEmpty($j('#checksum256TBId').val()))
            	 OrionForm.setFieldRequired( "checksum256TBId", false );	
            return isValid;
        };

        </script>
    	</orion:corehead>
        <orion:corebody onload="initialize()">        
        <orion:navigation/>
        <orion:content>
			<orion:vbox>
			 <orion:titlebar id="addAppTitle" text='${addTitle}'>
			 </orion:titlebar>	
			  <orion:box>         	
			  <!-- Add application template -->
				<table id="scorAddAppTableId" cellspacing="1px" cellpadding="1px" width="98%">
			        <tr>
			            <td class="orionSummaryHeader">${appProdName}:</td>
			            <td class="orionSummaryColumn">
			            	<orion:textbox id="appNameTBId" required="true" size="64" maxlength="255"/>
			            </td>
			        </tr>
			        <tr>
			            <td class="orionSummaryHeader">${appPath}:</td>
			            <td class="orionSummaryColumn">
			            	<orion:textbox id="binPathTBId" size="64" maxlength="255" />
			            </td>
			        </tr>
			        <tr>
			            <td class="orionSummaryHeader">${appVersion}:</td>
			            <td class="orionSummaryColumn">
			            	<orion:textbox id="versionTBId" size="64" maxlength="255" />
			            </td>
			        </tr>
			        <tr>
			            <td class="orionSummaryHeader">${appVendor}:</td>
			            <td class="orionSummaryColumn">
			            	<orion:textbox id="vendorTBId" required="true" size="64" maxlength="255" />
			            </td>
			        </tr>
			        <tr>
			            <td class="orionSummaryHeader">${appCksumSha1}:</td>
			            <td class="orionSummaryColumn">
			            	<orion:textbox id="checksumTBId"  size="64" maxlength="255" required="true" onvalidate="checksumValidater" errorText="${errSha1}"/>
			            </td>
			        </tr>
			        <tr>
			            <td class="orionSummaryHeader">${appCksumSha256}:</td>
			            <td class="orionSummaryColumn">
			            	<orion:textbox id="checksum256TBId" size="64" maxlength="255" required="true" onvalidate="checksum256Validater" errorText="${errSha256}"/>
			            </td>
			        </tr>
			    </table>			    
              </orion:box>			  	
			  <orion:footerbar>
			      <orion:button id="saveButton" text='${addBtnTxt}' onclick="onClickAdd();"/>
			      <orion:button id="cancelButton" text='${cancelBtn}' onclick="onCancel();" />
			  </orion:footerbar>	
			</orion:vbox>			
		</orion:content>     
    </orion:corebody>
</orion:core>