<%-- COPYRIGHT:		Copyright (C) 2015-2018 McAfee, Inc.  All rights reserved--%>
<%@page import="com.mcafee.scor.common.HelpConstants"%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<orion:message key="scor.error.dialogBox.title" var="scorErrorDialogBoxTitle" escape="javascript"/>
<orion:message key="scor.publisher.extract.infoLbl" var="extractinfoLbl" escape="HTML"/>
<orion:message key="scor.publisher.extract.title" var="extTitleJs" escape="javascript"/>
<orion:message key="scor.publisher.extract.title" var="extTitleTag" escape="none"/>
<orion:message key="scor.task.server.extract.nwInfoMsg" var="nwInfoMsg" escape="HTML"/>
<orion:message key="scor.task.server.extract.nwDomain" var="nwDomainParam" escape="HTML"/>
<orion:message key="scor.task.server.extract.nwUser" var="nwUserParam" escape="HTML"/>
<orion:message key="scor.task.server.extract.nwPwd" var="nwPwdParam" escape="HTML"/>
<orion:message key="scor.publisher.certFound" var="certFound" escape="javascript"/>
<orion:message key="scor.publisher.certExist" var="certExist" escape="javascript"/>
<orion:message key="scor.publisher.certUploaded" var="certUploaded" escape="javascript"/>
<orion:message key="scor.publisher.extract.btn" var="extractBtn" escape="none"/>
<orion:message key="scor.publisher.cancel.btn" var="cancelBtn" escape="none" />

<orion:core>
    <orion:corehead>
    <jsp:include page="/common/commonUtils.jsp"/>
	
        <script type="text/javascript">
        function initialize()
        {            
            OrionForm.setOnSubmitHandler(handleExtract);
            OrionForm.setOnCancelHandler( onCancel );
            OrionForm.setStateChangeHandler( onFormStateChange);
            OrionForm.revalidate();
            OrionHelp.setHelpId('${scorExtractPubHelpPath}');
        }


        function onCancel()
        {
        	ignoreDirtyCheck();
        	OrionNavigation.back();            
        }

        function ignoreDirtyCheck()
        {
        	//Mark Input exmept from dirtyness
            OrionForm.markInputExempt("binaryPath");
            OrionForm.markInputExempt("domainId");
            OrionForm.markInputExempt("userId");
            OrionForm.markInputExempt("pwdId");
        }
        
        function onFormStateChange( isDirty, isValid )
        {
            OrionCore.setEnabledById("saveButton", isValid && isDirty );
        }

        function formatDataValue(input){
    		if(input === undefined||input ===null){
    			return "";
    		} 
    		return input;
     }
        
        function handleExtract(){
       	    var binaryPathValue = $('binaryPath').value;
        	var domainValue = formatDataValue($('domainId').value);
         	var userValue = formatDataValue($('userId').value);
         	var pwdValue =  formatDataValue($('pwdId').value);   		
       		extractCertFromBinary(binaryPathValue,domainValue,userValue,pwdValue);
         	  
        }
       	
        function extractCertFromBinary(binaryPathVal,domainVal,userVal,pwdVal){	 		
       	 OrionCore.showPleaseWait(true);
       	 scor.actions.doAsyncAction("/SOLIDCORE_META/extractCertificate.do",
                    ["BINARY_PATH", binaryPathVal,"DOMAIN",domainVal,"USER",userVal,"PWD",pwdVal], _extractPublisherSuccess, _extractPublisherFailure);              
       	}

    	function _extractPublisherSuccess(result){	
    	    OrionCore.showPleaseWait(false);
    	    ignoreDirtyCheck();  
    		//show updated Data
    		var msg = "<pre>" + '${certFound}'+result.totalCertFound
    				  +'\n${certExist}'+result.existingCert
    				  +'\n${certUploaded}'+result.certUploaded+"</pre>";
    		OrionCore.setDialogBoxTitle('${extTitleJs}');
    		showMsg(msg,false);
    	}
    	
    	function _extractPublisherFailure(){
    		OrionCore.showPleaseWait(false);
    		showMsg('${extErrorMsg}',true);
    	}

        function resetValue(elmId){
     		var element =  $(elmId);
     		if(element){
     			element.value="";
     		}
     	}

        function showMsg(msg,isError){
    	 	if(isError === true){
    	 		OrionCore.setDialogBoxTitle('${scorErrorTitle}');
    	 	}
    	 	OrionCore.showDialogBox(true,msg,OrionCore.DIALOG_OK);
    	 	OrionCore.dialogBoxOkHandler=function(){
    	 		OrionNavigation.back(); 
    		}
    	}  

        </script>
    	</orion:corehead>
        <orion:corebody onload="initialize()">        
        <orion:navigation/>
        <orion:content>
			<orion:vbox>
			 <orion:titlebar id="extractTitle" text='${extTitleTag}'>
			 </orion:titlebar>	
			  <orion:box id="extractBox" height="auto">
              	  <table width="100%">
			  		<tr>
		  				<td>
		  					${extractinfoLbl}
		  				</td>
					</tr>
					<tr>
						<td class="orionSummaryColumn">
							<orion:textbox id="binaryPath" required="true"/>
						</td>				
					</tr>							
				 </table>
				 <orion:box id="nwConfigPanel">				
					<table>
						<tr>
							<td colspan="2" class="orionSummaryHeader">
								 <div style="margin-top: 5px;margin-bottom: 5px">${nwInfoMsg}</div>
							</td>
						</tr>
						<tr>
							<td class="orionSummaryHeader">${nwDomainParam}</td>
							<td class="orionSummaryColumn">
								<input type="text" id="domainId" />					
							</td>						
						</tr>				
						<tr>
							<td class="orionSummaryHeader">${nwUserParam}</td>
							<td class="orionSummaryColumn">
								<input type="text" id="userId" />					
							</td>
						</tr>	
						<tr>
							<td class="orionSummaryHeader">${nwPwdParam}</td>
							<td class="orionSummaryColumn">
								<input type="password" id="pwdId" />					
							</td>
						</tr>		
					</table>
				 </orion:box>
              </orion:box>			  	
			  <orion:footerbar>
			      <orion:button id="saveButton" text='${extractBtn}' onclick="handleExtract();"/>
			      <orion:button id="cancelButton" text='${cancelBtn}' onclick="onCancel();" />
			  </orion:footerbar>	
			</orion:vbox>			
		</orion:content>     
    </orion:corebody>
</orion:core>
