<!-- COPYRIGHT:		Copyright (C) 2008-2018 McAfee, Inc.  All rights reserved-->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.installer.InstallerConstants" %>
<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>


<orion:message key="scor.apps.table.title" var="appTableTtl"  escape="none"/>
<orion:message key="scor.apps.add.btnTxt" var="addBtnTxt"  escape="none"/>
<orion:message key="scor.apps.add.title" var="addTitle" escape="javascript"/>
<orion:message key="scor.policy.awl.app.prodName" var="appProdName" escape="none"/>
<orion:message key="scor.policy.awl.app.version" var="appVersion" />
<orion:message key="scor.policy.awl.app.vendor" var="appVendor" escape="none"/>
<orion:message key="scor.policy.awl.app.cksumSha1" var="appCksumSha1" />
<orion:message key="scor.policy.awl.app.infoTxt" var="appFilterTitle" escape="HTML"/>
<orion:message key="scor.policy.awl.app.findBtnTxt" var="findBtnTxt" escape="none"/>
<orion:message key="scor.policy.awl.app.findLbl" var="findLbl" />
<orion:message key="scor.policy.awl.app.tag" var="appTag" />
<orion:message key="scor.publisher.search.lbl" var="searchLbl" escape="HTML"/>

<script type="text/javascript">

	function setAppSearchCriteria(type){
		$("appSearchCriteria").value=type;
	}
	
	function refreshTable(){            
		ScorDialogTable.refresh("appsTableD", null, ScorDialogTable.tableParameters["appsTableD"].visibleRows);
	}  

    function getAppData(){
    	var searchCrit= document.getElementById("appSearchCriteria").value;
        var searchStr = document.getElementById("app_search_str").value;        
	    var filter =  searchCrit+":"+searchStr;       
	    ScorDialogTable.refresh("appsTableD", filter, ScorDialogTable.tableParameters["appsTableD"].visibleRows);
	    ScorDialogTable.beginning("appsTableD");
    }    
</script>

<orion:vbox>
	<!-- Search Tab -->
	    <orion:box height="83">	  
	    <pre><b>${appFilterTitle}</b></pre>
	          
	        <table width="100%" height="70%" cellspacing="1px" cellpadding="1px" style="background:none #D6E4F0; width: 100%;">
	             <tr>
	               	<td>${searchLbl}					
						<orion:radiobutton id="appProdName_label" name="appSearchType" value="appNameCrit" 
						text="${appProdName}" disabled="false" checked="true" onclick="setAppSearchCriteria('APP_NAME')"/>					
						<orion:radiobutton id="appVendor_label" name="appSearchType" value="vendorCrit"
						 text="${appVendor}" disabled="false" checked="false" onclick="setAppSearchCriteria('VENDOR')"/>					
						<input type="hidden" id="appSearchCriteria" value="APP_NAME"/>
					</td>
	             </tr>
	             <tr>						
					<td>							
						<orion:textbox id="app_search_str"/> 
		                               &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		                <orion:button id="search_button" text="${findBtnTxt}" disabled="false" onclick="getAppData()"/>   
	                </td>				
				</tr>
	        </table>	
	    </orion:box>
	    
	<!-- Application Table -->
        <scor:dialogTable id="appsTableD" cellRendererAttr="<%=InstallerConstants.APPS_DIALOG_CELL_RENDR_ATTR%>"
        datasourceAttr="<%=InstallerConstants.APPS_DIALOG_DATASOURCE_ATTR%>" showCheckboxColumn="true" columnWidths="250,125,125,250,250"
        paginated="true"  properties="appName,version,vendor,checksum,checksum256" noRecordsKey="scor.apps.search.installers.noRecordsFoundMessage"/>
        <br/>
	<orion:box>
        	${appTag}: <orion:textbox id="app_tag_box"/>
        </orion:box>
</orion:vbox>
