<!-- COPYRIGHT:		Copyright (C) 2015-2018 McAfee, Inc.  All rights reserved-->
<%@ page import="com.mcafee.scor.common.Constants" %>

<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<orion:script context="/core" src="/majic.js"/>
<orion:script context="/core" src="/listlib.js"/>


<orion:script context="<%=URLConstants.SLASH_WEB_APP_NAME%>" src="/jsFiles/ccpolicy/wp.js"/>
<orion:script context="<%=URLConstants.SLASH_WEB_APP_NAME%>" src="/jsFiles/commonPolicy.js"/>

<orion:message key="scor.policy.cc.wp.groups" var="groups"  escape="none"/>


<jsp:include page="../monpolicy/PolicyCommon.jsp"/>

<div id="write-protect">
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;" id="wpTable">
        <tr>
            <td width="10%" align="left" valign="top">
                <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
                    <tr>
                        <td>
                            <orion:titlebar id="wplistTitle" text="${groups}"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:list id="<%=Constants.SCOR_CC_WP_GROUP_LIST_NAME%>"
                                        context="<%=Constants.WEB_APP_NAME%>"
                                        contentURI="<%=URLConstants.WP_GROUPS_LIST%>"/>
                            <script type="text/javascript">
                                OrionList.setSelectRowHandler(_wprpitemSelected);
                            </script>
                        </td>
                    </tr>
                </table>
            </td>
            <td width="1%" align="left" valign="top">
                <div class="orionUIDraggableDivider" id="divider" style="overflow: auto;  left: 200px; width: 12px; height: 640px;">
                    <div/>
                </div>
            </td>
            <td width="88%" align="left" valign="top">
                <orion:box id="innerWpSwapTab" height="24"/>
                <orion:box id="innerWpSwapTabbox" height="auto">
                    <div id="wpfile">
                        <table cellspacing="0" cellpadding="0" width="98%">
                            <tr>
                                <td class="orionSummaryColumn">
                                    <table cellspacing='3' cellpadding='0' width='620px'>
                                        <tr>
                                            <td width="10%"><b><orion:message key="policy.mon.filter"
                                                                              escape="html"/></b></td>
                                            <td width="90%"><b><orion:message key="scor.policy.cc.file"
                                                                              escape="html"/></b>
                                            </td>
                                        </tr>
                                    </table>
                                    <orion:box id="idPathFilterList" height="auto" width="620"/>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div id="wpreg">
                        <table cellspacing="0" cellpadding="0" width="98%">
                            <tr>
                                <td class="orionSummaryColumn">
                                    <table cellspacing='3' cellpadding='0' width='620px'>
                                        <tr>
                                            <td width="10%"><b><orion:message key="policy.mon.filter"
                                                                              escape="html"/></b></td>
                                            <td width="90%"><b><orion:message key="scor.policy.cc.registry"
                                                                              escape="html"/></b>
                                            </td>
                                        </tr>
                                    </table>
                                    <orion:box id="idRegistryFilterList" height="auto" width="620"/>
                                </td>
                            </tr>
                        </table>
                    </div>
                </orion:box>
            </td>

        </tr>

    </table>
</div>


<script type="text/javascript">
    var wpplatform;
    var wpreadOnly;
    var wptype;
    
    var pathFilterList = new majic.ListWidget({
        container: "idPathFilterList",
        width: "620px",
        height: "320px",
        addCallback: fnAddPathFilterCallback,
        editCallback: fnAddPathFilterCallback,
        removeCallback: myEpoEnableApplyButton,
        buttons: {
            'add': '<orion:message key="policy.mon.button.add"  escape="javascript"/>',
            'edit': '<orion:message key="policy.mon.button.edit" escape="javascript"/>',
            'remove': '<orion:message key="policy.mon.button.remove" escape="javascript"/>'
        },
        content: $('path_filter_editor_template').innerHTML,
        displayText: $('filter_list_row_template').innerHTML
    });

    var registryFilterList = new majic.ListWidget({
        container: "idRegistryFilterList",
        width: "620px",
        height: "320px",
        addCallback: fnAddRegistryFilterCallback,
        editCallback: fnEditRegistryFilterCallback,
        removeCallback: myEpoEnableApplyButton,
        buttons: {
            'add': '<orion:message key="policy.mon.button.add"  escape="javascript"/>',
            'edit': '<orion:message key="policy.mon.button.edit" escape="javascript"/>',
            'remove': '<orion:message key="policy.mon.button.remove" escape="javascript"/>'
        },
        content: $('registry_filter_editor_template').innerHTML,
        displayText: $('filter_list_row_template').innerHTML
    });

    function getWriteProtectVOArray() {
        var arr = [];
        var paths = getProfileUnitVOArray(pathFilterList) ;
        var regs = getProfileUnitVOArray(registryFilterList) ;
        var groupName = OrionList.getSelectedItemText("<%=Constants.SCOR_CC_WP_GROUP_LIST_NAME%>");
        var result = scor.vos.profile.cc.WriteProtectVO(groupName,wpplatform,wpreadOnly,wptype, paths, regs) ;
        arr.push(result.common.getVO());
        return arr;
    }

    function wpinit(wpVOArr) {
        //As we support only one group, so just hardcoding it
        var wpVO = wpVOArr[0];
        var groupName = wpVO.getGroupName();
        wpplatform= wpVO.getplatform();
        wpreadOnly= wpVO.getreadOnly();
        wptype=wpVO.gettype();
        var files = wpVO.getWpFiles();
        var regs = wpVO.getWpRegs();
        var map = {};
        map.key = "wp0";
        map.label = groupName;
        OrionList.insertRow("<%=Constants.SCOR_CC_WP_GROUP_LIST_NAME%>", map, "scorCCPolicyWpGroupsList.group.0");
        OrionList.setSelectedItem("<%=Constants.SCOR_CC_WP_GROUP_LIST_NAME%>", "wp0");
        wpinitInnerSwapTab();
        fillListfromVO(files, pathFilterList);
        fillListfromVO(regs, registryFilterList);
        //Disable the ListWidget if read only
        if ("${epoReadOnlyPolicyObject}" == "true") {
            pathFilterList.setEnabled(false);
            registryFilterList.setEnabled(false);
        }

    }

    function wpinitInnerSwapTab() {

        var wptabSwapper = new majic.SwapTabStrip("innerWpSwapTab", {
            "wpfile": {
                title: '<orion:message key="scor.policy.cc.file" escape="javascript"/>'
            },
            "wpreg": {
                title: '<orion:message key="scor.policy.cc.registry" escape="javascript"/>'
            }
        });


    }


</script>







