<!-- COPYRIGHT:		Copyright (C) 2015-2018 McAfee, Inc.  All rights reserved-->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>

<orion:script context="/core" src="/core.js" />
<orion:script context="/core" src="/yui/yahoo-dom-event/yahoo-dom-event.js"/>
<orion:script context="/core" src="/yui/connection/connection-min.js"/>
<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>

<orion:message key="scor.regServer.testConnectionButton" var="testConnectionButtonText" escape="none"/>
<orion:message key="scor.regServer.changeGTIServerButton" var="changeServerButtonTxt" escape="none"/>
<orion:message key="scor.regServer.gtiServerAddressDialog.title" var="gtiAddressDialogTitle" escape="javascript"/>

<script type="text/javascript">
	var scor = scor || {};
	scor.cloud = scor.cloud || {};
	scor.cloud.serverConfig=function(propertiesOfInputBox){
		scor.cloud.changeSaveButtonStatus(scor.cloud.serverConfigValidationProcess(propertiesOfInputBox));
	}
	scor.cloud.serverConfigValidationProcess=function(propertiesOfInputBox){
		var validationObj = scor.validation.validatePathForRegisteredServers(propertiesOfInputBox);
		var validationObjMsg = scor.validation.processValidationResultForRegisteredServers(validationObj,propertiesOfInputBox.id,"error_RegisteredServer");
		return validationObjMsg;
	}
	scor.cloud.actionEventOnOkButton = function() {
		var isValid = true;
		var InputBoxId;
		var errorFlagStatus;
		$j("#gtiServerAddressDivId table").find("input[type=text]").each(function() {
			InputBoxId=$j(this).attr("id");
			errorFlagStatus=$j("#error_"+InputBoxId).attr("errorflag");
			if(errorFlagStatus === "enable")
			{
				var fieldobj = { id:InputBoxId,value:$j("#"+InputBoxId).val()}
				isValid=scor.cloud.serverConfigValidationProcess(fieldobj);
				return isValid;
			}
		})
		return isValid;
	}
	function validatePasswords() {
		return $("gtiRestServerPasswd").value == $("gtiServerConfirmPassword").value;
	}

	function parameterValidationComplete(result) {
		OrionCore.showPleaseWait(false);
		$('scorTestConResult').innerHTML = "";
		var resultObj = JSON.parse(result);
		var resultVO = scor.vos.Result(resultObj);
		if (resultVO.isFailure()) {
			$('scorTestConResult').innerHTML = resultVO.getMsg();
			$('scorTestConResult').className = 'orionInputErrorText';
		} else {
			$('scorTestConResult').innerHTML = '<orion:message key="scor.regServer.testConnection.success" escape="javascript"/>';
			$('scorTestConResult').className = '';
		}
	}

	function parameterValidationFailure() {
		gTIFileConnStatus = 0;
		OrionCore.showPleaseWait(false);
		$('scorTestConnection').disabled = false;
		$('scorTestConResult').innerHTML = '<orion:message key="scor.regServer.testConnection.failureInSendingRequest" escape="javascript"/>';
		$('scorTestConResult').className = 'orionInputErrorText';
	}

	function validateConnection() {
		scor.utils.fixYUIFileUploadOnIe();
		YAHOO.util.Connect.setForm(OrionForm.getForm(), true);
		var uploadHandler = {
			upload : function(res) {
				OrionCore.showPleaseWait(false);
				var result = res.responseText;
				parameterValidationComplete(result);
			}
		};

		OrionForm.setEncoding(OrionForm.MULTIPART);
		try {
			OrionCore.showPleaseWait(true);
			YAHOO.util.Connect.asyncRequest('POST',"<%=URLConstants.CLOUD_PARAMETER_VALIDATION_URL%>", uploadHandler);
		} catch(e) {
			alert(e);
			parameterValidationFailure();
		}
	}

	function showChangeGTIServerDialog() {
		OrionCore.dialogBoxOkHandler = changeGTIServerAddress;
		OrionCore.showDialogBox(true, $j('#gtiServerAddressDivId').html());
		OrionCore.setDialogBoxTitle("${gtiAddressDialogTitle}");
		$j('#gtiRestServerURLDialog').val($j('#gtiRestServerURL').val());
	}


	function changeGTIServerAddress(){
		var gtiRestServerURLDialog = scor.utils.GetElementFromDialogBox('gtiRestServerURLDialog', 'input');
		$('gtiRestServerURL').value = gtiRestServerURLDialog.value;
		var okHandler=scor.cloud.actionEventOnOkButton()
		return okHandler;
	}

	scor.cloud.changeSaveButtonStatus=function(visibilityStatus){
		OrionCore.enableDialogBoxOkButton(visibilityStatus);
	}


	function changeGtiServerCert() {
		var enableChange = ${scorEnableChange};
		if (enableChange) {
			if (this.document.getElementById("changeGtiRestServerCertificate").checked ) {
				OrionCore.setEnabledById("gtiRestServerCertificate", true);
				$j('#gtiRestServerCertificate').attr('required', "true");
				$j('#changeGtiRestServerCertificate').attr('value', "true");
			} else {
				OrionCore.setEnabledById("gtiRestServerCertificate", false);
				$j('#gtiRestServerCertificate').attr('required', "false");
				$j('#changeGtiRestServerCertificate').attr('value', "false");
			}
		} else {
			OrionCore.setEnabledById("gtiRestServerCertificate", true);
			$j('#gtiRestServerCertificate').attr('required', "true");
			$j('#changeGtiRestServerCertificate').attr('value', "true");
		}
	}
	function changeGtiServerPassword() {
		var enableChange = ${scorEnableChange};
		if (enableChange) {
			if (this.document.getElementById("changeGtiRestServerPassword").checked ) {
				OrionCore.setEnabledById("gtiRestServerPasswd", true);
				OrionCore.setEnabledById("gtiServerConfirmPassword", true);
				$j('#gtiRestServerPasswd').attr('required', "true");
				$j('#changeGtiRestServerPassword').attr('value', "true");
			} else {
				OrionCore.setEnabledById("gtiRestServerPasswd", false);
				OrionCore.setEnabledById("gtiServerConfirmPassword", false);
				$j('#gtiRestServerPasswd').attr('required', "false");
				$j('#changeGtiRestServerPassword').attr('value', "false");
			}
		} else {
			OrionCore.setEnabledById("gtiRestServerPasswd", true);
			OrionCore.setEnabledById("gtiServerConfirmPassword", true);
			$j('#gtiRestServerPasswd').attr('required', "true");
			$j('#changeGtiRestServerPassword').attr('value', "true");
		}
	}


	function initialize() {
		OrionForm.setEncoding(OrionForm.MULTIPART);
		OrionHelp.setHelpId("<%=HelpConstants.CLOUD_REG_SERVER_CONFIG_PAGE%>");
		changeGtiServerCert();
		changeGtiServerPassword();
	}
	OrionCore.addLoadHandler(initialize);
</script>
<orion:message key="scor.cloud.serverType.incorrectCertificate" var="certificateFileError" escape="none"/>
<orion:message key="scor.cloud.serverType.changeCloudServerCertificate" var="changeCloudServerCertificate" escape="none"/>
<orion:message key="scor.cloud.serverType.rest.changeGtiServerPassword" var="changeGtiRestServerPassword" escape="none"/>

<c:set var="showEnableChangeCert" value="none" />
<c:set var="certLeftPadding" value="0px"/>
<c:set var="addRegServer" value="true" />
<c:if test="${scorEnableChange == true}">
	<c:set var="showEnableChangeCert" value="inline" />
	<c:set var="certLeftPadding" value="25px" />
	<c:set var="addRegServer" value="false" />
</c:if>

<table>
	<tr>
		<td class="orionSummaryHeader">
			<orion:message key="scor.cloud.serverType.gtiServerAddress"/>
		</td>
		<td class="orionSummaryColumn">
			<orion:button id="gtiServerChangeButtonId" text="${changeServerButtonTxt}" onclick="showChangeGTIServerDialog();" />
		</td>
	</tr>

	<tr>
		<td class="orionSummaryHeader">
			<orion:message key="scor.cloud.serverType.rest.gtiRestServerCertificate"/>
		</td>
		<td class="orionSummaryColumn">
			<table>
				<tr>
					<td style="display:${showEnableChangeCert};white-space:nowrap;">
						<orion:checkbox id="changeGtiRestServerCertificate" name="changeGtiRestServerCertificate" text="${changeCloudServerCertificate}" onclick="changeGtiServerCert();" value="true"/>
					</td>
				</tr>
				<tr>
					<td style="padding-left:${certLeftPadding};">
						<orion:fileupload id="gtiRestServerCertificate"
										  name="gtiRestServerCertificate"
										  required="true" />
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr style="display: none;">
		<td>
			<input type="hidden" name="addRegisteredServer" value="${addRegServer}" />
			<input type="hidden" id="gtiRestServerURL" name="gtiRestServerURL" value="${gtiRestServerURL}"/>
		</td>
	</tr>
	<tr>
		<td class="orionSummaryHeader">
			<orion:message key="scor.cloud.serverType.rest.gtiServerHostName"/>
		</td>
		<td class="orionSummaryColumn">
			<orion:textbox id="gtiRestServerHostName" name="gtiRestServerHostName" value="${gtiRestServerHostName}" required="true" size="53" />
		</td>
	</tr>
	<tr>
		<td class="orionSummaryHeader">
			<orion:message key="scor.cloud.serverType.rest.gtiServerUserName"/>
		</td>
		<td class="orionSummaryColumn">
			<orion:textbox id="gtiRestServerUserName" name="gtiRestServerUserName" value="${gtiRestServerUserName}" required="true" size="53" />
		</td>
	</tr>

	<tr>
		<td class="orionSummaryHeader">
			<orion:message key="scor.cloud.serverType.rest.gtiServerPasswd"/>
		</td>
		<td class="orionSummaryColumn">
			<table>
				<tr>

					<td style="display:${showEnableChangeCert};white-space:nowrap;">
						<orion:checkbox id="changeGtiRestServerPassword" name="changeGtiRestServerPassword" text="${changeGtiRestServerPassword}" onclick="changeGtiServerPassword();" value="true"/>
					</td>
				</tr>
				<tr>
					<td width="30%">

						<orion:message key="scor.cloud.serverType.rest.gtiServerPassword" escape="none"/>
					</td>
					<td width="70%">
						<orion:password id="gtiRestServerPasswd"
										name="gtiRestServerPasswd"
										value="${gtiRestServerPasswd}" onvalidate="validatePasswords" errorText="${passwordShouldMatch}"  required="true" disabled="true" size="35"/>
					</td>
				</tr>
				<tr>
					<td width="30%">
						<orion:message key="scor.cloud.serverType.rest.gtiServerConfirmPassword" escape="none"/>
					</td>
					<td width="70%">
						<orion:password id="gtiServerConfirmPassword"
										name="gtiServerConfirmPassword"
										value="${gtiRestServerPasswd}"  onvalidate="validatePasswords" errorText="${passwordShouldMatch}"  required="true" disabled="true" size="35"/>

					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>

<orion:button id="scor.cloud.testbutton.id" text="${testConnectionButtonText}" onclick="validateConnection()" />
<span id="scorTestConResult">
</span>


<div id="gtiServerAddressDivId" style="display:none;">
	<table width="100%" height="100%" cellspacing="1px" cellpadding="1px">

		<tr>
			<td>
				<b><orion:message key="scor.cloud.serverType.rest.gtiServerURL"/></b>
			</td>
			<td>
				<orion:textbox id="gtiRestServerURLDialog" name="gtiRestServerURLDialog" required="true" size="38" maxlength="80" onkeyup="scor.cloud.serverConfig(this)" onchange="scor.cloud.serverConfig(this)" />
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<div id="error_RegisteredServer" style="display: none; color: red;">
				</div>
			</td>
		</tr>
	</table>
</div>
