<%--
//-----------------------------------------------------------------------------
// Copyright (c) 2011-2012 XEROX Corporation.  All rights reserved
//-----------------------------------------------------------------------------
// Revision History:
// -----------------
// AR Number      Author   Date         Change Description
// ---------      ------   ----         ------------------
//
// CQGbl00349040  bvu      01/04/2012   Created       
//-----------------------------------------------------------------------------
--%>

<%-- 
  This is the detailed view of an Xerox MFP.
  This is not a complete page but portion of a page built by McAfee framework
--%>

<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>

<style type="text/css">
  td.right { text-align: right; }
</style>


<script type="text/javascript">  

  // Carries out the provisioning operation after checking
  // the data provided by the McAfee table tag
  function doProvision(serverResponse) {

    // This should never happen
    if (serverResponse== "failedDueToSystem") {

      OrionCore.setDialogBoxTitle('<orion:message key="XeroxMFP.provision.result.title" escape="Javascript"/>');
      OrionCore.showDialogBox( true, '<orion:message key="XeroxMFP.provision.result.no.data.msg" escape="Javascript"/>', OrionCore.DIALOG_OK );
    }
    else if (serverResponse== "adminCredentialsUsed") {

        OrionCore.setDialogBoxTitle('<orion:message key="XeroxMFP.provision.result.title" escape="Javascript"/>');
        OrionCore.showDialogBox( true, '<orion:message key="XeroxMFP.provision.result.adminCredentials.notAllowed" escape="Javascript"/>', OrionCore.DIALOG_OK );
    }
    else if (serverResponse== "preCannedUserDeleted") {

        OrionCore.setDialogBoxTitle('<orion:message key="XeroxMFP.provision.result.title" escape="Javascript"/>');
        OrionCore.showDialogBox( true, '<orion:message key="XeroxMFP.provision.result.preCannedUserDeleted" escape="Javascript"/>', OrionCore.DIALOG_OK );
    }
    
    else {
      // Put up the please wait
      OrionCore.showPleaseWait(true);
      OrionCore.doAsyncAction('/XeroxMFP/provision.do', null, provisionStatus);
    }

  }

  // Processes the status of the provisioning operation
  function provisionStatus(serverResponse) {
    
    OrionCore.showPleaseWait(false);
    OrionCore.setDialogBoxTitle('<orion:message key="XeroxMFP.provision.result.title" escape="Javascript"/>');
    OrionCore.showDialogBox( true, serverResponse, OrionCore.DIALOG_OK, 350, 710);

  }

  // Shows the System Software More page
  function showSoftwareMore() {

     var params = [];

     params.push("systemSoftware");
     params.push('${orion:escapeJavaScriptString(systemSoftware)}');
     params.push("softwareStatus");
     params.push('${orion:escapeJavaScriptString(softwareStatus)}');
     params.push("deviceModel");
     params.push('${orion:escapeJavaScriptString(deviceModel)}');
     params.push("softwareStatusCode");
     params.push('${orion:escapeJavaScriptString(softwareStatusCode)}');


    OrionCore.doAction("/XeroxMFP/showSystemSoftwareMore.do", params);
  }


</script>

<orion:box height="auto">

  <table id="detailedInfo" width="100%" cellspacing="0" style="border: 1px solid #E1E1E1;">

    <!-- Fundamental properties -->
    <tr>
      <td colspan="4" class="orionSummaryHeader">
        <orion:message key="XeroxMFP.device.details.group.title.fundamental"/>
      </td>
    </tr>

    <c:forEach items="${fundamentalSettings}" var="prop">
    <tr>
      <td class="orionSummaryColumn" style="border-right: 1px solid #E1E1E1;" width="35%">${orion:escapeHtml(prop.data[0])}</td>
      <td colspan="3" class="orionSummaryColumn">${orion:escapeHtml(prop.data[1])}</td>
    </tr>
    </c:forEach>

    <!-- Security Settings --> 
    <tr>
      <td colspan="4" class="orionSummaryHeader">
        <orion:message key="XeroxMFP.device.details.group.title.standardSecurity"/>
      </td>
    </tr>
    
    <c:forEach items="${securitySettings}" var="prop">
    <tr>
      <td class="orionSummaryColumn" style="border-right: 1px solid #E1E1E1;" width="35%">${orion:escapeHtml(prop.data[0])}</td>
      <td colspan="3" class="orionSummaryColumn">${orion:escapeHtml(prop.data[1])}</td>
    </tr>
    </c:forEach>

    <!-- Xerox Settings -->
    <tr>
      <td colspan="4" class="orionSummaryHeader">
        <orion:message key="XeroxMFP.device.details.group.title.xeroxSettings"/>
      </td>
    </tr>

    <c:forEach items="${xeroxSettings}" var="prop">
    <tr>
      <td class="orionSummaryColumn" style="border-right: 1px solid #E1E1E1;" width="35%">${orion:escapeHtml(prop.data[0])} </td>
      <td colspan="3" class="orionSummaryColumn">${orion:escapeHtml(prop.data[1])} </td>
    </tr>
    </c:forEach>

    <!-- System Software -->
    <tr>
      <td colspan="4" class="orionSummaryHeader">
        <orion:message key="XeroxMFP.systemSoftwarePage.title"/>
	[<a href="javascript:showSoftwareMore()">
         <orion:message key="XeroxMFP.device.details.software.more"/>
        </a>]
      </td>
    </tr>

    <c:choose>
      <c:when test="${softwareStatus != ''}">

      <tr>
        <td class="orionSummaryColumn" style="border-right: 1px solid #E1E1E1;" width="35%">
          <orion:message key="XeroxMFP.device.details.software.version"/> 
        </td>
        <td colspan="3" class="orionSummaryColumn"><c:out value="${systemSoftware}"/></td>
      </tr>

      <tr>
        <td class="orionSummaryColumn" style="border-right: 1px solid #E1E1E1;">
          <orion:message key="XeroxMFP.device.details.software.status"/> 
        </td>
        <td colspan="3" class="orionSummaryColumn"><c:out value="${softwareStatus}"/></td>
      </tr>

      </c:when>

      <c:otherwise>
      <tr>
        <td class="orionSummaryColumn" style="border-right: 1px solid #E1E1E1;">
          <orion:message key="XeroxMFP.device.details.dataUnavailable"/>
        </td>
      </tr>
      </c:otherwise>

    </c:choose>


    <!-- Listening Ports -->
    <tr>
      <td class="orionSummaryHeader">
        <orion:message key="XeroxMFP.device.details.group.title.listeningPorts"/>
      </td>
      <td class="orionSummaryHeader">
        <orion:message key="XeroxMFP.device.details.group.title.listeningPorts.port"/>
      </td>
      <td class="orionSummaryHeader">
        <orion:message key="XeroxMFP.device.details.group.title.listeningPorts.protocol"/>
      </td>
      <td class="orionSummaryHeader">
        <orion:message key="XeroxMFP.device.details.group.title.listeningPorts.service"/>
      </td>
    </tr>
  
    <c:forEach items="${listeningPorts}" var="prop">
    <tr>
      <td class="orionSummaryColumn" style="border-right: 1px solid #E1E1E1;" width="35%">${orion:escapeHtml(prop.data[0])} </td>
      <td class="orionSummaryColumn" style="border-right: 1px solid #E1E1E1;" width="10%">${orion:escapeHtml(prop.data[1])} </td>
      <td class="orionSummaryColumn" style="border-right: 1px solid #E1E1E1;" width="10%">${orion:escapeHtml(prop.data[2])} </td>
      <td class="orionSummaryColumn" width="45%">${orion:escapeHtml(prop.data[3])} </td>
    </tr>
    </c:forEach>

    <!-- Disallowed ports -->
    <tr>
      <td colspan="4" class="orionSummaryHeader">
        <orion:message key="XeroxMFP.device.details.group.title.disallowedPorts"/>
      </td>
    </tr>

    <c:forEach items="${disallowedPorts}" var="prop">
    <tr>
      <td class="orionSummaryColumn" style="border-right: 1px solid #E1E1E1;" width="35%">${orion:escapeHtml(prop.data[0])} </td>
      <td colspan="3" class="orionSummaryColumn">${orion:escapeHtml(prop.data[1])} </td>
    </tr>
    </c:forEach>

  </table>

</orion:box>
