<%-- COPYRIGHT:		Copyright (C) 2008-2018 McAfee, Inc.  All rights reserved--%>
<%@ page import="com.mcafee.scor.common.URLConstants"%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>
<%@ page import="com.mcafee.orion.core.OrionCore" %>
<%@ page import="com.mcafee.scor.inventory.InventoryConstants"%>

<%
	request.setAttribute("ALLOW_BAN_BINARIES_CANCEL_UI_URL", URLConstants.ALLOW_BAN_BINARIES_CANCEL_UI_URL + request.getAttribute("scor_csrf_param_lq"));
%>

<orion:core>
	<orion:corehead />
	<orion:corebody>
		<orion:navigation />
		<orion:content>
			<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>" />
			<orion:script context="/core" src="/majic.js"/>
			<orion:script context="/core" src="/corebundle.js" />
			<orion:script context="/core" src="/core.js" />
			<orion:script context="/core" src="/formlib.js" />
			<orion:script context="/core" src="/wizardlib.js" />
			
			<orion:message key="scor.inventory.allowban.wizardTitle" var="allowBanBinaryWizardTitle" escape="none" />
			<orion:message key="scor.inventory.allowBan.wizard.whitelistDialogAddTitle" var="whitelistDialogAddTitle" escape="html"/>
			<orion:message key="scor.inventory.allowBan.wizard.binaryPath" var="binaryPath" escape="html"/>
			<orion:message key="scor.awl.binary.button.add" var="addBtn" escape="javascript"/>
			<orion:message key="scor.awl.binary.button.edit" var="editBtn" escape="javascript"/>
			<orion:message key="scor.awl.binary.button.remove" var="removeBtn" escape="javascript"/>
			<orion:message key="scor.inventory.allowBan.wizard.binaryPath.addTitle" var="addTitle" escape="javascript"/>
			<orion:message key="scor.inventory.allowBan.wizard.binaryPath.editTitle" var="editTitle" escape="javascript"/>
			<orion:message key="scor.inventory.allowBan.wizard.addToWhitelistNote" var="addToWhitelistNote" escape="html"/>
			
			<c:set var="ruleGroupRadio" value="${orion:escapeHtml(requestScope.ruleGroupRadio)}" scope="request"/>
			
<script type="text/javascript">
	var ruleGroupRadio = '<c:out value="${ruleGroupRadio}" />';
</script>


			<orion:vbox>
				<orion:box id="allowBanBinaryWizardDiv" height="24">
					<orion:wizard id="allowBanBinaryWizard" currentStep="defineRules" 
					wizardInfo="${allowBanBinaryWizardInfo}" 
					text="${allowBanBinaryWizardTitle}" cancelURI="${ALLOW_BAN_BINARIES_CANCEL_UI_URL}" editMode="false" />
				</orion:box>
			
				<c:choose>
					<c:when test="${ruleGroupRadio != 'addBinariesToWhitelist'}">
						<orion:box id="ruleGroupRulesConfigDiv" height="auto">
							<input id="ruleGroupJson" type="hidden" name="groupData"/> 
							<jsp:include page="${editRuleGroupUrl}"></jsp:include>
					 	</orion:box>
					 </c:when>
	
					 <c:otherwise>
					 	<script type="text/javascript">
                			OrionHelp.setHelpId("${scorInvAllowBanBinaryWhitelistRulesHelpPageId}");
            			</script>
						<orion:hbox height="auto">
						<orion:box width="15"/>
						<orion:box id="addToWhitelistDiv" height="auto">
							<input id="binariesJson" type="hidden" name="binariesJson"/> 
							<table id="SolidifyFiles" title="${whitelistDialogAddTitle}" cellspacing="3" cellpadding="0" width="98%">
						        <br>
							<br>
						                    <tr>
						                        <td><b>${binaryPath}</b></td>
						                        <!-- more attributes add here -->
						                    </tr>
						                    <tr><td><orion:box id="fileSolidificationList" height="auto" width="640"/></td>
		   					            <td width="30%"><label style="color: red;">${addToWhitelistNote}</label></td>
								    </tr>
						    </table>
						</orion:box>						
					</orion:hbox>						
					</c:otherwise>
				</c:choose>
						    <div id="solidify_list_row_template" style="display:none;">
						        <table cellspacing='0' cellpadding='0' width='98%'>
						            <tr>
						                <td>
						                    @binaryPath
						                </td>
						                <!-- more attributes add here -->
						            </tr>
						        </table>
						    </div>
						
						    <div id="solidify_editor_template" style="display:none;">
						        <table width="100%">
						            <tr>
						                <td width="15%">${binaryPath}:</td>
						                <td width="85%">
						                    <orion:textbox id="binaryPath" required="true" maxlength="255"/>
						                </td>
						            </tr>
						            <!-- more attributes add here -->
						        </table>
								<div id="error_include" style="display:none;color:red;">
	
	    						</div>
						   </div>	

				
				<orion:footerbar>
					<orion:previous-next id="allowBanBinaryPrevNext" currentStep="defineRules"
						wizardInfo="${allowBanBinaryWizardInfo}" />
				</orion:footerbar>

			</orion:vbox>
		</orion:content>
	</orion:corebody>
</orion:core>


<script type="text/javascript">

var scor;
scor = scor || {};
scor.inventory = scor.inventory || {};
scor.inventory.wizard = scor.inventory.wizard || {};
scor.inventory.wizard.allowBanBinary  = scor.inventory.wizard.allowBanBinary  || {};

var fileSolidificationList;

scor.inventory.wizard.allowBanBinary.defineRulesUiInit = function() {
	OrionWizard.setFinalButtonEnabled(true);
	if (ruleGroupRadio != '<%=InventoryConstants.ADD_BINARIES_TO_WHITELIST%>') {
		scorRuleGroupTabSwapper.swap($('tab_allowBanBinaryId'));
		scor.rg.awl.allowBanBinary.hideButton('searchFromInv');
	} else {
		fileSolidificationList = new majic.ListWidget({
		    container: "fileSolidificationList", 
		    width: "620px",
		    height: "320px",
		    addCallback: scor.inventory.wizard.allowBanBinary.binaryAddCallback,
		    editCallback: scor.inventory.wizard.allowBanBinary.binaryEditCallback,
		    removeCallback: scor.inventory.wizard.allowBanBinary.myEpoEnableApplyButton,
		    formatCallback: listWidgetformatCallback,
		    buttons: {
			        'add': '${addBtn}',
			        'edit': '${editBtn}',
			        'remove':'${removeBtn}'
		    },
		    content: $('solidify_editor_template').innerHTML,
		    displayText: $('solidify_list_row_template').innerHTML
		});

		var binaries = JSON.parse('${orion:escapeJavaScript(binariesJson)}');
		scor.inventory.wizard.allowBanBinary.populateBinaries(binaries);
		scor.inventory.wizard.allowBanBinary.enableBinaryList(true);
	}
};
  
scor.inventory.wizard.allowBanBinary.getBinaries = function (){
    var list = [];
    var rows = fileSolidificationList.getRows();
    for (var rowKey in rows) {
        var row = rows[rowKey];
        if (row != null && row != undefined) {
            list.push(scor.utils.trim(row['binaryPath']));
        }
    }
    return list;
};


scor.inventory.wizard.allowBanBinary.populateBinaries = function (binaries) {
    scor.utils.clearMagicListWidget(fileSolidificationList);
    binaries = binaries ? binaries : {};
    for(var i = 0; i < binaries.length; i++) {
        var newObj = {"binaryPath" : binaries[i]};
        fileSolidificationList.insert(newObj) ;
    }
};


scor.inventory.wizard.allowBanBinary.enableBinaryList = function (enable) {
	fileSolidificationList.setEnabled(enable);
};


scor.inventory.wizard.allowBanBinary.binaryAddCallback = function () {
	scor.inventory.wizard.allowBanBinary.binaryCommonCallBk('${addTitle}');
};


scor.inventory.wizard.allowBanBinary.binaryEditCallback = function () {
	scor.inventory.wizard.allowBanBinary.binaryCommonCallBk('${editTitle}');
};

scor.inventory.wizard.allowBanBinary.myEpoEnableApplyButton = function () {
};

scor.inventory.wizard.allowBanBinary.binaryPathValidator = function () {
    var binaryPath = scor.utils.GetElementFromDialogBox('binaryPath','input');
    return scor.validation.emptyValidater(binaryPath);
};

scor.inventory.wizard.allowBanBinary.binaryCommonCallBk = function (title) {
    OrionCore.setDialogBoxTitle(title);
    var binaryPath = scor.utils.GetElementFromDialogBox('binaryPath','input');
    OrionEvent.registerHandler(binaryPath, scor.inventory.wizard.allowBanBinary.binaryPathValidator , null, "keyup", false);
    OrionForm.revalidate();
    var existingOkHanlder = OrionCore.dialogBoxOkHandler;
    OrionCore.dialogBoxOkHandler = function () {
        var validationObj = scor.inventory.wizard.allowBanBinary.binaryPathValidator();
        if(validationObj.isInvalid()){
            return false;
        }
        OrionEvent.unregisterHandler(binaryPath, scor.inventory.wizard.allowBanBinary.binaryPathValidator,  "keyup", false );
        existingOkHanlder();
        scor.inventory.wizard.allowBanBinary.myEpoEnableApplyButton();
    };
};



OrionWizard.navigateFinal = function() {
	if (ruleGroupRadio != '<%=InventoryConstants.ADD_BINARIES_TO_WHITELIST%>') {
	       var updatedGroup = scor.grpMgmt.getGroup();
	       var updatedGroupJson = JSON.stringify(updatedGroup);
	
		$('ruleGroupJson').value = updatedGroupJson;
		
	} else {
		var updatedBinaries = scor.inventory.wizard.allowBanBinary.getBinaries();
		var updatedBinariesJson = JSON.stringify(updatedBinaries);
		$('binariesJson').value = updatedBinariesJson;
	}
	OrionWizard.navigateStep( OrionWizard.STEP_FINAL ); 
};

OrionCore.addLoadHandler(scor.inventory.wizard.allowBanBinary.defineRulesUiInit);

</script>



