<%-- COPYRIGHT:		Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved--%>
<%@ page import="com.mcafee.scor.config.ScorConfig"%>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page import="com.mcafee.scor.common.URLConstants"%>
<%@ page import="com.mcafee.scor.event.EventConstants"%>
<%@ page import="com.mcafee.scor.inventory.InventoryConstants"%>

<orion:message key="scor.selfapproval.createCustomPolicy.save" var="savePolicyTxt" escape="None"/>
<orion:message key="scor.selfapproval.createCustomPolicy.cancel" var="cancelPolicyTxt" escape="None"/>
<orion:message key="scor.selfapproval.inventory.dropInventoryOfAppsChkbox" var="dropInvOfAppsChkbxMsg" escape="html"/>
<orion:message key="scor.selfapproval.inventory.dropInventoryOfAppsChkbox" var="dropInvOfAppsChkbxMsg" escape="html"/>
<orion:message key="scor.selfapproval.inventory.messageTitle" var="messageTitle" escape="javascript"/>
<orion:message key="scor.ruleGroup.failureSavingMsg" var="failureRuleGroupSavingMsg" escape="javascript" />
<orion:core>
	<orion:corehead>
	<jsp:include page="/common/includejQuery.jsp" />
	</orion:corehead>
	<orion:corebody>
		<orion:navigation/>
		<orion:content>
			<orion:box>
			<orion:vbox>
					<orion:box id="ruleGroupTabId" height="450">
					<jsp:include page="${scorRuleGroupPageUrlAttr}"></jsp:include>
				</orion:box>
						<c:set var="fixSelectBoxWidth" scope="request" value="true"/>
						<c:set var="selectBoxWidth" scope="request" value="200"/>				
					<jsp:include page="../common/ruleGroupAndPolicyWidget.jsp"/>
				<orion:footerbar>					
	 	             <c:if test="${invPageSource eq 'invPageSourceApp'}">
						<label id ="showCheckBox" style="float:left;">
							<orion:checkbox id="dropInventoryOfAppsChkbx" onclick="scor.inv.aef.showMessagePopup()"/>
							<font style="font-weight:bold; color:#1C376E;">${dropInvOfAppsChkbxMsg}</font>
						</label>
					</c:if>
					<orion:button id="saveGroup" text="${savePolicyTxt}" onclick="scor.inv.aef.rg.save();" />
					<orion:button id="cancelPolicy" text="${cancelPolicyTxt}" onclick="OrionNavigation.back();" />
				</orion:footerbar>
			</orion:vbox>
			</orion:box>
			
			<script type="text/javascript">
				var scor = scor || {};
				scor.inv = scor.inv  || {};
				scor.inv.aef = scor.inv.aef  || {};
				scor.inv.aef.rg = scor.inv.aef.rg || {};
				scor.inv.aef.ignoreMessageSuccess = false;
				
				scor.inv.aef.rg.init = function(){
					scorRuleGroupTabSwapper.swap($('tab_advanced'));
					scor.awl.filter.toggleInventoryFilter();
					OrionCore.setEnabledById( "saveGroup", false);
					scor.rg.sel.setOnInvalidCallback(function(){
						OrionCore.setEnabledById( "saveGroup", false);
						});

					scor.rg.sel.setOnValidCallback(function(){
						OrionCore.setEnabledById( "saveGroup", true);
						});
					
				}			
				
				scor.inv.aef.showMessagePopup = function(){
					if(false === ${ignoreMessage} && false === scor.inv.aef.ignoreMessageSuccess){
						var params = {};
						OrionCore.setDialogBoxTitle("${messageTitle}");
						OrionCore.showAsyncDialogBox( true, "/SOLIDCORE_META/showMessageDialog.do",setDialogSize,null,params);
						OrionCore.dialogBoxOkHandler = function() {
							var ignoreMessage=$j('#ignoreMessageChkBox').is(':checked');
							if( true === ignoreMessage){
								scor.actions.doAsyncAction('/SOLIDCORE_META/saveIgnoreMessageDropInventoryOfAppsOption.do',
						        		[ 'ignoreMessage', ignoreMessage ], scor.inv.aef.showMessagePopup.success);			
							} 
						};
					}
				};
				function setDialogSize(){
			        scorSetDialogSize(200,600);
			    };
			    scor.inv.aef.showMessagePopup.success = function(result) {
		        	if( true === result){
		        		scor.inv.aef.ignoreMessageSuccess = true;
		        	}
		        	else{
		        		scor.inv.aef.ignoreMessageSuccess = false;
		        	}
				};
				
								
				scor.inv.aef.rg.save = function() {
					var updatedGrp = scor.grpMgmt.getGroup();
			        var updatedGrpJSON = JSON.stringify(updatedGrp);
			        var groupName = '';
			        var groupId = -1;
			        var groupSelectElem = null;
			        var isNewRuleGroupSelected = $('addToNewRuleGroupOption').checked;
			        if(isNewRuleGroupSelected) {
			        	groupName = $('newGroupHtmlId').value;
			        } else {
			        	groupSelectElem = $('scorGroupsSelectId');
			        	groupId = groupSelectElem.value;
			        }			        

			        var addToExistingPolicy = $('addToExistingPolicyCheckBoxId').checked;
			        var policyId = scor.policy.getPolicyId();	
			        var dropInventoryOfAppsChkbx=($j("#dropInventoryOfAppsChkbx").is(':checked') == true)?true:false;
			        
			       	OrionCore.showDialogBox(false);
					scor.actions.doAsyncAction('/SOLIDCORE_META/saveRulesInventoryAEFRules.do',
			        		['groupData', updatedGrpJSON, 'groupID', groupId,
			        		 'addToExistingPolicy', addToExistingPolicy,
			        		 'policyId', policyId,
			        		'groupName', groupName,
			        		'dropInventoryOfAppsChkbx', dropInventoryOfAppsChkbx],
			        		scor.inv.aef.rg.save.success, scor.inv.aef.rg.save.failure, 'POST');
				};
				
				scor.inv.aef.rg.save.success = function() {
		        	OrionCore.showPleaseWait(false);
		        	OrionNavigation.lastAnchorPage();
		        	if($j("#dropInventoryOfAppsChkbx").is(':checked')){
		        		var paramMap = ['selectedTreeNodeIsApplication', "${selectedTreeNodeIsApplication}"
		        					, 'selectedTreeNodeIsVendor', "${selectedTreeNodeIsVendor}"
		        					, 'appNameFromSelectedAppNode', "${appNameFromSelectedAppNode}"
		        					, 'vendorNameFromSelectedAppNode', "${vendorNameFromSelectedAppNode}" 
		        					, 'vendorNameFromSelectedVendorNode', "${vendorNameFromSelectedVendorNode}"];
		        		scor.actions.doAsyncAction('/SOLIDCORE_META/markAppsToDropInventoryData.do', paramMap);
		        	}
				};
				
				scor.inv.aef.rg.save.failure = function() {
					window.alert("${failureRuleGroupSavingMsg}");
				};
			
				
				OrionCore.addLoadHandler(scor.inv.aef.rg.init);   	
				
							</script>
		</orion:content>
	</orion:corebody>
</orion:core>