//Copyright (C) 2018 McAfee, Inc. All rights reserved.
ScorDialogTable.checkboxColumnWidth = 35;
ScorDialogTable.minimumColumnWidth = 35;
/**
 @private
 */
ScorDialogTable.DRAG_HANDLE_WIDTH = 6;
/**
 @constructor
 */
function ScorDialogTable()
{
}
new ScorDialogTable();

ScorDialogTable.tableParameters = new Array();


/**
@private
*/
ScorDialogTable.getTableParams = function( tableid )
{
    var submittedItems = ["id", "registerdType","datasourceAttr", "tableCellRendererAttr", "paginated"];

    var params = new Array();
    for (var i = 0; i < submittedItems.length; i++) {
        params.push(submittedItems[i]);
        params.push(ScorDialogTable.tableParameters[tableid][submittedItems[i]])
    }

    return params;
}

/**
@private
Utility function to get the container DIV for the table.
*/
ScorDialogTable.getTableContainer = function( tId )
{
    return $(tId + "_container");
}

ScorDialogTable.showHideErrorLabels = function (id,totalRows){
	var norecordsfound= id +"_norecordsfound";
	var layoutDiv=id+"_scorDialogTableLayout";
	var footerDiv=id+"_scorDialogTableFooter";
	
	if(totalRows === 0) {
		document.getElementById(norecordsfound).style.display ='block';
		document.getElementById(layoutDiv).style.display ='none';
		document.getElementById(footerDiv).style.display ='none';
	} else {
		document.getElementById(norecordsfound).style.display ='none';
		document.getElementById(layoutDiv).style.display ='block';
		document.getElementById(footerDiv).style.display ='block';
	}
}

ScorDialogTable.privateLoad = function ( json )
{
	var tableData = eval("(" + json + ")");
	var tableid = tableData.id;
	  
	var datasourceAttr = tableData.datasourceAttr;
	var visibleRows = Math.max(0, $(tableid + "_body").rows.length-1);
	var index = tableData.index;
	var totalRows = tableData.totalRows;
	ScorDialogTable.showHideErrorLabels(tableid,totalRows);
	ScorDialogTable.tableParameters[tableid].id = tableid;
	ScorDialogTable.tableParameters[tableid].rowCount = totalRows;
	ScorDialogTable.tableParameters[tableid].index = index;
	
	ScorDialogTable.tableParameters[tableid].totalPages = 0==totalRows ? 1 : Math.ceil( (totalRows) / 10 );
	if(index === 0)	{
		ScorDialogTable.tableParameters[tableid].currentPage = 0;
	} else {
		ScorDialogTable.tableParameters[tableid].currentPage = 0<totalRows ? Math.ceil((index+1)/10) -1 : 0;
	}
	
	ScorDialogTable.tableParameters[tableid].data = tableData.tableContent;

	// build a map to find the array index based on the row UID.  Prevents time consuming
    // cross-referencing later on.
	var uidMap = [];
	var data = tableData.tableContent;
	var count = data.length;
	var i;
	for(i = 0; i < count; i++) {
		uidMap[data[i].uid+""] = i;
	}
	ScorDialogTable.tableParameters[tableid].uidMap = uidMap;
	ScorDialogTable.updateDisplay(tableid);
	if (ScorDialogTable.tableParameters[tableid].paginated) {
		ScorDialogTable.setLocationText(tableid);
	}
}

ScorDialogTable.adjustRowCount = function(tableId)
{
    var params = ScorDialogTable.tableParameters[tableId];

    var targetRowCount =params.data.length;
    var currentRowCount = Math.max(0, $(tableId + "_body").rows.length-1);
    var cellCount = $(tableId + "_body").rows[0].cells.length;
    var i=0;	
    var data = params.data;   
    // var typeCkbox = "checkbox";
    // var typeRadio = "radio";
    if(currentRowCount != targetRowCount) {
        while(currentRowCount < targetRowCount) {
            var tr = document.createElement("tr");
            for(var c = 0; c < cellCount; c++) {
                if((c == 0) && params.showCheckboxColumn) {
                    var td = document.createElement("td");
                    // var div = document.createElement("div");
                    // var htmlData = "<input type=\"\" name=\"" + tableId + "_scorDailogTableCkbox\" uid=\"" + data[i].uid + "\" id=\"" + data[i].uid + "\"><label class=\"styledCheckbox\" for=\"" + data[i].uid + "\"></label>";
                    td.className = "orionTableCellCheckbox";
                    //div.className = "orionCheckboxV2";
                    if(!params.singleSelect) {
                        td.innerHTML = "<input type=\"checkbox\" name=\""+tableId+"_scorDailogTableCkbox\" id=\""+data[i].uid+"\">";
                    } else {
                        td.innerHTML = "<input type=\"radio\"    name=\""+tableId+"_scorDailogTableCkbox\" id=\""+data[i].uid+"\">";
                    }
                    //div.innerHTML = htmlData;
                    i++;
                    //td.appendChild(div);
                    tr.appendChild(td);
                } else {
                    var td = document.createElement("td");
                    td.className="dlgContentTd";
                    tr.appendChild(td);
                }
            }

            $(tableId + "_body").appendChild(tr);
            currentRowCount++;
        }

        // remove extra rows.
        while(currentRowCount > targetRowCount) {
            $(tableId + "_body").removeChild( $(tableId + "_body").rows[currentRowCount] );
            currentRowCount--;
        }
    }
}

ScorDialogTable.updateDisplay = function(tableId)
{
	ScorDialogTable.adjustRowCount(tableId);
	var params = ScorDialogTable.tableParameters[tableId];
	var rows = $(tableId + "_body").rows;
	var offset = 0;
	var propertyNames = params.propertyNames;
	var hiddenColumns = params.hiddenColumns;
	
    var cells;
    var row;
    var data = params.data;
    var rowData;
    var visRows = data.length;
    var stripe = (offset % 2) == 0;
    var cellStartIndex = 0;

    if(params.showCheckboxColumn) {
        cellStartIndex = 1;
        if (!params.singleSelect) {
        	// Clear the SelectAll Checkbox
	        var selectallckbox = document.getElementById(tableId+"_selectall");
	        selectallckbox.checked=false;
        }
    }

    for(var r = 0; r < visRows; r++) {
        row = rows[r+1]; // skip the 1st dummy row.
        cells = row.cells;
        rowData = data[r+offset].cells;
        row.id = data[r+offset].uid;
        var rowClass = stripe ? "orionTableRow" : "orionTableRowAlt";
        row.className = rowClass;
        //Take care of check boxes with updated data
        if(params.showCheckboxColumn) {
            var checkbox = row.cells[0].childNodes[0];
            checkbox.id = row.id;
            // checkbox.children[0].id = row.id + "_ckbox";
            // checkbox.children[1].htmlFor = row.id + "_ckbox";
            // Clear the All Checkbox
            checkbox.checked=false;
        }

        row.setAttribute("oldClass", rowClass);
        stripe = !stripe;
        
        for( var c = 0; c < propertyNames.length; c++ ) {
        	cells[c+cellStartIndex].innerHTML = rowData[c];
        	if($j.inArray(propertyNames[c],hiddenColumns) != -1){
        		$j(cells[c+cellStartIndex]).hide();
        	}
        }        
    }
}

ScorDialogTable.refresh = function ( tableid, filter, rows )
{
    var args = new Array();
    args.push("id");
    args.push(tableid);

    args.push("datasourceAttr");
    args.push(ScorDialogTable.tableParameters[tableid].datasourceAttr);

    args.push("tableCellRendererAttr");
    args.push(ScorDialogTable.tableParameters[tableid].tableCellRendererAttr);

    if(rows) {
        args.push("rows");
        args.push(rows);
    }

    if (filter != null) {
        args.push("filter");
        args.push(filter);
    }

   // OrionCore.showPleaseWait(true);
    OrionCore.doAsyncAction("/core/orionTableRefresh.do", args, ScorDialogTable.privateLoad, null);
}

ScorDialogTable.load = function ( tableid )
{
	// OrionCore.showPleaseWait(true);
    OrionCore.doAsyncAction("/core/orionTable.do", [ "id", tableid ], ScorDialogTable.privateLoad, null);
}

ScorDialogTable.registerEvents = function(tId)
{
    var params = ScorDialogTable.tableParameters[tId];
    var numberOfProperties = params.propertyNames.length;
    var numberOfHiddenParams = params.hiddenColumns.length;

    // register the select all on page buttons
    if(params.showCheckboxColumn) {
        //OrionEvent.registerHandler( $(tId + "_select_page"), ScorDialogTable.selectAllOnPageEvent, [tId, true], "click", false );
        //OrionEvent.registerHandler( $(tId + "_deselect_page"), ScorDialogTable.selectAllOnPageEvent, [tId, false], "click", false );
    }

    // register pagination control events
    OrionEvent.registerHandler( $(tId + "_firstPage"), ScorDialogTable.navigationEvent, [tId, "beginning"], "click", false );
    OrionEvent.registerHandler( $(tId + "_prevPage"), ScorDialogTable.navigationEvent, [tId, "back"], "click", false );
    OrionEvent.registerHandler( $(tId + "_nextPage"), ScorDialogTable.navigationEvent, [tId, "next"], "click", false );
    OrionEvent.registerHandler( $(tId + "_lastPage"), ScorDialogTable.navigationEvent, [tId, "end"], "click", false );

    // exclude the page number field from form dirty-bit check
    OrionForm.markInputExempt( tId + "_pageNumber");

    // register the column resizing mouse events.
    // handler to be registered only for visinle columns and not to be registered for last visible column
    var visibleCellsCount = numberOfProperties - numberOfHiddenParams;
    for(var i = 0; i < visibleCellsCount - 1; i++) {
    	var cell = $(tId + "_col_" + i);
        var map = new OrionMap();
        map.put("tableId", tId);
        map.put("colIndex", i);

		OrionEvent.registerHandler( cell, ScorDialogTable.checkCursor, map, "mousemove", false);
		OrionEvent.registerHandler( cell, ScorDialogTable.drag, map, "mousedown", false);
    }
}
ScorDialogTable.getScreenPosition = function( element )
{
    var temp = element;
    var walking = true;
    var offsetLeft = 0;
    var offsetTop = 0;

    // walk up the DOM and measure the offset values
    while(walking) {
        if ( (temp.tagName == 'undefined') || ((temp.tagName != "TR") && (temp.tagName != "TBODY"))) {
            offsetLeft += temp.offsetLeft || 0;
            offsetTop += temp.offsetTop || 0;

            offsetLeft -= temp.scrollLeft || 0;
            offsetTop -= temp.scrollTop || 0;
        }

        if(temp.offsetParent != null) {
            temp = temp.offsetParent;
        } else {
            walking = false;
        }
    }
    return { x : offsetLeft, y : offsetTop };
}
/**
@private
called when the mouse moves over the column headers.  This function switches the
mouse cursor to a horizontal resize icon when the mouse is within a few pixels (DRAG_HANDLE_WIDTH) of
the column borders.
*/
ScorDialogTable.checkCursor = function( event )
{
    if (!event) {
    	event = window.event;
    }
    var map = OrionEvent.getUserProperty(event);

    var tableId = map.get("tableId");
    var srcIndex = map.get("colIndex");

    var srcCell = $(tableId + "_col_" + srcIndex);
    
    var tableNode =  $(tableId + "_scorDialogTableMain");
    var tablePosition = ScorDialogTable.getScreenPosition(tableNode.parentNode);
    var cursorX = event.clientX - tablePosition.x - srcCell.offsetLeft;
    var dragThresholdX = srcCell.clientWidth - ScorDialogTable.DRAG_HANDLE_WIDTH;

    var cursor = "default";

    /* change the style if current cursor position is within the drag-range of the cell
     * The style is restored back to 'default' when cursor position becomes out of drag-range
     */ 
    if (cursorX > dragThresholdX) {
        cursor = "w-resize";
    }

   if(srcCell.style.cursor != cursor) {
        srcCell.style.cursor = cursor;
        var childNode = srcCell.childNodes[0];
        while (childNode != null) {
        	if (childNode.tagName === 'DIV') {
        		childNode.style.cursor = cursor;
        	}
        	childNode = childNode.nextSibling;
		}
    }
}

/**
@private
This is the magic code that resizes the HTML columns in real-time
Called when mouse is held DOWN
@param event - The event
*/
ScorDialogTable.drag = function(event)
{
   if (!event) {
    	event = window.event;
   }
   var map = OrionEvent.getUserProperty(event);
   var tableId = map.get("tableId");
   var col1 = map.get("colIndex");
   var col2 = col1 + 1;

   var leftId = tableId + "_col_" + col1;
   var rightId = tableId + "_col_" + col2;

   var leftElem = $(leftId);
   var rightElem = $(rightId);

   leftElem.width = leftElem.clientWidth;
   rightElem.width = rightElem.clientWidth;

   var startx = event.clientX;

   var srcCell = leftElem;

   var tableNode = $(tableId + "_scorDialogTableMain");
   var tablePosition = ScorDialogTable.getScreenPosition(tableNode.parentNode);
   var cursorX = event.clientX - tablePosition.x - srcCell.offsetLeft;
   var dragThresholdX = srcCell.clientWidth - ScorDialogTable.DRAG_HANDLE_WIDTH;

   // Do nothing if mouse is down outside of drag-range of the cell.
   if (cursorX < dragThresholdX) {
       return;
   }

   var params = {};

   params["tableId"] = tableId;
   params["leftId"] = leftId;
   params["rightId"] = rightId;
   params["startX"] = startx;

   /* If mouse/cursor position changes in 'down' state, then, do CELL-RESIZING
    * If mouse state changes to 'up' from 'down', then, stop cell-resizing and
    * clear event-listeners  for mouse-move and mouse-up. 
    */
   YAHOO.util.Event.addListener(document, "mousemove", ScorDialogTable.dragHandler, params);
   YAHOO.util.Event.addListener(document, "mouseup", ScorDialogTable.stopDrag, params);

   OrionEvent.stopPropagation(event);

   document.onselectstart = function(event) {
       if(!event) {
    	   event = window.event;
       }
       OrionEvent.stopPropagation(event);
       return false;
   }
}


/**
Event handler for mousemove event (in mouse down state) for resizing columns.
@private
*/
ScorDialogTable.dragHandler = function(event, map)
{
   if (!event) {
	   event = window.event;
   }

   var tableId = map["tableId"];
   var leftElem = $(map["leftId"]);
   var rightElem = $(map["rightId"]);
   var startx = map["startX"];

   var newLeft = parseInt(leftElem.width);
   var newRight = parseInt(rightElem.width);

   if (event.clientX < startx) {
       var delta = startx - event.clientX;
       newLeft = parseInt(leftElem.width) - delta;
       newRight = parseInt(rightElem.width) + delta;
   } else {
       var delta = event.clientX - startx;
       newLeft = parseInt(leftElem.width) + delta;
       newRight = parseInt(rightElem.width) - delta;
   }

   if (newLeft > ScorDialogTable.minimumColumnWidth && newRight > ScorDialogTable.minimumColumnWidth) {
       leftElem.style.width = newLeft + "px";
       rightElem.style.width = newRight + "px";

       ScorDialogTable.rebuildCellRatios(tableId);
       ScorDialogTable.updateCellWidths(tableId);
   }

   OrionEvent.stopPropagation(event);
}

/**
Event handler for mouseup event when resizing columns
It stops cell-resizing and clears event-listeners for mouse-move and mouse-up events
@private
*/
ScorDialogTable.stopDrag = function(event, map)
{
   if (!event) {
       event = window.event;
   }
   var tableId = map["tableId"];
   /* Avoid posting http req to server-side for column-resizing tasks
    * In case, it is huge performance-hit (as predicted by many), then only, 
    * revert back to ScorDialogTable.updateTableState(tableId);
    */

   var tbody = $(tableId + "_body");
   var tableNode =  $(tableId + "_scorDialogTableMain");
	
   var tableWidth = tableNode.clientWidth;
   tableWidth = tableWidth>0? tableWidth:tableNode.offsetWidth;
	
   var cellWidth = 0;

   if (tableWidth == 0) {
       return;
   }

   if (ScorDialogTable.tableParameters[tableId].showCheckboxColumn) {
       tableWidth -= ScorDialogTable.checkboxColumnWidth;
   }

   // Skip header row as it is resized in dragHandler
   for (var rowId = 1; rowId < tbody.rows.length; rowId++) {
	   var currRow = tbody.rows[rowId];
	   for (var colId = 0; colId < currRow.cells.length; colId++) {
	       if ((colId == 0 ) && ScorDialogTable.tableParameters[tableId].showCheckboxColumn) {
	           cellWidth = ScorDialogTable.checkboxColumnWidth;
	       } else {
	           var currRowValue = currRow.cells[colId].value ? currRow.cells[colId].value : (1/currRow.cells.length);
	           cellWidth = Math.max(ScorDialogTable.minimumColumnWidth, Math.floor(tableWidth * currRowValue));
	       }
	       currRow.cells[colId].style.width = cellWidth + "px";
	   }
   }
   YAHOO.util.Event.removeListener(document, "mousemove", ScorDialogTable.dragHandler);
   YAHOO.util.Event.removeListener(document, "mouseup", ScorDialogTable.stopDrag);

   document.onselectstart = null;

   OrionEvent.stopPropagation(event);
}
/**
@private
Computes the percentage based column width values based on the current pixel
dimensions of the table.
*/
ScorDialogTable.rebuildCellRatios = function( tableId )
{
   var tbody = $(tableId + "_body");
   var tableNode =  $(tableId + "_scorDialogTableMain");
   var params = ScorDialogTable.tableParameters[tableId];
	
   var tableWidth = tableNode.clientWidth;
   tableWidth = tableWidth>0? tableWidth:tableNode.offsetWidth;

    var checkbox = params.showCheckboxColumn;
    var startIndex = 0;

    if (checkbox) {
        tableWidth -= ScorDialogTable.checkboxColumnWidth;
        startIndex = 1;
    }

    var visibleCellCount = tbody.rows[0].cells.length - params.hiddenColumns.length;
    for (var i = startIndex; i < visibleCellCount; i++) {
    	tbody.rows[0].cells[i].value = tbody.rows[0].cells[i].clientWidth / tableWidth;
    }
}

/**
@private
Sets the column widths in pixels based on the percentage widths
*/
ScorDialogTable.updateCellWidths = function( tableId )
{
    var tbody = $(tableId + "_body");
    var tableNode = $(tableId + "_scorDialogTableMain");

   var tableWidth = tableNode.clientWidth;
   tableWidth = tableWidth>0? tableWidth:tableNode.offsetWidth;

    var cellWidth = 0;

    if (tableWidth == 0) {
        return;
    }

    if (ScorDialogTable.tableParameters[tableId].showCheckboxColumn) {
        tableWidth -= ScorDialogTable.checkboxColumnWidth;
    }

    var headerRow = tbody.rows[0];

    var params = ScorDialogTable.tableParameters[tableId];
    var visibleCellCount = headerRow.cells.length - params.hiddenColumns.length;
    for (var i = 0; i < visibleCellCount; i++) {
        if ((i == 0 ) && params.showCheckboxColumn) {
            cellWidth = ScorDialogTable.checkboxColumnWidth;
        } else {
            var headerRowValue = headerRow.cells[i].value ? headerRow.cells[i].value : (1/visibleCellCount);
            cellWidth = Math.max(ScorDialogTable.minimumColumnWidth, Math.floor(tableWidth * headerRowValue));
        }
        
        headerRow.cells[i].style.width = cellWidth + "px";
    }
}

/**
@private
the event handler for clicking one of the pagination buttons.
*/
ScorDialogTable.navigationEvent = function(event)
{
    var map = OrionEvent.getUserProperty(event);
    var tId = map[0];
    var dir = map[1];

    switch( dir )
    {
        case "beginning": ScorDialogTable.beginning(tId);
        break;
        case "end": ScorDialogTable.end(tId);
        break;
        case "back": ScorDialogTable.back(tId);
        break;
        case "next": ScorDialogTable.next(tId);
        break;
    }
}

/**
 Jumps to the previous set of objects in the table (pagination)

 @param tableid - The id of the table
 */
ScorDialogTable.back = function ( tableid )
{
    var currentPage = ScorDialogTable.tableParameters[tableid].currentPage;

    if (currentPage <= 0)
        return;

    var params = ScorDialogTable.getTableParams(tableid);

    //OrionCore.showPleaseWait(true);
    OrionCore.doAsyncAction("/core/orionTableBack.do", params, ScorDialogTable.privateLoad, null);
}


/**
 Jumps to the end of the table (pagination)

 @param tableid - The id of the table
 */
ScorDialogTable.end = function ( tableid )
{
    var totalPages = ScorDialogTable.tableParameters[tableid].totalPages;
    var currentPage = ScorDialogTable.tableParameters[tableid].currentPage;

    if (currentPage >= totalPages - 1)
        return;

    var params = ScorDialogTable.getTableParams(tableid);

    //OrionCore.showPleaseWait(true);
    OrionCore.doAsyncAction("/core/orionTableEnd.do", params, ScorDialogTable.privateLoad, null);
}


/**
 Jumps to the beginning of the table (pagination)

 @param tableid - The id of the table
 */
ScorDialogTable.beginning = function ( tableid )
{

    var currentPage = ScorDialogTable.tableParameters[tableid].currentPage;

    if (currentPage <= 0)
        return;

    var params = ScorDialogTable.getTableParams(tableid);

    //OrionCore.showPleaseWait(true);
    OrionCore.doAsyncAction("/core/orionTableBeginning.do", params, ScorDialogTable.privateLoad, null);
}


/**
 Jumps to the next set of objects in the table (pagination)

 @param tableid - The id of the table
 */
ScorDialogTable.next = function ( tableid )
{

    var currentPage = ScorDialogTable.tableParameters[tableid].currentPage;
    var totalPages = ScorDialogTable.tableParameters[tableid].totalPages;

    if (currentPage >= totalPages - 1)
        return;

    var params = ScorDialogTable.getTableParams(tableid);

    //OrionCore.showPleaseWait(true);
    OrionCore.doAsyncAction("/core/orionTableNext.do", params, ScorDialogTable.privateLoad, null);
}
/**
 @private
 Sets the table location information

 @param tableId - The ID of the table tag.
 */
ScorDialogTable.setLocationText = function ( tableId )
{
    try
    {
        var currentPage = ScorDialogTable.tableParameters[tableId].currentPage + 1;
        var totalPages = ScorDialogTable.tableParameters[tableId].totalPages;
        var rowCount = ScorDialogTable.tableParameters[tableId].rowCount;

        var locationText = OrionCore.formatString( ScorDialogTable.locationText,
                                                   rowCount, totalPages );

        $(tableId + "_tableLocationText").innerHTML = locationText;
        $(tableId + "_pageNumber").value = currentPage;

        if (currentPage == 1)
        {
            ScorDialogTable.setEnabled(tableId + "_prevPage", false);
            ScorDialogTable.setEnabled(tableId + "_firstPage", false);
        }
        else
        {
            ScorDialogTable.setEnabled(tableId + "_prevPage", true);
            ScorDialogTable.setEnabled(tableId + "_firstPage", true);
        }

        if (currentPage == totalPages)
        {
            ScorDialogTable.setEnabled(tableId + "_nextPage", false);
            ScorDialogTable.setEnabled(tableId + "_lastPage", false);
        }
        else
        {
            ScorDialogTable.setEnabled(tableId + "_nextPage", true);
            ScorDialogTable.setEnabled(tableId + "_lastPage", true);
        }
    }
    catch (exception)
    {

    }
}


/**
 @private
 custom setEnabled function for clickable elements in the footer
*/
ScorDialogTable.setEnabled = function( id, enabled )
{
    var element = $(id);
    if (element)
    {
        if (enabled)
        {
            element.style.cursor = "pointer";
            OrionCore.setOpacity(element.parentNode, 100);
        }
        else
        {
            element.style.cursor = "default";
            OrionCore.setOpacity(element.parentNode, 20);
        }
    }
}

ScorDialogTable.selectAll = function (tableid){
var selectallckbox = document.getElementById(tableid+"_selectall");
if(selectallckbox.checked) { 
	var ckboxes=document.getElementsByName(tableid+"_scorDailogTableCkbox");	
	for(var i=0 ; i<ckboxes.length ; i++){
	if(!ckboxes[i].checked){
		ckboxes[i].checked=true;
	}
}	
} 
else{
	var ckboxes=document.getElementsByName(tableid+"_scorDailogTableCkbox");	
	for(var i=0 ; i<ckboxes.length ; i++){
	if(ckboxes[i].checked){
		ckboxes[i].checked=false;
	}
}
}
}

/**
 @private
 Jumps to a random position in the table

 @param evt - The event
 @param tableid - The id of the table
 @param datasourceAttr - attribute identifying the table's datasource
 @param elem - The input element that contains the value of the page to jump to
 */
ScorDialogTable.jump = function ( evt, tableid, elem )
{
    if (evt == null) evt = window.event;
    var page = elem.value;
    if (evt.keyCode == 13 || evt.type == 'blur')
    {
        var currentPage = ScorDialogTable.tableParameters[tableid].currentPage + 1;
        var lastPage = ScorDialogTable.tableParameters[tableid].totalPages;

        if (isNaN(parseInt(page)))
        {
            elem.value = currentPage;
            evt.cancelBubble = true;
            evt.returnValue = false;
            return false;
        }

        page = parseInt(page, 10);

        // bail for invalid page ranges, or if they enter the currently displayed page number
        if ((page > lastPage) || (page <= 0) || (page == currentPage))
        {
            elem.value = currentPage;
            return false;
        }

        ScorDialogTable.tableParameters[tableid].currentPage = page - 1;

        var params = ScorDialogTable.getTableParams(tableid);
        params.push("page");
        params.push(page);

     //   OrionCore.showPleaseWait(true);
        OrionCore.doAsyncAction("/core/orionTableJump.do", params, ScorDialogTable.privateLoad, null);
    }
    else
    {
        /*if (isNaN(page) || isNaN( parseInt( page, 10 ) ))
        {
            elem.value = currentPage;
        }*/
    }
    return false;
}

ScorDialogTable.selected = function (tableid)
{
    var uids = ScorDialogTable.getSelectedUIDs(tableid);
    return uids.join(",");

}

ScorDialogTable.getSelectedUIDs = function (tableid)
{
    var uids = [];
    var ckboxes = document.getElementsByName(tableid + "_scorDailogTableCkbox");
    for (var i = 0; i < ckboxes.length; i++) {
        if (ckboxes[i].checked) {
        	//uids.push(ckboxes[i].getAttribute("uid"));
            uids.push(ckboxes[i].id);
        }
    }
    return uids;

}

ScorDialogTable.initializeTables = function( tableId )
{
var checkbox = ScorDialogTable.tableParameters[tableId].showCheckboxColumn;
    var initialColumnWidths = null;
   ScorDialogTable.registerEvents(tableId);
   if(ScorDialogTable.tableParameters[tableId].columnWidths != "")
    {
        initialColumnWidths = ScorDialogTable.calcualteInitialColumnWidths(tableId);
        var tbody = $(tableId + "_body");


	    var tableWidth = $j(tbody).width();
	    var cellWidth = 0;
	
	    if (tableWidth == 0)
	        return;
	
	    if (ScorDialogTable.tableParameters[tableId].showCheckboxColumn)
	        tableWidth -= ScorDialogTable.checkboxColumnWidth;
	
	    var headerRow = tbody.rows[0];
	
	    var numberOfhiddenProperties = ScorDialogTable.tableParameters[tableId].hiddenColumns.length;
	    var visibleCellsLimit = headerRow.cells.length - numberOfhiddenProperties;
	    for (var i = 0; i < visibleCellsLimit; i++)
	    {
	        if ((i == 0 ) && ScorDialogTable.tableParameters[tableId].showCheckboxColumn)
	        {
	            cellWidth = ScorDialogTable.checkboxColumnWidth;
	        }
	        else
	        {
	            var headerRowValue = initialColumnWidths[i-1] ? initialColumnWidths[i-1] : (1/visibleCellsLimit);
	            cellWidth = Math.max(ScorDialogTable.minimumColumnWidth, Math.floor(tableWidth * headerRowValue));
	        }
	
	        headerRow.cells[i].style.width = cellWidth + "px";
	
	       
	    }
    }
  
   
}

/**
@private
sets the initial column width values for the table.
*/
ScorDialogTable.calcualteInitialColumnWidths = function( tableId )
{
    var columnWidths = new Array();
    var userWidths = ScorDialogTable.tableParameters[tableId].columnWidths.split(",");
    var widthSum = 0;
    var i = 0;

    for(i = 0; i < userWidths.length; i++)
    {
        widthSum += parseFloat(userWidths[i]);
    }

    for(i = 0; i < userWidths.length; i++)
    {
        columnWidths[i] = parseFloat(userWidths[i]) / widthSum;
    }

    return columnWidths;
}

/**
 * Returns the cell array for a row specified by rowUID in the table with id as tableId
 */
ScorDialogTable.getRowData=function(tableId,rowUID){
	var diagTable = ScorDialogTable.tableParameters[tableId];
	if(diagTable){
		var tableData = diagTable.data;
	    var rowCount = tableData.length;	    
	    for(var index = 0; index < rowCount; index++)
	    {
	    	var rowData = tableData[index];
	    	if(rowData.uid && rowData.uid == rowUID){
	    		return rowData.cells;
	    	}
	    }
	}
    return [];
}

