<!-- COPYRIGHT:		Copyright (C) 2015-2018 McAfee, Inc.  All rights reserved-->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>
<%@page import="com.mcafee.scor.observationmode.ObservationModeConstants"%>
<%@ page import="com.mcafee.scor.common.Constants"%>
<jsp:include page="/common/includejQuery.jsp" />



<orion:message key="scor.observationmode.filter.title.text" var="filterTitleText"  escape="none"/>
<orion:message key="SCOR_OBSERVATION_ACTIONS.rt.name" var="rootObservationsTitleText"  escape="none"/>
<orion:message key="scor.observationmode.timefilter.title" var="timeFilter" />
<orion:message key="scor.common.filter.lastonehour" var="lastonehour" />
<orion:message key="scor.common.filter.lastoneday" var="lastoneday" />
<orion:message key="scor.common.filter.last7Days" var="lastsevendays" />	
<orion:message key="scor.common.filter.last1Month" var="lastthirtydays" />	
<orion:message key="scor.common.filter.alltimes" var="alltime" />	
<orion:message key="scor.observationmode.approvalfilter.title" var="approvefiltertitle" />
<orion:message key="scor.observationmode.approvalfilter.approved" var="approved" />
<orion:message key="scor.observationmode.approvalfilter.dismissed" var="dismissed" />
<orion:message key="scor.observationmode.approvalfilter.pending" var="pending" />
<orion:message key="scor.observationmode.approvalfilter.all" var="all" />
<orion:message key="scor.observationfilter.showfilterlink.text" var="showFilterLinkText" />
<orion:message key="scor.observationfilter.search" var="search" escape="none"/>


<script type="text/javascript">
	OrionHelp.setHelpId("<%=HelpConstants.OBSERVATIONS_PAGE%>");
</script>


<script type="text/javascript">  		

	var scor = scor || {};
	scor.ob = scor.ob || {};
	scor.ob.main = scor.ob.main || {};
	scor.ob.main.changeHndlr = scor.ob.main.changeHndlr || {};

	scor.ob.main.changeHndlr = function() {
		var paramMap = {};
		paramMap['<%=ObservationModeConstants.OBSERVATION_TIME_FILTER_KEY%>'] = $j('#scorTimeFilter').val();
		paramMap['<%=ObservationModeConstants.OBSERVATION_APPROVAL_STATUS_FILTER_KEY%>'] = $j('#approvalStatusFilter').val();    	
		paramMap['<%=ObservationModeConstants.OBSERVATION_SEARCH_CRITERIA_FILTER_KEY%>'] = scor.ob.main.getSearchFilterCriteria();
		var tbl = MFSTable.get("rootObservationTableId");
		var filterStr = JSON.stringify(paramMap);
        tbl.setFilter(filterStr);		
	}

	scor.ob.main.getSearchFilterCriteria = function(){
		var searchOption = $j('#searchOptionsId').val();
		var searchOperator = $j('#searchOperatorsId').val();
		var searchValue = scor.ob.main.getSearchValue();
		return searchOption+' '+searchOperator+' '+searchValue;
	}

	scor.ob.main.getSearchValue = function() {
		if (scor.ob.main.isSearchOptionObservationType()) {
			return $j('#observationTypeOptionsId').val();	
		}
		return $j('#searchValue').val();
	}

	scor.ob.main.isSearchOptionObservationType = function() {
		var searchOption = $j('#searchOptionsId').val();
		if(searchOption === '<%=ObservationModeConstants.OBSERVATION_OPTION_OBSERVATION_TYPE_ID%>'){
			return true;
		}
		return false;
	}
	
	scor.ob.main.onSearchCriteriaChange = function() {
		if(scor.ob.main.isSearchOptionObservationType()){
			$j('#observationTypeOptionsId').show();
			$j('#searchValue').val('');
			$j('#searchValue').hide();
			$j('#searchOperatorsId').val('equals');
			$j('#searchOperatorsId').attr('disabled', true);
		 } else {
			$j('#searchValue').show();
			$j('#searchOperatorsId').attr('disabled', false);
			$j('#observationTypeOptionsId').hide();
		 }	
	}

	scor.ob.main.init = function () {
		scor.ob.main.onSearchCriteriaChange();
		OrionForm.markInputExempt('searchValue');
		OrionForm.markInputExempt('searchOptionsId');
		OrionForm.markInputExempt('searchOperatorsId');
		OrionForm.markInputExempt('observationTypeOptionsId');
	}

	
	function scorViewDetailsOfRootObservation(rootObservationId) {
		OrionCore.doAction("<%=URLConstants.SHOW_DETAIL_SUGGESTIONS_URL%>", ['<%=ObservationModeConstants.ROOT_OBSERVATION_ID%>',rootObservationId],"GET")
	}	
	
	function scorViewObservationFilter() {
		OrionCore.doAction("<%=URLConstants.SHOW_OBSERVATION_FILTER_URL%>")
	}
	
	OrionCore.addLoadHandler(scor.ob.main.init);

</script>

	<orion:vbox>
       <orion:box height="50">            

                <table width="100%" height="100%" cellspacing="1px" cellpadding="1px" style="background-color: rgb(235, 235, 235); width: 100%;">
                    <tr>
                    	<td>
                    		<orion:select id="searchOptionsId" items="${searchOptions}" onchange="scor.ob.main.onSearchCriteriaChange()" />
                    		<orion:select id="searchOperatorsId" items="${searchOperators}" />
                    		<orion:select id="observationTypeOptionsId" items="${observationTypes}" />
							<orion:textbox id="searchValue" value="${obSearchValue}"/>
							<orion:button id="searchButton" onclick="scor.ob.main.changeHndlr();" text="${search}"/>
                        </td>
  
                        <td>
                            ${timeFilter} :
 							<select  class="orionSelect" id="scorTimeFilter" name="scorTimeFilter" onchange="scor.ob.main.changeHndlr()">
								<option <c:if test="${scorTimeFilterAttr eq 'scor.common.filter.lastonehour'}">selected="true"</c:if> value="scor.common.filter.lastonehour">${lastonehour}</option>
								<option <c:if test="${scorTimeFilterAttr eq 'scor.common.filter.lastoneday'}">selected="true"</c:if> value="scor.common.filter.lastoneday">${lastoneday}</option>
								<option <c:if test="${scorTimeFilterAttr eq 'scor.common.filter.last7Days'}">selected="true"</c:if> value="scor.common.filter.last7Days">${lastsevendays}</option>
								<option <c:if test="${scorTimeFilterAttr eq 'scor.common.filter.last1Month'}">selected="true"</c:if> value="scor.common.filter.last1Month">${lastthirtydays}</option>
								<option  <c:if test="${scorTimeFilterAttr eq 'scor.common.filter.allTimes'}">selected="true"</c:if> value="scor.common.filter.allTimes">${alltime}</option>
							</select>
                        </td>
                        <td>
                        	 ${approvefiltertitle} :
                        	<select class="orionSelect" id="approvalStatusFilter" name="approvalStatusFilter" onchange="scor.ob.main.changeHndlr()">
								<option <c:if test="${scorApproveFilterAttr eq 'scor.observationmode.approvalfilter.approved'}">selected="true"</c:if> value="scor.observationmode.approvalfilter.approved">${approved}</option>
								<option <c:if test="${scorApproveFilterAttr eq 'scor.observationmode.approvalfilter.dismissed'}">selected="true"</c:if> value="scor.observationmode.approvalfilter.dismissed">${dismissed}</option>
								<option <c:if test="${scorApproveFilterAttr eq 'scor.observationmode.approvalfilter.pending'}">selected="true"</c:if> value="scor.observationmode.approvalfilter.pending">${pending}</option>
								<option <c:if test="${scorApproveFilterAttr eq 'scor.observationmode.approvalfilter.all'}">selected="true"</c:if> value="scor.observationmode.approvalfilter.all">${all}</option>
							</select>
                        </td>
                    </tr>
                </table>
            </orion:box>
	
 	        <orion:table2 id="rootObservationTableId"
 	         registeredTypeUID="scor.rt.rootObservations"
 	         titleText="${rootObservationsTitleText}"
	         cellRendererAttr="<%=ObservationModeConstants.ROOT_OBSERVATION_CELL_RENDERER_ATTR%>"
	         datasourceAttr="<%=ObservationModeConstants.ROOT_OBSERVATION_DATA_SOURCE_ATTR%>"
	         showCheckboxColumn="true" enableDrilldown="false"
	         sortColumn="notificationTime" sortOrder="1"
	         properties="notificationTime,hostName,userName,binaryName,customTrustLevelInt,parentName,observationType,actions"
	         columnWidths="15,15,10,25,13,6,10,6" />
	</orion:vbox>

