<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ page import="com.mcafee.scor.awl.AWLConstants" %>

<orion:message key="scor.policy.awl.button.add" var="awlButtonAdd" escape="javascript"/>
<orion:message key="scor.policy.awl.button.edit" var="awlButtonEdit" escape="javascript"/>
<orion:message key="scor.policy.awl.button.remove" var="awlButtonRemove" escape="javascript"/>

<orion:message key="scor.observationmode.detail.suggestions.binary.name" var="binaryName" />
<orion:message key="scor.observationmode.detail.suggestions.binary.path" var="binaryPathLabel" />
<orion:message key="scor.observationmode.detail.suggestions.whitelist.dialog.title" var="whitelistDialogAddTitle" escape="javascript" />



<orion:box id="solidificationTabId">
   <table id="SolidifyFiles" cellspacing="0" cellpadding="0" width="98%">
   		<%@ include file="../AdjustOtherTabs.jsp" %>
        <tr>
            <td class="orionSummaryColumn">
                <!-- width is 98% of the width of the list widget so its 608px-->
                <table cellspacing='3' cellpadding='0' width='608px'>
                    <tr>
                        <td><b>${binaryName}</b></td>
                        <!-- more attributes add here -->
                    </tr>
                </table>
                <orion:box id="fileSolidificationList" height="auto" width="620"/>
            </td>
        </tr>
    </table>

    <div id="solidify_list_row_template" style="display:none;">
        <table cellspacing='0' cellpadding='0' width='98%'>
            <tr>
                <td>
                    @whiteListBinaryPath
                </td>
                <!-- more attributes add here -->
            </tr>
        </table>
    </div>

    <div id="solidify_editor_template" style="display:none;">
        <table width="100%">
            <tr>
                <td width="15%">${binaryPathLabel}:</td>
                <td width="85%">
                    <orion:textbox id="whiteListBinaryPath" required="true" maxlength="255"/>
                </td>
            </tr>
            <!-- more attributes add here -->
        </table>
   </div>	
</orion:box>

<script type="text/javascript">

	var scor = scor || {};
	scor.so = scor.so || {};
	
	scor.so.fileList = function() {
		
	    var onRemoveCallback = null;
	    var onAddCallback = null;
	    var onChangeCallback = null;
	    var isEmpty = true;
	    var selectedNodeId = null;
	    
	    var noOfRows = function() {
	    	return fileList.getList().length;
	    }
	    
	    var onOkAddHandler = function() {
	        var binaryPathElem = scor.utils.GetElementFromDialogBox('whiteListBinaryPath', 'input');
	        var binaryPath = binaryPathElem.value;
	        if (noOfRows() === 0) {
	        	if (typeof binaryPath === 'string' && binaryPath != '') {
	        		isEmpty = false;
		        } else {
		        	return;
		        }
	        } 
	        if (typeof binaryPath === 'string' && binaryPath != '') {
	        	addBinaryPathToList(binaryPath);
	        	if (typeof onAddCallback === 'function') {
	        		onAddCallback();
	        	}
	        	if (typeof onChangeCallback === 'function') {
	        		onChangeCallback();
	        	}
	        }
	    };
	     
	    var onOkEditHandler = function() {
	        var binaryPathElem = scor.utils.GetElementFromDialogBox('whiteListBinaryPath', 'input');
	        var binaryPath = binaryPathElem.value;
	        if (typeof binaryPath === 'string' && binaryPath != '') {
	        	fileList.remove();
	        	addBinaryPathToList(binaryPath);
	        	if (typeof onChangeCallback === 'function') {
	        		onChangeCallback();
	        	}
	        } 
	    };
	   
		var addFileToSolidify = function() {
 			OrionCore.setDialogBoxTitle('${whitelistDialogAddTitle}');
 			OrionCore.dialogBoxOkHandler = onOkAddHandler;
	    	if (typeof onChangeCallback === 'function') {
	    		onChangeCallback();
	    	}
		};
		
		var editFileToSolidify = function () {
			if (fileList.selrow === null || fileList.selrow === undefined) {
				return;
			}
 			OrionCore.setDialogBoxTitle('');//TODO: Later on we'll add a localized version of Edit
 			OrionCore.dialogBoxOkHandler = onOkEditHandler;
 			if (typeof onChangeCallback === 'function') {
 				onChangeCallback();
 			}
		}
		
	    var removeFileToSolidify = function (selected) {
	    	if (selected === selectedNodeId) {
	    		if(noOfRows() === 1) {
	    			isEmpty = true;
	    		}
	    	}
	    	if (typeof onRemoveCallback === 'function') {
	    		onRemoveCallback();
	    	}
	    	if (typeof onChangeCallback === 'function') {
	    		onChangeCallback();
	    	}
	    };
	    
	    var rowSelected = function(selected) {
	    	selectedNodeId = selected;
	    };
	    
	    var fileList = new majic.ListWidget({
			container: "fileSolidificationList",
			width: "620px",
			height: "320px",
			addCallback: addFileToSolidify,
			removeCallback: removeFileToSolidify,
			selectCallback: rowSelected,
			editCallback: editFileToSolidify,
			buttons: {
				'add': '${awlButtonAdd}',
				'remove': '${awlButtonRemove}',
				'edit': '${awlButtonEdit}'
				},
			content: $('solidify_editor_template').innerHTML,
			displayText: $('solidify_list_row_template').innerHTML
		});
	    
	    
	    var addBinaryPathToList = function(binaryPath) {
			<%-- While adding a new row the caller of insertNewRow 
			shouldn't need to know the the exact object attributes required
			to insert the data successfully in the row--%>
			if (typeof binaryPath === 'string' && binaryPath !== '') {
				var solidifyObj = {
						whiteListBinaryPath : binaryPath
				};
				fileList.insert(solidifyObj);
				isEmpty = false;
			}
		}
	    
		return {
			get: function() {
				return fileList;
			},
			insertNewRow: addBinaryPathToList,
			getBinariesToSo: function() {
				var rows = fileList.getRows();
				var binariesToSo = [];
				var binaryToSo = '';
				var row;
				for (var rowKey in rows) {
					row = rows[rowKey];
					if (row) {
						binaryToSo = scor.utils.trim(row['whiteListBinaryPath']);
						binariesToSo.push(binaryToSo);
					}
				}
				return binariesToSo;
			},
			setOnRemoveCallback: function(callback) {
				if (typeof callback === 'function') {
					onRemoveCallback=callback;
				}
			},
			setOnAddCallback: function(callback) {
				if (typeof callback === 'function') {
					onAddCallback=callback;
				}
			},
			setOnChangeCallback: function(callback) {
				if (typeof callback === 'function') {
					onChangeCallback = callback;
				}
			},
			size: noOfRows,
			isListEmpty: function() {
				return isEmpty;
			}
		};
	}();
 
</script>
