<!-- Copyright (C) 2018 McAfee, Inc.  All rights reserved. -->

<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.common.Constants" %>
<%@ page import="com.mcafee.scor.awl.AWLConstants" %>
<%@ page import="com.mcafee.scor.rulegroup.db.dao.RuleGroupDAOImpl"%>

<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>

<orion:script context="/core" src="/yui/connection/connection-min.js"/>

<jsp:include page="/common/includejQuery.jsp"/>
<jsp:include page="/common/commonUtils.jsp"/>

<orion:message key="scor.policy.groups.importgroups.emptygroup.note" var="emptyRuleGroupNotAllowed"/>
<orion:message key="scor.policy.groups.importoverride.txt" var="shouldImportOverrideTxt" escape="none"/>
<orion:message key="scor.policy.groups.exportrulegroups.dialog.title" var="scorGroupExportDialogTitle" escape="javascript"/>
<orion:message key="scor.policy.groups.exportrulegroups.nogroupselected" var="scorGroupExportNoGroupSelected" escape="javascript"/>
<orion:message key="scor.policy.groups.table.name" var="groupsTableTitle" escape="none"/>
<orion:message key="scor.policy.groups.filter.type" var="groupsFilterType"/>
<orion:message key="scor.policy.groups.filter.platform" var="groupsFilterPlatform"/>
<orion:message key="scor.policy.groups.addGroup.dialog.title" var="addGroupDialogTitle" escape="javascript"/>
<orion:message key="scor.policy.groups.dupGroup.dialog.title" var="dupGroupDialogTitle" escape="javascript"/>
<orion:message key="scor.policy.groups.renameGroup.dialog.msg" var="renameGroupDialogMsg" escape="javascript"/>
<orion:message key="scor.policy.groups.renameGroup.dialog.title" var="renameGroupDialogTitle" escape="javascript"/>
<orion:message key="scor.policy.groups.deleteGroup.dialog.title" var="deleteGroupDialogTitle" escape="javascript"/>
<orion:message key="scor.policy.groups.addGroup.dialog.groupName" var="groupNameLabel"/>
<orion:message key="scor.policy.groups.addGroup.dialog.groupPlatform" var="groupPlatformLabel"/>
<orion:message key="scor.policy.groups.addGroup.dialog.groupType" var="groupTypeLabel"/>
<orion:message key="scor.policy.groups.addGroup.dialog.groupType.mon" var="Mon"/>
<orion:message key="scor.policy.groups.addGroup.dialog.groupType.changeControl" var="changeControl"/>
<orion:message key="scor.policy.groups.addGroup.dialog.groupType.applicationControl" var="appControl"/>
<orion:message key="scor.policy.groups.addGroup.dialog.groupType.updater" var="Updater"/>
<orion:message key="scor.policy.groups.addGroup.dialog.groupPlatform.windows" var="windows"/>
<orion:message key="scor.policy.groups.addGroup.dialog.groupPlatform.unix" var="unix"/>
<orion:message key="scor.addGroup.button.txt" var="addGroupButtonTxt" escape="none"/>
<orion:message key="scor.addGroup.button.txt" var="addGroupButtonDialogText" escape="javascript"/>
<orion:message key="scor.policy.groups.filterTitleBar" var="filterTitleBar" escape="none"/>
<orion:message key="scor.deleteGroup.confirmGroupMsg.txt" var="confirmDeleteMsg" escape="javascript"/>
<orion:message key="scor.deleteGroup.button.txt" var="deleteGroup" escape="javascript"/>
<orion:message key="scor.policy.groups.importgroups.txt" var="importGroupTxt" escape="none"/>
<orion:message key="scor.policy.groups.exportgroups.txt" var="exportGroupTxt" escape="none"/>
<orion:message key="scor.policy.groups.importgroups.exception" var="importException" escape="javascript"/>
<orion:message key="scor.error.dialogBox.title" var="scorErrorTitle" escape="javascript"/>
<orion:message key="scor.policy.groups.import.upload" var="importUpload"/>
<orion:message key="scor.policy.groups.importgroups.dialoguebox.title" var="uplTitle" escape="javascript"/>
<orion:message key="scor.policy.groups.findBtn.txt" var="findBtnTxt" escape="none"/>
<orion:message key="scor.policy.groups.checkUsage.title" var="checkUsageTitle" escape="javascript"/>
<orion:message key="scor.policy.groups.noUsage" var="noUsage" escape="javascript"/>
<orion:message key="scor.policy.groups.usagePolicy" var="usagePolicy" escape="javascript"/>
<orion:message key="scor.policy.groups.not.valid.name" var="notValid"/>

<orion:vbox>
    <orion:box height="83">
        <orion:titlebar text="${filterTitleBar}">
        </orion:titlebar>
        <table width="100%" height="70%" cellspacing="1px" cellpadding="1px" style="background-color: rgb(235, 235, 235); width: 100%;">
            <tr width="100%">
                <td width="70%">
                    ${groupsFilterType}:&nbsp;&nbsp;&nbsp;&nbsp;
		    		<orion:select id="filtergroupType" items="${groupTypeList}" />
                	&nbsp;&nbsp;&nbsp;&nbsp;
                    ${groupsFilterPlatform}:&nbsp;&nbsp;&nbsp;&nbsp;
		    		<orion:select id="filtergroupPlatform" items="${groupPlatformList}"/>
		    	</td>                
				<td width="29%" align="right">
		        </td>
				<td width="1%"></td>               
            </tr>
            <tr width="100%">               
                 <td width="70%">							
					<!--orion:textbox id="grp_search_str"/-->
			     <scor:scorAutoCompleteTextBox id="grp_search_str" datasourceAttr="ruleGroupAutoCompleteds" minLength="3"/>
		            <orion:button id="search_button" text="${findBtnTxt}" disabled="false"  
		            onclick="policyGroupRefreshTable()"/>   
                </td>
                <td width="29%" align="right"></td>
				<td width="1%"></td>
            </tr>
        </table>
    </orion:box>

    <orion:table2 id="GroupsTable" 
    				titleText="${groupsTableTitle}"
    				cellRendererAttr="scor-groups-cellrenderer-attr"
                 	datasourceAttr="scor-groups-datasource-attr" 
                 	showCheckboxColumn="true" 
                 	allowExport="true"  
                 	enableDrilldown="false"
                    properties="groupName,platform,type,owners,action"/>

</orion:vbox>

<orion:footerbar align="left">
    <orion:button id="addGroup" text="${addGroupButtonTxt}" onclick="addNewGroup();"/>
    <orion:button  id="scorImportButton" onclick="scorGroupImport()"  text="${importGroupTxt}"/>
	<orion:button  id="scorExportButton" onclick="scorGroupExport()"  text="${exportGroupTxt}"/>
</orion:footerbar>

<div id="addGroupTempLate" style="display:none;">
    <table>
        <tr>
            <td>
                ${groupNameLabel}:
            </td>
            <td>
                <orion:textbox id="<%=Constants.GROUP_NAME%>" required="true" maxlength="255"/>
                <div><span id="<%=Constants.GROUP_NAME_ERROR%>" style="color: red; display: inline;">${notValid}</span></div>
            </td>
        </tr>
        <tr>
            <td>
                ${groupTypeLabel}:
            </td>
            <td>
                <orion:select id="<%=Constants.GROUP_TYPE%>" items="${groupTypeListAuthorizedToUser}" />
            </td>
        </tr>
        <tr>
            <td>
                ${groupPlatformLabel}:
            </td>
            <td>
                <orion:select id="<%=Constants.GROUP_PLATFORM%>" items="${groupPlatformList}" />
            </td>
        </tr>
    </table>

</div>
<div id="renameGroupTemplate" style="display:none;">
    <table>
    	<tr>
            <td id="renameGroupTemplateDescId" colspan="2">
               
            </td>
        </tr>
        <tr>
            <td>
                ${groupNameLabel}:
            </td>
            <td>
                <orion:textbox id="<%=Constants.GROUP_NAME%>" required="true" maxlength="255"/>
            </td>
        </tr>
    </table>

</div>

<div id="dupGroupTempLate" style="display:none;">
    <table>
        <tr>
            <td>
                ${groupNameLabel}:
            </td>
            <td>
                <orion:textbox id="<%=Constants.GROUP_NAME%>" required="true" maxlength="255"/>
            </td>
        </tr>

    </table>

</div>
<div id="deleteGroupTemplate" style="display:none;">
    <table>
        <tr>
            <td id="deleteGroupTemplateDescId" >
            </td>   
        </tr>
    </table>
</div>

<div id="upload_import_rule_groups_template" style="display:none;">
  	<table width="100%">
  			<tr>
  				<td>
  					<b>${importUpload}</b>
  				</td>
		</tr>
		<tr>
			<td>
				<orion:fileupload  id="import.rule.groups_template"  name="importRuleGroups_template"  required="true" contentEditable="false"/>	
			</td>				
		</tr>		
		<tr>
			<td>
				<orion:checkbox id="scorOverrideWhileImport" text="${shouldImportOverrideTxt}"/>	
			</td>				
		</tr>
							
	</table>
</div>

<script type="text/javascript">
    document.getElementById("filtergroupType").onchange=policyGroupRefreshTable;
    document.getElementById("filtergroupPlatform").onchange=policyGroupRefreshTable;
    var groupIdTobeDuplicated;
    var groupType;
    var groupOS;
    var scor = scor || {};
	scor.ruleGroup = scor.ruleGroup || {};
	scor.ruleGroup.groupIdTobeRenamed = scor.ruleGroup.groupIdTobeRenamed || 0;
	scor.ruleGroup.groupNameTobeRenamed = scor.ruleGroup.groupNameTobeRenamed || '';
	
	$j('#notAllowedTextId').hide();
	
	scor.ruleGroup.page = (function(){
        var tab ;
        return {
            	getTable : function(){
        				return tab;
        			},
    			setTable : function(table){
        				tab = table;
        			}
            }
        })();
    
    function addNewGroup() {
        var selectedGroupType = $j("#filtergroupType option:selected").val();
        var selectedOsType = $j("#filtergroupPlatform option:selected").val();
        OrionCore.showDialogBox(true, $('addGroupTempLate').innerHTML, OrionCore.DIALOG_OK_CANCEL);
        var typeElement = document.getElementById("groupType");
        var osElement = document.getElementById("groupPlatform");
        OrionCore.setDialogBoxTitle('${addGroupButtonDialogText}');
        OrionCore.setCurrentSelectValue( typeElement, selectedGroupType );
        OrionCore.setCurrentSelectValue( osElement, selectedOsType ) ;
        OrionCore.dialogBoxOkHandler = scorAddGroupDialogHandler;
    }

    function scorAddGroupDialogHandler() {
        var form = document.getElementById('orion.dialog.box.text.id');
        var flds = {};
        flds = scor.utils.getFormVals(form);
        var groupName = flds['<%=Constants.GROUP_NAME%>'];
        
        if (groupName === '') {
        	return false;
        }
        if (scor.utils.validateRuleGroupName(groupName)) {
        	$j('#notAllowedTextId').show();
        	return false;
        }
        
        groupType= flds['<%=Constants.GROUP_TYPE%>'];
        groupOS= flds['<%=Constants.GROUP_PLATFORM%>'];
        scor.actions.doAsyncAction("<%=URLConstants.ADD_GROUP_URL%>",
               ['<%=Constants.GROUP_NAME%>',flds['<%=Constants.GROUP_NAME%>'],
                  '<%=Constants.GROUP_TYPE%>',flds['<%=Constants.GROUP_TYPE%>'],'<%=Constants.GROUP_PLATFORM%>',flds['<%=Constants.GROUP_PLATFORM%>']],
            addGroupSuccess);
    }
    function addGroupSuccess(result) {
        var typeElement = document.getElementById("filtergroupType");
        var typeOptions=typeElement.options;
        for(var i = 0; i < typeOptions.length; i++){
            var option=typeOptions[i];
            if(option.value === groupType ){
                option.selected=true;
                break;
            }
        }
        var osElement = document.getElementById("filtergroupPlatform");
        var osOptions=osElement.options;
        for(var i = 0; i < osOptions.length; i++){
            var option=osOptions[i];
            if(option.value === groupOS ){
                option.selected=true;
                break;
            }
        }
        policyGroupRefreshTable();
  }
    
    scor.ruleGroup.groupRename = function(id,groupname){
    	scor.ruleGroup.groupIdTobeRenamed=id;
    	scor.ruleGroup.groupNameTobeRenamed=groupname;
    	$j('#renameGroupTemplateDescId').text(OrionCore.formatString('${renameGroupDialogMsg}', scor.ruleGroup.groupNameTobeRenamed));
        OrionCore.showDialogBox(true, $('renameGroupTemplate').innerHTML, OrionCore.DIALOG_OK_CANCEL);
        OrionCore.setDialogBoxTitle('${renameGroupDialogTitle}');
        OrionCore.dialogBoxOkHandler = scor.ruleGroup.groupRenameDialogHandler;
    }


    scor.ruleGroup.groupRenameDialogHandler = function(){
        var form = document.getElementById('orion.dialog.box.text.id');
        var flds = {};
        flds = scor.utils.getFormVals(form);
        if(flds['<%=Constants.GROUP_NAME%>'] === ''){
            return false;
        }      
        scor.actions.doAsyncAction("<%=URLConstants.RENAME_GROUP_URL%>",
                ['<%=Constants.GROUP_ID%>',scor.ruleGroup.groupIdTobeRenamed,'<%=Constants.GROUP_NAME%>',flds['<%=Constants.GROUP_NAME%>']],
                scor.ruleGroup.groupRenameSuccess);

    }
    scor.ruleGroup.groupRenameSuccess = function(result) {
    	scor.ruleGroup.page.getTable().clearSelection();
    	scor.ruleGroup.page.getTable().refresh();
    }  

  function scorGroupView(id,type){
        scorGroupEdit(id,type); 
    }

  
    function scorGroupEdit(id,type){
	var curUrl = location.href;      
        OrionCore.doFormAction(curUrl,
                ['<%=Constants.GROUP_TYPE_PARAMETER%>',type
                    ,'<%=Constants.GROUP_ID%>',id,"viewDetailsPage","true","currentTab","ScorPolicyGroups","sectionId","orion.configuration","tabId","scor.tab.configuration"],"GET");
    }
    function scorGroupDuplicate(id){
        groupIdTobeDuplicated=id;
        OrionCore.showDialogBox(true, $('dupGroupTempLate').innerHTML, OrionCore.DIALOG_OK_CANCEL);
        OrionCore.setDialogBoxTitle('${dupGroupDialogTitle}');
        OrionCore.dialogBoxOkHandler = scorDupGroupDialogHandler;
    }


    function scorDupGroupDialogHandler (){
        var form = document.getElementById('orion.dialog.box.text.id');
        var flds = {};
        flds = scor.utils.getFormVals(form);
        if(flds['<%=Constants.GROUP_NAME%>'] === ''){
            return false;
        }
        scor.actions.doAsyncAction("<%=URLConstants.DUPLICATE_GROUP_URL%>",
                ['<%=Constants.GROUP_ID%>',groupIdTobeDuplicated,'<%=Constants.GROUP_NAME%>',flds['<%=Constants.GROUP_NAME%>']],
                scorGroupDupSuccess);

    }
    function scorGroupDupSuccess(result) {
    	scor.ruleGroup.page.getTable().clearSelection();
    	scor.ruleGroup.page.getTable().refresh();
    }

    function scorGroupDelete(id,name){
        var ids=[];
        ids.push(id);
        
        $j('#deleteGroupTemplateDescId').text(OrionCore.formatString('${confirmDeleteMsg}', name)); 
        OrionCore.showDialogBox(true, $('deleteGroupTemplate').innerHTML, OrionCore.DIALOG_YES_NO);
        OrionCore.setDialogBoxTitle('${deleteGroupDialogTitle}');

        OrionCore.dialogBoxYesHandler = function () {
           scor.actions.doAsyncAction("<%=URLConstants.DELETE_GROUP_URL%>",
                ['<%=Constants.GROUP_IDs%>',JSON.stringify(ids)],
                scorGroupDeleteSuccess);
        }
    }  
    
    function scorGroupExport(){
    	var selectedUids =  scor.ruleGroup.page.getTable().getSelected(",");

    	if(selectedUids.length === 0){
    		OrionCore.showDialogBox(true, '${scorGroupExportNoGroupSelected}', OrionCore.DIALOG_OK);
        	OrionCore.setDialogBoxTitle('${scorGroupExportDialogTitle}');        	
        	return;
    	}
    	    	    	
		window.open("<%=URLConstants.EXPORT_RULE_GROUPS_ACTION_URL%>?<%=Constants.EXPORTED_GROUP_IDS%>="+selectedUids + scor.actions.getSecTokenParamLa());
    }
       
	//Check Group Usage
    function scorGroupCheckUsage(id,name){
    	  scor.actions.doAsyncAction("<%=URLConstants.CHECK_RULE_GROUPS_USAGE_URL%>",
                  ['<%=Constants.GROUP_ID%>',id],
                  scorGroupCheckUsageSuccess);	
    }

    function scorGroupCheckUsageSuccess(usageResult){
    	OrionCore.setDialogBoxTitle('${checkUsageTitle}');
    	var policy = usageResult.policyNames;
    	var msg ="";
		if(policy.length ===0){
			msg='${noUsage}';
		}
		else{
			msg = '${usagePolicy} : '+OrionCore.escapeHtml(policy.join(","));
		}			
		OrionCore.showDialogBox(true,msg,OrionCore.DIALOG_OK);
    }
    
     var onUploadButtonClick = function(e){
	     
    	scor.utils.fixYUIFileUploadOnIe();
	    YAHOO.util.Connect.setForm(OrionForm.getForm(), true);
	    var uploadHandler = {
	      upload: function(res) {
		      var result = res.responseText;
		  		var reload= verifySuccess(result);
		 		//show updated Data
		 		if(reload){
		 			scorGroupTableRefresh(null,null);
		 	 	}			  
	      }
	    };		   
	  OrionForm.setEncoding(OrionForm.MULTIPART);
	  try {
	  	var shouldOverride = document.getElementById('scorOverrideWhileImport').checked;
	  	var urlForDataPost = "<%=URLConstants.IMPORT_RULE_GROUPS_ACTION_URL%>?<%=Constants.SHOULD_IMPORT_OVERRIDE_PARAM%>="+shouldOverride ;
	  	YAHOO.util.Connect.asyncRequest('POST', urlForDataPost , uploadHandler );	  	
	  } catch(e) { alert ("${importException}"); 
	  }
    };
    
   function verifySuccess(result){
   		if(result.indexOf("<%=Constants.IMPORT_UPLOAD_SUCCESS_TEXT%>") === 0){
   	       	var successTextArr = result.split("::::");
   	       	showMsg("<PRE>"+successTextArr[1],false);       
   	       	return true;
       	}
		showMsg(result,true);
		return false; 
    }
       
    function showMsg(msg,isError){
	 	if(isError === true){
	 		OrionCore.setDialogBoxTitle('${scorErrorTitle}');
	 	}
		OrionCore.showDialogBox(true,msg,OrionCore.DIALOG_OK);
	}
       
    function scorGroupImport(){
    	var innerHtml = $('upload_import_rule_groups_template').innerHTML;
    	innerHtml = innerHtml.replace("importRuleGroups_template", "importRuleGroups");
    	innerHtml = innerHtml.replace("import.rule.groups_template", "import.rule.groups");
    		
    	
		OrionCore.showDialogBox(true,innerHtml , null);
		OrionCore.setDialogBoxTitle('${uplTitle}');
		OrionCore.dialogBoxOkHandler = onUploadButtonClick;   
    }
    
    function scorGroupTableRefresh(result,code){
    	 scor.ruleGroup.page.getTable().refresh();
    }    
    
    function scorGroupDeleteSuccess(result,code) {
    	 scor.ruleGroup.page.getTable().clearSelection();
    	 scor.ruleGroup.page.getTable().refresh();
      }

    function policyGroupRefreshTable(){
        var typeElement = document.getElementById("filtergroupType");
        var type= typeElement.options[typeElement.selectedIndex].value;
        var osElement = document.getElementById("filtergroupPlatform");
        var os= osElement.options[osElement.selectedIndex].value;
        var grpNameCrit = document.getElementById("grp_search_str").value;
        var paramMap={};
  		paramMap["type"] = scor.utils.trim(type);
  		paramMap["osType"]=os;
  		paramMap["ruleGroupName"]=scor.utils.trim(grpNameCrit);
  		var filterStr = JSON.stringify(paramMap);
  	   //setFilter internally reload the table data. Hence no need to call refresh on table.
        scor.ruleGroup.page.getTable().setFilter(filterStr);
  		ScorAutoComplete.setFilter("ruleGroupAutoCompleteds",filterStr);
    }

    function init(){
     scor.ruleGroup.page.setTable(MFSTable.get("GroupsTable"));
     groupType = '${orion:escapeJavaScriptString(groupFilterType)}';
     groupOS = '${orion:escapeJavaScriptString(groupFilterPlatform)}';     
     addGroupSuccess();
     OrionForm.markInputExempt('filtergroupType');
     OrionForm.markInputExempt('filtergroupPlatform');
     OrionForm.markInputExempt('grp_search_str');
     $('GroupsTable_selectAllCB').style.display = 'none';
     $j('label[for="GroupsTable_selectAllCB"]').css("display","none");
     $j('#grp_search_str').keypress(function(e) {
   			 code = e.keyCode ? e.keyCode : e.which;
    		 if(code.toString() == 13) {
        			policyGroupRefreshTable();
    		}
	});
                OrionHelp.setHelpId("${helpPageId}");
}

	OrionCore.addLoadHandler(init);
</script>


