<!-- Copyright (C) 2014-2018 McAfee, Inc.  All rights reserved. -->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<orion:message var="allowNetworkPathCaution" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.caution.message" escape="HTML"/>
<orion:message var="allowNetworkPathCautionContent" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.cautionContent.message" escape="HTML"/>
<orion:message var="allowNetworkPathSuggestionContent" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.suggestion.message" escape="HTML"/>
<orion:message var="errorNotAllowed" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.error.message" escape="HTML"/>
<orion:message var="errorHelp" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.errorHelp.message" escape="HTML"  params="${selectedNetworkPath}"/>
<orion:message var="networkPathInput" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.pathName.message" escape="HTML"/>
<orion:message var="suggestedPathHeading" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.suggestedPathHeading" escape="HTML"/>
<orion:message var="matchingRequestCountHeading" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.matchingRequestsCountHeading" escape="HTML"/>
<orion:message var="moreSuggestedPath" key="scor.selfapproval.globalChanges.warning.allowNetworkPath.moreSuggestedPath" escape="HTML"/>

<jsp:include page="/common/includejQuery.jsp"/>

<script type="text/javascript">


	var scor = scor || {};
	scor.sa = scor.sa || {};
	scor.sa.allowNetworkPath = scor.sa.allowNetworkPath || {};
	
	$j('#networkApprovalMessageHelpId').hide();
	$j('#notAllowedTextId').hide();


	scor.sa.allowNetworkPath.enableDialogBoxOkButton = function(setEnableDialogBoxOkButton) {

		OrionCore.enableDialogBoxOkButton(setEnableDialogBoxOkButton);
	
	}    
    
	scor.sa.allowNetworkPath.matchPath = function() {
	selectedPath=$j('#networkPathConst').val();
	if (selectedPath.lastIndexOf("\\" != (selectedPath.length - 1))) {
		selectedPath += "\\";
	}
	
	var suggestions = true;
	currentPath = document.getElementById("networkPath").value;
	if (currentPath.lastIndexOf("\\") != (currentPath.length - 1)) {
		currentPath = currentPath + "\\";
	}
	
	    if ((0 == selectedPath.indexOf(currentPath)) && (currentPath.length > 2)) {
	    	scor.sa.allowNetworkPath.enableDialogBoxOkButton(true);
	    	$j('#networkApprovalMessageHelpId').hide();
	    	$j('#notAllowedTextId').hide();
	    	$j('#allowedTextId').show();
	    	$j('#suggestedPathsTableId').show();
	    	return;
	    }
	
	scor.sa.allowNetworkPath.enableDialogBoxOkButton(false);
	$j('#networkApprovalMessageHelpId').show();
	$j('#notAllowedTextId').show();
	$j('#allowedTextId').hide();
	$j('#suggestedPathsTableId').hide();
	$j('#moreSuggestedPathsTableId').hide();
}

scor.sa.listsuggestions = function() {
	
	$j('#suggestedPathsTableId').find('.scorNetworkSuggestions').removeAttr("class").removeAttr("style");
	$j('#moreSuggestionLinkId').hide();
	
};

</script>


<table>
	<tr>
		<td>
		${networkPathInput}
		<orion:textbox id="networkPath" name="networkPath" value="${selectedNetworkPath}" maxlength="1000" size="50" onkeyup="scor.sa.allowNetworkPath.matchPath();" required="true"/>
		
		</td>
	</tr>
	<tr>
		<td style="display:none">
		
		<orion:textbox id="networkPathConst" name="networkPathConst" value="${selectedNetworkPath}" maxlength="1000" size="50" />
		
		</td>
	</tr>
	<tr><td><b>${allowNetworkPathCaution}</b>: 
		<span id="allowedTextId">${allowNetworkPathCautionContent} <br/><br/>${allowNetworkPathSuggestionContent}</span>
		<span id="notAllowedTextId" style="color:red;">${errorNotAllowed}</span>
	</td></tr>
	<tr><td><span id = "networkApprovalMessageHelpId">${errorHelp}</span></td></tr>
	
	<tr>
		<td>
			<table id="suggestedPathsTableId">
				<tr>
					<td style="width:75%">${suggestedPathHeading}</td><td style="width:25%">${matchingRequestCountHeading}</td>
				</tr>
				
				<% int idxSuggestedNetworkPath = 0; int initialNumberOfDisplay = 3;%>
				
				<c:forEach var="path" items="${selectedNetworkPathList}">
					<% if (idxSuggestedNetworkPath < initialNumberOfDisplay) {%>
						<tr>
							<td>${orion:escapeHtml(path.path)}</td>	
							<td align="center">${path.count}</td>
						</tr>
					<%} else { %>
						<tr>
							<td class="scorNetworkSuggestions" style="display:none;">${path.path}</td>	
							<td align="center" class="scorNetworkSuggestions" style="display:none">${path.count}</td>
						</tr>
					<%}%>
					<%idxSuggestedNetworkPath++; %>
				</c:forEach>
				<%if (idxSuggestedNetworkPath > initialNumberOfDisplay) { %>
				<tr>
					<td id="moreSuggestionLinkId" colspan="2"><a href="javascript:scor.sa.listsuggestions()">${moreSuggestedPath}</a></td>
				</tr>
				<%} %>
								
			</table>
		</td>
	
	</tr>
	
	
</table>




