<!-- COPYRIGHT: Copyright (C) 2015-2018 McAfee, Inc. All rights reserved-->
<%@ page import="com.mcafee.scor.common.Constants" %>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>
<%@ page import="com.mcafee.scor.serversettings.ServerSettingsConstants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<orion:message key="scor.serversettings.lefttab.text" var="tableName"/>
<orion:message var="contextGeneral" key="scor.serversettings.context.general" escape="none"/>
<orion:message var="contextFeatureLicenseKey" key="scor.serversettings.context.featureLicenseKey" escape="none"/>
<orion:message var="supplyLicenseText" key="scor.serversettings.context.supplyLicenseText"/>
<orion:message var="contextSuffix" key="scor.serversettings.context.suffix"/>

<script type="text/javascript">OrionHelp.setHelpId("<%=HelpConstants.SERVER_SETTINGS_PAGE%>");</script>

<orion:box>
	<div id="settings" style="left:1%;top:10%;position:static;width:100%;overflow:hidden;background-color:#EBEBEB;">
        <table id="server-settings" cellspacing="0" cellpadding="0" width="100%">
            <tr>
                <td COLSPAN="2">
                    <orion:titlebar id="serversettings.contextFeatureLicenseKey.titlebar" text="${contextFeatureLicenseKey}"/>
                </td>
            </tr>
            <tr>
		<td class="orionSummaryHeader">${supplyLicenseText}</td>
	    </tr>
            <c:forEach var="server_config" items="${requestScope.Pairs}" varStatus="rowCounter">
                <c:if test="${server_config.viewable == 'Y' && (server_config.context =='featureLicenseKey')}">
                    <tr>
                        <orion:message key="scor.serversettings.keys.${server_config.name}" var="iKey"/>
                        <td class="orionSummaryHeader">${iKey}</td>
                        <td class="orionSummaryColumn">
                            <c:choose>
                                <c:when test="${server_config.displayValue == null || '' == server_config.displayValue}">
                                    <orion:message key="scor.serversettings.msg.noValidLicenseAvailable"/>
                                </c:when>
                                <c:otherwise>
                                    ${orion:escapeHtml(server_config.displayValue)}
                                    <c:if test="${server_config.message.value != ''}">
                                        <c:set var="server_config_value" value="${server_config.message.value}" />
                                        <c:set var="message_error" value="<%=ServerSettingsConstants.MESSAGE_ERROR%>" />
                                        <c:if test="${server_config.message.type == message_error}">
                                            <c:set var="license_color" value="red" />
                                        </c:if>
                                        <c:set var="message_warn" value="<%=ServerSettingsConstants.MESSAGE_WARN%>" />
                                        <c:if test="${server_config.message.type == message_warn}">
                                            <c:set var="license_color" value="yellow" />
                                        </c:if>
                                        <label style="color:${license_color};">
                                            ${orion:escapeHtml(server_config_value)}
                                        </label>
                                    </c:if>
                                </c:otherwise>
                            </c:choose>
                        </td>
                    </tr>
                </c:if>
            </c:forEach>

            <tr>
                <td colspan="2">
                    <orion:titlebar id="serversettings.contextGeneral.titlebar" text="${contextGeneral}"/>
                </td>
            </tr>
            <c:forEach var="server_config" items="${requestScope.Pairs}" varStatus="rowCounter">
                <c:if test="${server_config.viewable == 'Y' && !(server_config.context =='featureLicenseKey')}">
                    <tr>
                        <orion:message key="scor.serversettings.keys.${server_config.name}" var="iKey"/>
                        <orion:message key="scor.serversettings.context.${server_config.context}" var="contextDisplayName"/>
                        <td class="orionSummaryHeader">${iKey}</td>
                        <td class="orionSummaryColumn" >
                            <c:choose>
                                <c:when test="${server_config.valueType == 'BOOLEAN'}">
                                    <c:choose>
                                        <c:when test="${server_config.displayValue == 'true'}">
                                            <orion:message key="scor.serversettings.msg.booleanTrue"/>
                                        </c:when>
                                        <c:otherwise> <orion:message key="scor.serversettings.msg.booleanFalse"/>
                                        </c:otherwise>
                                    </c:choose>
                                </c:when>
                                <c:otherwise>
                                    ${orion:escapeHtml(server_config.displayValue)}
                                </c:otherwise>
                            </c:choose>
                            ${server_config.description}
                        </td>
                    </tr>
                </c:if>
            </c:forEach>
        </table>
    </div>
</orion:box>


