<!-- COPYRIGHT: Copyright (C) 2015-2018 McAfee, Inc. All rights reserved-->
<%@ page import="com.mcafee.scor.common.Constants" %>
<%@ page import="com.mcafee.scor.serversettings.ServerSettingsConstants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ page import="com.mcafee.scor.common.HelpConstants" %>
<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>


<orion:message key="scor.serversettings.lefttab.text" var="tableName"/>
<orion:message var="contextGeneral" key="scor.serversettings.context.general" escape="none"/>
<orion:message var="contextFeatureLicenseKey" key="scor.serversettings.context.featureLicenseKey" escape="none"/>
<orion:message var="contextSuffix" key="scor.serversettings.context.suffix"/>
<orion:message key="scor.serversettings.saveSettings.failed" var='saveSettingsFailed' escape="javascript"/>
<orion:message key="scor.serversettings.context.saveUrlMessage" var='noSaveUrl' escape="javascript"/>
<orion:message var="scorYes" key="scor.y" escape="none"/>
<orion:message var="scorNo" key="scor.n" escape="none"/>
<script type="text/javascript">OrionHelp.setHelpId("<%=HelpConstants.SERVER_SETTINGS_PAGE%>");</script>

<script type="text/javascript">

    var idArray = new Array();
    var typeArray = new Array(); 
    var cnt = 1;

    <c:forEach var="server_config"   items="${requestScope.Pairs}" varStatus="rowCounter">
    <c:if test="${server_config.editable == 'Y'}">
    idArray[cnt - 1] = '${server_config.name}';
    typeArray[cnt - 1] = '${server_config.valueType}';
    cnt++;
    </c:if>
    </c:forEach>

    function _saveSelectedSettingsPage()
    {

        if (window.validateSettings)
        {
            if (! validateSettings())
            {
                return;
            }
        }

        if ("${saveURI}" == "" || "${saveURI}" == "null" || "${saveURI}" == "undefined")
        {
            OrionCore.showDialogBox(true, '${noSaveUrl}');
            return;
        }

        clearErrorLabels();
        var c = 0;
        var araay = new Array();    
        var table = document.getElementById('settings-table');
        var rows = table.getElementsByTagName("tr");

        for (var i = 0; i < idArray.length; i++)
        {
            araay[c] = idArray[i];
            c++;
            if (typeArray[i] == 'BOOLEAN')
            {
            	if ($(idArray[i] + "_yes").checked != null) {
            		araay[c] = $(idArray[i] + "_yes").checked;
            	}
            }
            else
            {
                if ($(idArray[i]) != null) {
                    araay[c] = $(idArray[i]).value;
                }
            }

            c++;
        }
        OrionCore.doAsyncAction("${context}${saveURI}",
                araay,saveSettingsSuccess,saveSettingsFailure,"POST");
    }


    function clearErrorLabels(){
        <c:forEach var="server_config" items="${requestScope.Pairs}" varStatus="rowCounter">
            <c:if test="${server_config.editable == 'Y' && (server_config.context == 'featureLicenseKey')}">
                var labelId = "label_${server_config.name}";
                $(labelId).innerHTML = "";
            </c:if>
        </c:forEach>
    }


    function saveSettingsSuccess(result){
       var resultObj = JSON.parse(result);
       var resultVO = scor.vos.Result(resultObj);
       var messageBeanList = resultVO.getResult();
       var messageBeanListLength = messageBeanList.length;

       if(messageBeanListLength === 0){
            OrionCore.doAction("<%=URLConstants.SERVER_SETTINGS_HOME_URL%>");
       } else{
            for(var i=0; i < messageBeanListLength; i++) {
                var messageBean = messageBeanList[i];
                var messageLabelId = "label_"+messageBean.key;
                var messageLabel = $(messageLabelId);
                messageLabel.innerHTML = messageBean.value;
                messageLabel.style.display = "inline";
                var messageType = messageBean.type;
                if(messageType === "<%=ServerSettingsConstants.MESSAGE_ERROR%>"){
                    messageLabel.style.color = "red";
                } else if (messageType === "<%=ServerSettingsConstants.MESSAGE_WARN%>") {
                    messageLabel.style.color = "yellow";
                }
           }
       }
    }

    function saveSettingsFailure(){
        alert('${saveSettingsFailed}');
    }


</script>

<orion:box>
    <div id="user" style="left:1%;top:10%;position:static;width:100%;overflow:hidden;background-color:#EBEBEB;">
        <table id="settings-table" cellspacing="0" cellpadding="0" width="100%">
            <tr>
                <td colspan="2">
                    <orion:titlebar id="serversettings.contextFeatureLicenseKey.titlebar" text="${contextFeatureLicenseKey}"/>
                </td>
            </tr>
            <c:forEach var="server_config" items="${requestScope.Pairs}" varStatus="rowCounter">
                <c:if test="${server_config.editable == 'Y' && (server_config.context == 'featureLicenseKey')}">
                    <tr>
                        <orion:message key="scor.serversettings.keys.${server_config.name}" var="iKey"/>
                        <td class="orionSummaryHeader">
                                ${iKey}
                        </td>
                        <td class="orionSummaryColumn">

                            <orion:message key="scor.serversettings.msg.enterLicenseKey"/><br/>
                            <orion:textbox id="${server_config.name}" value="${server_config.value}"
                                           maxlength="24"/><br/>
                            <label id="label_${server_config.name}" style="display:none;"></label>
                        </td>
                    </tr>
                </c:if>
            </c:forEach>
            <tr>
                <td colspan="2">
                    <orion:titlebar id="serversettings.contextGeneral.titlebar" text="${contextGeneral}"/>
                </td>
            </tr>

            <c:forEach var="server_config" items="${requestScope.Pairs}" varStatus="rowCounter">
                <c:if test="${server_config.viewable == 'Y' && !(server_config.context == 'featureLicenseKey')}">
                    <tr>
                        <orion:message key="scor.serversettings.keys.${server_config.name}" var="iKey"/>
                        <orion:message key="scor.serversettings.context.${server_config.context}" var="contextDisplayName"/>
                        <td class="orionSummaryHeader">${iKey}</td>
                        <td class="orionSummaryColumn">

                            <c:if test="${server_config.editable == 'Y'}">

                                <c:choose>
                                    <c:when test="${server_config.valueType == 'BOOLEAN'}">
                                        <c:choose>
                                            <c:when test="${server_config.value == 'true'}">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <orion:radiobutton id="${server_config.name}_yes"
                                                                               name="${server_config.name}"
                                                                               disabled="false" checked="true"
                                                                               text="${scorYes}" value="true"/>
                                                            <c:if test="${server_config.name == 'isGlobalPrivelegeForSiteAdmin'}">
                                        						<orion:message key="scor.serversettings.keys.isGlobalPrivelegeForSiteAdmin.msg"/>
                                     						</c:if>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <orion:radiobutton id="${server_config.name}_no"
                                                                               name="${server_config.name}"
                                                                               disabled="false" checked="false"
                                                                               text="${scorNo}" value="false"/>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </c:when>
                                            <c:otherwise>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <orion:radiobutton id="${server_config.name}_yes"
                                                                               name="${server_config.name}"
                                                                               disabled="false" checked="false"
                                                                               text="${scorYes}" value="true"/>
                                                             <c:if test="${server_config.name == 'isGlobalPrivelegeForSiteAdmin'}">
                                        						<orion:message key="scor.serversettings.keys.isGlobalPrivelegeForSiteAdmin.msg"/>
                                     						</c:if>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <orion:radiobutton id="${server_config.name}_no"
                                                                               name="${server_config.name}"
                                                                               disabled="false" checked="true" text="${scorNo}"
                                                                               value="false"/>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </c:otherwise>
                                        </c:choose>
                                    </c:when>

                                    <c:when test="${server_config.valueType == 'NUMBER'}">
                                    	<c:choose>
	                                    	<c:when test="${server_config.name == 'thresholdTrustLevelToRaiseThreatEvent'}">
		                                    	<orion:select id="${server_config.name}">
		                                    		<c:forEach items="${server_config.inputOptions}" var="entry">
		                                    			<c:if test="${entry.key le 30}">
		                                    			<option value="${entry.key}" <c:if test="${server_config.value == entry.key}"> selected="selected"</c:if>>${entry.value}</option>
														</c:if>
													</c:forEach>
		                                    	</orion:select> 
	                                    	</c:when>
	                                    	<c:otherwise>
		                                        <orion:numberbox id="${server_config.name}" value="${server_config.value}"
		                                                         maximum="100000000" minimum="0" required="true"/>
	                                     	 </c:otherwise>
                                    	</c:choose>
                                    </c:when>

                                    <c:when test="${server_config.valueType == 'DECIMAL'}">
                                        <orion:numberbox id="${server_config.name}" value="${server_config.value}"
                                                         maximum="100000000" minimum="0" required="true" type="float"/>
                                    </c:when>
                                    <c:when test="${server_config.context == 'featureLicenseKey'}">
                                        <orion:message key="scor.serversettings.msg.enterLicenseKey"/><br/>
                                        <orion:textbox id="${server_config.name}" value="${server_config.value}"
                                                       maxlength="24"/>

                                    </c:when>
                                    
                                    <c:when test="${server_config.name == 'windowsKnownProcesses'}">
                                   		<orion:textarea id="${server_config.name}" value="${server_config.value}" rows="7"/>
                                   	</c:when>
                                    <c:otherwise>
                                    <c:if test="${server_config.name == 'regexListForExcludingInvItems'}">
                                        	<orion:message key="scor.serversettings.keys.regexListForExcludingInvItems.msg"/><br>
                                     </c:if>
                                        <orion:textbox id="${server_config.name}" value="${server_config.value}" maxlength="4000"/>
                                    </c:otherwise>
                                </c:choose>

                            </c:if>


                            <c:if test="${server_config.editable == 'N'}">
                                <c:choose>
                                    <c:when test="${server_config.valueType == 'BOOLEAN'}">
                                        <c:choose>
                                            <c:when test="${server_config.value == 'true'}">
                                                <orion:message key="scor.serversettings.msg.booleanTrue"/>
                                            </c:when>
                                            <c:otherwise>
                                                <orion:message key="scor.serversettings.msg.booleanFalse"/>
                                            </c:otherwise>
                                        </c:choose>
                                    </c:when>

                                    <c:otherwise>
                                        ${server_config.value}
                                    </c:otherwise>
                                </c:choose>
                            </c:if>
                            ${server_config.description}
                        </td>
                    </tr>
                </c:if>
            </c:forEach>
        </table>
    </div>

</orion:box> 




  


