<%-- COPYRIGHT: Copyright (C) 2008 McAfee, Inc. All rights reserved--%>
<%@page import="com.mcafee.scor.serversettings.ServerSettingsConstants"%>
<%@ page import="com.mcafee.scor.common.Constants" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>


<orion:message key="scor.config.internal.param.title" var="title" escape="none"/>
<orion:message key="scor.config.internal.param.prop.name" var="propName" escape="html"/>
<orion:message key="scor.config.internal.param.prop.value" var="propValue" escape="html"/>
<orion:message key="scor.config.internal.param.prop.defaultvalue" var="propDefaultValue" escape="html"/>
<orion:message key="scor.config.internal.param.button.get" var="getValueButtonTxt" escape="none"/>
<orion:message key="scor.config.internal.param.button.set" var="setValueButtonTxt" escape="none"/>
<orion:message key="scor.config.internal.param.button.set" var="setValueButtonTxt" escape="none"/>
<orion:message key="scor.config.internal.param.button.reset" var="resetValueButtonTxt" escape="none"/>
<orion:message key="scor.serversettings.config.success" var="successTxt" escape="html"/>

<orion:core>
    <orion:corehead/>
    <orion:corebody>
		<orion:navigation/>
        <orion:content>
			<orion:titlebar id="titleHtmlId"
				text="${title}"/>
			<orion:box>
				<table height="30%" width="50%">
					<tr>
						<td class="OrionSummaryHeader">${propName}</td>
						<td class="OrionSummaryColumn">
							<orion:textbox id="propNameHtmlId" 
								size="40" 
								maxlength="250"/>
						</td>
					</tr>
					<tr>
						<td class="OrionSummaryHeader">${propValue}</td>
						<td class="OrionSummaryColumn">
							<orion:textbox id="propValueHtmlId" 
								size="40" 
								maxlength="10000"/>
						</td>
					</tr>
					
					<tr>
						<td class="OrionSummaryHeader">${propDefaultValue}</td>
						<td class="OrionSummaryColumn">
							<span id="propDefaultValueHtmlId"/>
						</td>
					</tr>					
					<tr>
						<td>&nbsp;</td>
						<td id="resultInfoDivHtmlId" style="font-weight: bold; color: black;">${successTxt}</td>
					</tr>
				</table>
				<table width="30%">
					<tr>
						<td class="OrionSummaryColumn">
							<orion:button id="getValueButtonNameHtmlId" 
								text="${getValueButtonTxt}"
								style="font-weight: bold"
								onclick="scor.config.internal.param.getCurrentValue()"/>
						</td>
						<td class="OrionSummaryColumn">
							<orion:button id="setValueButtonNameHtmlId" 
								text="${setValueButtonTxt}"
								style="font-weight: bold"
								onclick="scor.config.internal.param.updateConfigValue()"/>
						</td>
						<td class="OrionSummaryColumn">
							<orion:button id="resetValueButtonNameHtmlId" 
								text="${resetValueButtonTxt}"
								style="font-weight: bold"
								onclick="scor.config.internal.param.resetConfigValue()"/>
						</td>						
					</tr>
				</table>				
			</orion:box>
			
<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>" />
<script type="text/javascript">
	var scor;
	scor = scor || {};
	scor.config = scor.config || {};
	scor.config.internal = scor.config.internal || {};
	scor.config.internal.param = scor.config.internal.param || {};

	
	
	scor.config.internal.param.getCurrentValue = function () {
		var params = new Array();
		var propName = $('propNameHtmlId').value;
		params.push ("scorConfigName");
		params.push (propName);

		scor.actions.doAsyncAction('/SOLIDCORE_META/getScorConfig.do', params, 
			scor.config.internal.param.getCurrentValueSuccess, null);
	};

	scor.config.internal.param.getCurrentValueSuccess = function (result) {
		$('propValueHtmlId').value = result.value;
		if (result.defaultValue) {
			$('propDefaultValueHtmlId').innerHTML = result.defaultValue;
		}
	};

	scor.config.internal.param.updateConfigValue = function (resultObj) {
		var params = new Array();
		var propName = $('propNameHtmlId').value;
		var propValue = $('propValueHtmlId').value;
		
		params.push ("scorConfigName");
		params.push (propName);
		params.push ("scorConfigValue");
		params.push (propValue);

		scor.actions.doAsyncAction('/SOLIDCORE_META/saveScorConfig.do', params, 
			scor.config.internal.param.updateConfigValueSuccess, null);
	};
	
	scor.config.internal.param.resetConfigValue = function () {
		var params = new Array();
		var propName = $('propNameHtmlId').value;
		
		params.push ("scorConfigName");
		params.push (propName);

		scor.actions.doAsyncAction('/SOLIDCORE_META/resetToDefaultValue.do', params, 
			scor.config.internal.param.resetConfigValueSuccess, null);
	};	

	scor.config.internal.param.updateConfigValueSuccess = function (result, code, msg) {
		scor.config.internal.param.showSuccessInfoBox();
	};
	
	scor.config.internal.param.resetConfigValueSuccess = function (result, code, msg) {
		$('propValueHtmlId').value = result.value;
		if (result.defaultValue) {
			$('propDefaultValueHtmlId').innerHTML = result.defaultValue;
		}
		scor.config.internal.param.showSuccessInfoBox();
	};

	scor.config.internal.param.initUI = function () {
		$('propNameHtmlId').value = '';
		$('propValueHtmlId').value = '';
		scor.config.internal.param.hideInfoBox();

		OrionEvent.registerHandlerById('propNameHtmlId', scor.config.internal.param.hideInfoBox, null, 'keyup', false);
		OrionEvent.registerHandlerById('propValueHtmlId', scor.config.internal.param.hideInfoBox, null, 'keyup', false);
	};
	
	scor.config.internal.param.hideInfoBox = function () {
		$('resultInfoDivHtmlId').style.display = 'none';
	};
	
	scor.config.internal.param.showSuccessInfoBox = function () {
		$('resultInfoDivHtmlId').style.display = '';
	};

	OrionCore.addLoadHandler(scor.config.internal.param.initUI);
</script>

		</orion:content>
	</orion:corebody>
</orion:core>
