<!-- COPYRIGHT:		Copyright (C) 2018 McAfee, Inc.  All rights reserved-->
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="orion" uri="http://www.mcafee.com/orion" %>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>




<jsp:include page="/common/includejQuery.jsp"/>


<orion:message key="tag.insert.button" var="insertButtonText" escape="none" plugin="response"/>
<orion:message key="scor.policy.general.tab.eventsCustomMessage.showEventInDailog" var="showEventInDailog" escape="none" />
<orion:message key="scor.policy.general.tab.eventsCustomMessage.invalidEUNCharactersInInput" var="invalidEUNCharactersInInput" escape="javascript" />

<c:set var="htmlId" value="${orion:escapeHtml(id)}"/>
<c:set var="eventsStr" value="${orion:escapeHtml(events)}"/>

<table id="custMsg">
<c:forEach var="event" items="${eventsStr}">

<tr>
<td class="orionSummaryHeader">
 <orion:message key="scor.policy.general.tab.eventsCustomMessage.event.${event}" escape="html"/>
</td>

<td class="orionSummaryColumn">
<table>
<tr>
<td>
<orion:textarea id="${event}_ta" name="${event}" rows="5" cols="100" />
<br><span id="eun_text_error" class="orionInputErrorText"></span>
</td></tr>
<tr>
<td>
<label><orion:message key="scor.policy.general.tab.eventsCustomMessage.insertVariable" escape="html"/></label> 

<select id="${event}_select">
</select>


<orion:button id=" ${event}_button" text="${insertButtonText}" onclick="insertToken('${event}_ta', '${event}_select');"/>
</td>
</tr>
<tr>
<td>
<orion:checkbox id="${event}_ckbox" text="${showEventInDailog}" onclick="epoEnableApplyButton()" />
</td>
</tr>
</table>

</td>
</tr>
</c:forEach>
</table>

<script type="text/javascript">



insertToken = function(fieldId, selectId)
{
    var field = $(fieldId);
    var list = $(selectId);

    if(!field.disabled)
    {
        var caretPos = OrionCore.getCaretPosition(field);
        var token = list.value;

        var currentValue = field.value;
        var newFieldVal = "";

        if(caretPos > 0)
        {
            newFieldVal = currentValue.substring(0, caretPos);
        }

        newFieldVal += token;

        if(caretPos < currentValue.length)
        {
            newFieldVal += currentValue.substring( caretPos, currentValue.length );
        }

        field.value = newFieldVal;
	
	//This is to make sure that the Save button is enabled
	epoEnableApplyButton();
    }
}

/**
 @constructor
 */
function ScorEventCustMsg()
{
}
new ScorEventCustMsg();

ScorEventCustMsg.populateData = function(eventMessages){
$j.each(eventMessages, 
	function (index,objValue){
	var eventName=objValue['eventName'];	
	var eventMsg=objValue['eventMsg'];	
	var showInPopUp=objValue['showInPopUp'];	
	var eventAttributes=objValue['eventAttributes'];	
	$j("textarea[name="+eventName+"]").val(eventMsg);
	var ckboxBoxId="#"+eventName+"_ckbox";
        $j(ckboxBoxId).attr('checked',showInPopUp);
	var selectId="#"+eventName+"_select";
	var select = $j(selectId);
	$j.each(eventAttributes, function(name, value) {
		$j(select).append("<option value=\'"+value+"\'>"+name+"</option>")
	 });


});		
    
}


ScorEventCustMsg.getData = function(){
    var eventMessages=[];
   var events= $j('textarea[id$="_ta"]');    
   $j.each(events,
 	 function(index,obj){
	   var event_name =  obj.name;
	   var event_message= obj.value;
	   var ckboxid="#"+event_name+"_ckbox";
	   var showInPopup=$j(ckboxid).is(':checked');
	   var eventMessageVo={};
	   eventMessageVo['eventName']=event_name;
	   eventMessageVo['eventMsg']=event_message;
	   eventMessageVo['showInPopUp']=showInPopup;
	   eventMessages.push(eventMessageVo);							 		
	});	
      		
return eventMessages;
}

ScorEventCustMsg.disable = function(){
	$j('#custMsg :checkbox').attr('disabled',true);
	$j('#custMsg :button').attr('disabled',true);
	$j('textarea').attr('disabled',true);
	$j('select').attr('disabled',true);
}

ScorEventCustMsg.showHideEvents = function(eventsVisibility){
	var events=$j("textarea");
	$j.each(events,function(index,obj){
	   var event_name =  obj.name;
	   var eventHide = eventsVisibility[event_name];
	   if(eventHide === false){
	   		$j("#custMsg > tbody > tr").each(function() {
  				var element = $j(this).find("textarea[name='"+event_name+"']");
 				if($j(element).size() >0){
 					$j(this).hide();
				}
			 });
  		 }
	});	
}

ScorEventCustMsg.validateTextForInvalidCharacters = function(element){
   	var INVALID_SA_TEXT_CHARS = ['"'];
	var validationResult = scor.validation.validateTextForCharacters(element, INVALID_SA_TEXT_CHARS);
	if(!validationResult.getIsValid()){
		   msg = '${invalidEUNCharactersInInput}';
	       $j(element).siblings("#eun_text_error").html(msg);
	}
	      setTimeout(function() {
			$j(element).siblings("#eun_text_error").html("");
  			}, 8000);
	          
}

function registerEUNCallBackHandlers(){
$j('#custMsg textarea[id$="_ta"]').keyup(function(e) {
  var input = $j(this);
  ScorEventCustMsg.validateTextForInvalidCharacters(input);
});
}

OrionCore.addLoadHandler(registerEUNCallBackHandlers);
</script>





