<!-- COPYRIGHT:		Copyright (C) 2008-2018 McAfee, Inc.  All rights reserved-->
<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion"%>
<%@ taglib uri="http://www.mcafee.com/scor" prefix="scor" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page import="com.mcafee.scor.imagedev.ImageDevConstants" %>
<%@ page import="com.mcafee.scor.common.URLConstants" %>

<%@page import="com.mcafee.scor.systemtree.db.model.SystemModelConstants"%>
<%@page import="com.mcafee.scor.systemtree.db.model.SystemGroupModelConstants"%>
<%@page import="com.mcafee.scor.systemtree.db.model.SystemTagModelConstants"%>
<jsp:include page="<%=URLConstants.JSP_COMMON_UTILS%>"/>


<orion:message key="scor.task.server.imageDeviation.search" var="search" escape="none"/>
<orion:message key="scor.task.server.imageDeviation.da.beginsWith" var="beginsWith" escape="html"/>
<orion:message key="scor.task.server.imageDeviation.da.systemName" var="systemName" escape="html"/>
<orion:message key="scor.task.server.imageDeviation.da.systemGroupName" var="systemGroupName" escape="html"/>
<orion:message key="scor.task.server.imageDeviation.da.tagName" var="tagName" escape="html"/>
<orion:message key="scor.task.server.imageDeviation.da.footerInfoMsg" var="footerInfoMsg" escape="html"/>


<script type="text/javascript">

	var selectType; 
	var TYPE_GOLD_SYSTEM = 0;
	var TYPE_SYSTEM = 1;
	var TYPE_GROUP = 2; 
	var TYPE_INCLUDEDTAG = 3; 
	var TYPE_EXCLUDEDTAG = 4; 

	findGoldSystem = function () {
    	selectType = TYPE_GOLD_SYSTEM;
    	findTargets();
    }
    findSystems = function () {
    	selectType = TYPE_SYSTEM;
    	findTargets();
    }
    findSystemGroups = function () {
     	selectType = TYPE_GROUP;
     	findTargets();
    };
    findIncludedTags = function () {
     	selectType = TYPE_INCLUDEDTAG;
     	findTargets();
    };
    findExcludedTags = function () {
     	selectType = TYPE_EXCLUDEDTAG;
     	findTargets();
    };
    findTargets = function() {
        var existingList = [];
        var tableId;        
        var diagBoxId;
    	switch (selectType) {
    	case TYPE_GOLD_SYSTEM:
			tableId = "imgDevGoldSystemTableD";
			diagBoxId = 'searchSystems';
			var sel = $('target_systems_${orion:escapeJavaScriptString(parentIndex)}');
			var gold_system_agentguid = $('gold_system_guid_${orion:escapeJavaScriptString(parentIndex)}');
			if (gold_system_agentguid.value != "" && gold_system_agentguid.value != "undefined") {
				existingList.push(gold_system_agentguid.value.replace(',',''));
			}
			break;
		
		case TYPE_SYSTEM:
			tableId = "imgDevSystemsTableD";
			diagBoxId = 'searchSystems';
			var sel = $('target_systems_${orion:escapeJavaScriptString(parentIndex)}');
			var gold_system_agentguid = $('gold_system_guid_${orion:escapeJavaScriptString(parentIndex)}');
			if (gold_system_agentguid.value != "" && gold_system_agentguid.value != "undefined") {
				existingList.push(gold_system_agentguid.value.replace(',',''));
			}
			break;
			
		case TYPE_GROUP:
			tableId = "imgDevSystemGroupsTableD";
			diagBoxId = 'searchSystemGroups';
			var sel = $('target_system_groups_${orion:escapeJavaScriptString(parentIndex)}');
			break;

		case TYPE_INCLUDEDTAG:
			tableId = "imgDevIncludedTagsTableD";
			diagBoxId = 'searchIncludedTags';
			var sel = $('target_included_tags_${orion:escapeJavaScriptString(parentIndex)}');
			var sel2 = $('target_excluded_tags_${orion:escapeJavaScriptString(parentIndex)}');
			for (i = 0; i < sel2.options.length; i++) {
				existingList.push(sel2.options[i].value.replace(',',''));
			}
			break;
			
		case TYPE_EXCLUDEDTAG:
			tableId = "imgDevExcludedTagsTableD";
			diagBoxId = 'searchExcludedTags';
			var sel = $('target_excluded_tags_${orion:escapeJavaScriptString(parentIndex)}');
			var sel2 = $('target_included_tags_${orion:escapeJavaScriptString(parentIndex)}');
			for (i = 0; i < sel2.options.length; i++) {
				existingList.push(sel2.options[i].value.replace(',',''));
			}
			break;			
        }

        for (i = 0; i < sel.options.length; i++) {
        	existingList.push (sel.options[i].value.replace(',',''));
        }
		var existingListJson = JSON.stringify(existingList); 

		var criteria = getElementFromDialogBox(diagBoxId, 'input').value;
	    var filter = criteria + ":" + existingListJson;

	    ScorDialogTable.refresh(tableId, filter, ScorDialogTable.tableParameters[tableId].visibleRows);			
    };
    
	scorFindElementById = function (parent, elementTagName, elementId) {
		var children = parent.getElementsByTagName(elementTagName);
		var retElement = null;
		for (var i = 0; i < children.length; i++) {
			if (children[i] && children[i].id === elementId) {
				retElement = children[i];
				break;
			}
		}
		return retElement;
	}

	getElementFromDialogBox =  function(elementId, elementTagName) {
		var parent = OrionCore.getDialogBoxContainer();
		if(elementTagName){
			return scorFindElementById(parent,elementTagName,elementId);
		}
		return null;
	};    
</script>

<orion:vbox>
<c:set var="selectType" value="${orion:escapeHtml(requestScope.selectType)}" scope="request"/>

	<!-- Search Tab -->
	<c:choose>
 		<c:when test="${selectType == 'GoldSystem'}">	  	
		    <orion:box height="83">
		        <table>
		            <tr>
		                <td>
		                    ${systemName} (${beginsWith}):
		                </td>
		                <td>
		                    <orion:textbox id="searchSystems" maxlength="255"/>
		                </td>
		                <td>
		                    <orion:button id="addSystems" text="${search}" onclick="findGoldSystem();"/>
		                </td>
		            </tr>
		        </table>
	    	</orion:box>

		    <scor:dialogTable id="imgDevGoldSystemTableD" cellRendererAttr="<%=ImageDevConstants.SCOR_IMAGE_DEV_SERVER_TASK_SYSTEM_CR_ATTR%>"
		    datasourceAttr="<%=ImageDevConstants.SCOR_IMAGE_DEV_SERVER_TASK_SYSTEM_DS_ATTR%>" showCheckboxColumn="true" singleSelect="true"		    
		    paginated="true"  properties="<%=SystemModelConstants.PROP_SYSTEM_NAME%>"/>
		</c:when>
		<c:when test="${selectType == 'System'}">	  	
		    <orion:box height="83">
		        <table>
		            <tr>
		                <td>
		                    ${systemName} (${beginsWith}):
		                </td>
		                <td>
		                    <orion:textbox id="searchSystems" maxlength="255"/>
		                </td>
		                <td>
		                    <orion:button id="addSystems" text="${search}" onclick="findSystems();"/>
		                </td>
		            </tr>
		        </table>
	    	</orion:box>

		    <scor:dialogTable id="imgDevSystemsTableD" cellRendererAttr="<%=ImageDevConstants.SCOR_IMAGE_DEV_SERVER_TASK_SYSTEM_CR_ATTR%>"
		    datasourceAttr="<%=ImageDevConstants.SCOR_IMAGE_DEV_SERVER_TASK_SYSTEM_DS_ATTR%>" showCheckboxColumn="true" 
		    paginated="true"  properties="<%=SystemModelConstants.PROP_SYSTEM_NAME%>"/>
		</c:when>
    	
    	<c:when test="${selectType == 'SystemGroup'}">
		    <orion:box height="83">
		        <table>
		            <tr>
		                <td>
		                    ${systemGroupName} (${beginsWith}):
		                </td>
		                <td>
		                    <orion:textbox id="searchSystemGroups" maxlength="255"/>
		                </td>
		                <td>
		                    <orion:button id="addSystemGroups" text="${search}" onclick="findSystemGroups();"/>
		                </td>
		            </tr>
		        </table>
		    </orion:box>
		
		    <scor:dialogTable id="imgDevSystemGroupsTableD" cellRendererAttr="<%=ImageDevConstants.SCOR_IMAGE_DEV_SERVER_TASK_SYSTEM_GROUP_CR_ATTR%>"
		    datasourceAttr="<%=ImageDevConstants.SCOR_IMAGE_DEV_SERVER_TASK_SYSTEM_GROUP_DS_ATTR%>" showCheckboxColumn="true" 
		    paginated="true"  properties="<%=SystemGroupModelConstants.PROP_SYSTEM_GROUP_NAME + \",\" + SystemGroupModelConstants.PROP_NODE_TEXT_PATH%>"/>
		</c:when>
    	
    	<c:when test="${selectType == 'IncludeSystemTag'}">
		    <orion:box height="83">
		        <table>
		            <tr>
		                <td>
		                	${tagName} (${beginsWith}): 
		                </td>
		                <td>
		                    <orion:textbox id="searchIncludedTags" maxlength="255"/>
		                </td>
		                <td>
		                    <orion:button id="addIncludedTags" text="${search}" onclick="findIncludedTags();"/>
		                </td>
		            </tr>
		        </table>
		    </orion:box>
		
		    <scor:dialogTable id="imgDevIncludedTagsTableD" cellRendererAttr="<%=ImageDevConstants.SCOR_IMAGE_DEV_SERVER_TASK_SYSTEM_TAG_CR_ATTR%>"
		    datasourceAttr="<%=ImageDevConstants.SCOR_IMAGE_DEV_SERVER_TASK_SYSTEM_TAG_DS_ATTR%>" showCheckboxColumn="true" 
		    paginated="true"  properties="<%=SystemTagModelConstants.PROP_SYSTEM_TAG_NAME%>"/>
		</c:when>
		
		<c:when test="${selectType == 'ExcludeSystemTag'}">
		    <orion:box height="83">
		        <table>
		            <tr>
		                <td>
		                    ${tagName} (${beginsWith}):
		                </td>
		                <td>
		                    <orion:textbox id="searchExcludedTags" maxlength="255"/>
		                </td>
		                <td>
		                    <orion:button id="addExcludedTags" text="${search}" onclick="findExcludedTags();"/>
		                </td>
		            </tr>
		        </table>
		    </orion:box>
		    
			<scor:dialogTable id="imgDevExcludedTagsTableD" cellRendererAttr="<%=ImageDevConstants.SCOR_IMAGE_DEV_SERVER_TASK_SYSTEM_TAG_CR_ATTR%>"
		    datasourceAttr="<%=ImageDevConstants.SCOR_IMAGE_DEV_SERVER_TASK_SYSTEM_TAG_DS_ATTR%>" showCheckboxColumn="true" 
		    paginated="true"  properties="<%=SystemTagModelConstants.PROP_SYSTEM_TAG_NAME%>"/>
	    </c:when>
    <c:otherwise>
    </c:otherwise>    
    </c:choose>
</orion:vbox>
<div id="FooterInfoMsg" style="vertical-align: bottom; color: red;">
	${footerInfoMsg}
</div>
